# Node.js 11 ChangeLog

 Current

 11.15.0
11.14.0
11.13.0
11.12.0
11.11.0
11.10.1
11.10.0
11.9.0
11.8.0
11.7.0
11.6.0
11.5.0
11.4.0
11.3.0
11.2.0
11.1.0
11.0.0

* Other Versions
  * [22.x](CHANGELOG_V22.md)
  * [21.x](CHANGELOG_V21.md)
  * [19.x](CHANGELOG_V19.md)
  * [18.x](CHANGELOG_V18.md)
  * [17.x](CHANGELOG_V17.md)
  * [16.x](CHANGELOG_V16.md)
  * [15.x](CHANGELOG_V15.md)
  * [14.x](CHANGELOG_V14.md)
  * [13.x](CHANGELOG_V13.md)
  * [12.x](CHANGELOG_V12.md)
  * [10.x](CHANGELOG_V10.md)
  * [9.x](CHANGELOG_V9.md)
  * [8.x](CHANGELOG_V8.md)
  * [7.x](CHANGELOG_V7.md)
  * [6.x](CHANGELOG_V6.md)
  * [5.x](CHANGELOG_V5.md)
  * [4.x](CHANGELOG_V4.md)
  * [0.12.x](CHANGELOG_V012.md)
  * [0.10.x](CHANGELOG_V010.md)
  * [io.js](CHANGELOG_IOJS.md)
  * [Archive](CHANGELOG_ARCHIVE.md)

## 2019-04-30, Version 11.15.0 (Current), @codebytere

### Notable changes

* **deps**: add s390 asm rules for OpenSSL-1.1.1 (Shigeki Ohtsu) [#19794](https://github.com/nodejs/node/pull/19794)
* **src**: add .code and SSL specific error properties (Sam Roberts) [#25093](https://github.com/nodejs/node/pull/25093)
* **tls**:
  * add --tls-min-v1.2 CLI switch (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
  * supported shared openssl 1.1.0 (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
  * revert default max toTLSv1.2 (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
  * revert change to invalid protocol error type (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
  * support TLSv1.3 (Sam Roberts) [#26209](https://github.com/nodejs/node/pull/26209)
  * add code for ERR\_TLS\_INVALID\_PROTOCOL\_METHOD (Sam Roberts) [#24729](https://github.com/nodejs/node/pull/24729)

### Commits

* \[[`7da23dcbfa`](https://github.com/nodejs/node/commit/7da23dcbfa)] - **deps**: V8: backport 61f4c22 (Anna Henningsen) [#27259](https://github.com/nodejs/node/pull/27259)
* \[[`8db791d0fe`](https://github.com/nodejs/node/commit/8db791d0fe)] - **deps**: update archs files for OpenSSL-1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`1c98b720b1`](https://github.com/nodejs/node/commit/1c98b720b1)] - **(SEMVER-MINOR)** **deps**: add s390 asm rules for OpenSSL-1.1.1 (Shigeki Ohtsu) [#19794](https://github.com/nodejs/node/pull/19794)
* \[[`d8cc478ae9`](https://github.com/nodejs/node/commit/d8cc478ae9)] - **deps**: upgrade openssl sources to 1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`fa6f0f1644`](https://github.com/nodejs/node/commit/fa6f0f1644)] - **doc**: describe tls.DEFAULT\_MIN\_VERSION/\_MAX\_VERSION (Sam Roberts) [#26821](https://github.com/nodejs/node/pull/26821)
* \[[`8b5d350a35`](https://github.com/nodejs/node/commit/8b5d350a35)] - **(SEMVER-MINOR)** **src**: add .code and SSL specific error properties (Sam Roberts) [#25093](https://github.com/nodejs/node/pull/25093)
* \[[`bf2c283555`](https://github.com/nodejs/node/commit/bf2c283555)] - **(SEMVER-MINOR)** **tls**: add --tls-min-v1.2 CLI switch (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
* \[[`7aeca270f6`](https://github.com/nodejs/node/commit/7aeca270f6)] - **(SEMVER-MINOR)** **tls**: supported shared openssl 1.1.0 (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
* \[[`d2666e6ded`](https://github.com/nodejs/node/commit/d2666e6ded)] - **tls**: add debugging to native TLS code (Anna Henningsen) [#26843](https://github.com/nodejs/node/pull/26843)
* \[[`225417b849`](https://github.com/nodejs/node/commit/225417b849)] - **tls**: add CHECK for impossible condition (AnnaHenningsen) [#26843](https://github.com/nodejs/node/pull/26843)
* \[[`109c097797`](https://github.com/nodejs/node/commit/109c097797)] - **(SEMVER-MINOR)** **tls**: revert default max toTLSv1.2 (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
* \[[`7393e37af1`](https://github.com/nodejs/node/commit/7393e37af1)] - **(SEMVER-MINOR)** **tls**: support TLSv1.3 (Sam Roberts) [#26209](https://github.com/nodejs/node/pull/26209)
* \[[`8e14859459`](https://github.com/nodejs/node/commit/8e14859459)] - **(SEMVER-MINOR)** **tls**: revert change to invalid protocol error type (Sam Roberts) [#26951](https://github.com/nodejs/node/pull/26951)
* \[[`00688b6042`](https://github.com/nodejs/node/commit/00688b6042)] - **(SEMVER-MINOR)** **tls**: add code for ERR\_TLS\_INVALID\_PROTOCOL\_METHOD (Sam Roberts) [#24729](https://github.com/nodejs/node/pull/24729)

## 2019-04-11, Version 11.14.0 (Current), @BethGriggs

### Notable changes

* **child\_process**: doc deprecate ChildProcess.\_channel (cjihrig) [#26982](https://github.com/nodejs/node/pull/26982)
* **deps**: update nghttp2 to 1.37.0 (gengjiawen) [#26990](https://github.com/nodejs/node/pull/26990)
* **dns**:
  * make dns.promises enumerable (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
  * remove dns.promises experimental warning (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* **fs**: remove experimental warning for fs.promises (Anna Henningsen) [#26581](https://github.com/nodejs/node/pull/26581)
* **stream**: make Symbol.asyncIterator support stable (Matteo Collina) [#26989](https://github.com/nodejs/node/pull/26989)
* **worker**: use copy of process.env (Anna Henningsen) [#26544](https://github.com/nodejs/node/pull/26544)

### Commits

* \[[`ca7c4f485b`](https://github.com/nodejs/node/commit/ca7c4f485b)] - **async\_hooks**: minor cleanup and improvements (Anatoli Papirovski) [#27034](https://github.com/nodejs/node/pull/27034)
* \[[`e9bffa8166`](https://github.com/nodejs/node/commit/e9bffa8166)] - **benchmark**: improve module-loader benchmark (Ruben Bridgewater) [#26970](https://github.com/nodejs/node/pull/26970)
* \[[`09d6dfb21d`](https://github.com/nodejs/node/commit/09d6dfb21d)] - **benchmark**: add new module loading benchmarks (Ruben Bridgewater) [#26970](https://github.com/nodejs/node/pull/26970)
* \[[`5512ecb5b0`](https://github.com/nodejs/node/commit/5512ecb5b0)] - **benchmark**: tidy up eslint ignore in foreach-bench.js (gengjiawen) [#26925](https://github.com/nodejs/node/pull/26925)
* \[[`de937375e4`](https://github.com/nodejs/node/commit/de937375e4)] - **benchmark**: remove unused field in class BenchmarkProgress (gengjiawen) [#26925](https://github.com/nodejs/node/pull/26925)
* \[[`0aea4d1c77`](https://github.com/nodejs/node/commit/0aea4d1c77)] - **benchmark,lib**: change var to const (Ruben Bridgewater) [#26915](https://github.com/nodejs/node/pull/26915)
* \[[`2ba58a6d54`](https://github.com/nodejs/node/commit/2ba58a6d54)] - **buffer**: fix concat error message (Ruben Bridgewater) [#27050](https://github.com/nodejs/node/pull/27050)
* \[[`a64786f47f`](https://github.com/nodejs/node/commit/a64786f47f)] - **build**: fix inspector dependency resolution (Ben Noordhuis) [#27026](https://github.com/nodejs/node/pull/27026)
* \[[`19a30f3b7e`](https://github.com/nodejs/node/commit/19a30f3b7e)] - **build**: fix inspector dependency resolution (Ben Noordhuis) [#27026](https://github.com/nodejs/node/pull/27026)
* \[[`ab5dbf9eb0`](https://github.com/nodejs/node/commit/ab5dbf9eb0)] - **build**: only emit download ICU warnings once (Richard Lau) [#27031](https://github.com/nodejs/node/pull/27031)
* \[[`7fe43bd81a`](https://github.com/nodejs/node/commit/7fe43bd81a)] - **build**: remove unused label from vcbuild.bat (Ben Noordhuis) [#26901](https://github.com/nodejs/node/pull/26901)
* \[[`6cbd6b5d57`](https://github.com/nodejs/node/commit/6cbd6b5d57)] - **build**: fix skipping of flaky tests on Travis (Richard Lau) [#27002](https://github.com/nodejs/node/pull/27002)
* \[[`769d12ca9f`](https://github.com/nodejs/node/commit/769d12ca9f)] - **build**: add a `Prepare ccache` job in Travis (Richard Lau) [#27002](https://github.com/nodejs/node/pull/27002)
* \[[`d8aaf2e0db`](https://github.com/nodejs/node/commit/d8aaf2e0db)] - **build,meta**: tweak Travis config (Refael Ackermann) [#26969](https://github.com/nodejs/node/pull/26969)
* \[[`b64b22377c`](https://github.com/nodejs/node/commit/b64b22377c)] - **build,win**: silence MSVC warning C4129 for V8 (Refael Ackermann) [#27017](https://github.com/nodejs/node/pull/27017)
* \[[`23967431f5`](https://github.com/nodejs/node/commit/23967431f5)] - **child\_process**: doc deprecate ChildProcess.\_channel (cjihrig) [#26982](https://github.com/nodejs/node/pull/26982)
* \[[`4defe47228`](https://github.com/nodejs/node/commit/4defe47228)] - **child\_process**: reduce internal usage of public require of util (toshi1127) [#26769](https://github.com/nodejs/node/pull/26769)
* \[[`e43dbaaba4`](https://github.com/nodejs/node/commit/e43dbaaba4)] - **console**: remove unreachable code (Rich Trott) [#26906](https://github.com/nodejs/node/pull/26906)
* \[[`2b791d8697`](https://github.com/nodejs/node/commit/2b791d8697)] - **crypto**: fix crash of encrypted private key export without cipher (Filip Skokan) [#27041](https://github.com/nodejs/node/pull/27041)
* \[[`1d2f4c4c6f`](https://github.com/nodejs/node/commit/1d2f4c4c6f)] - **crypto**: fix crash of encrypted private key export without cipher (Filip Skokan) [#27041](https://github.com/nodejs/node/pull/27041)
* \[[`98552f3630`](https://github.com/nodejs/node/commit/98552f3630)] - **crypto**: allow undefined for saltLength and padding (Tobias Nießen) [#26921](https://github.com/nodejs/node/pull/26921)
* \[[`db7df0fb12`](https://github.com/nodejs/node/commit/db7df0fb12)] - **deps**: add ARM64 Windows configurations in openssl (Jon Kunkee) [#26001](https://github.com/nodejs/node/pull/26001)
* \[[`341eacc949`](https://github.com/nodejs/node/commit/341eacc949)] - **deps**: add ARM64 Windows support in openssl (Shigeki Ohtsu) [#26001](https://github.com/nodejs/node/pull/26001)
* \[[`247700f293`](https://github.com/nodejs/node/commit/247700f293)] - **(SEMVER-MINOR)** **deps**: update nghttp2 to 1.37.0 (gengjiawen) [#26990](https://github.com/nodejs/node/pull/26990)
* \[[`af3ce38902`](https://github.com/nodejs/node/commit/af3ce38902)] - **dns**: refactor lib/internal/dns/utils.js (Rich Trott) [#27006](https://github.com/nodejs/node/pull/27006)
* \[[`ac12109d14`](https://github.com/nodejs/node/commit/ac12109d14)] - **(SEMVER-MINOR)** **dns**: make dns.promises enumerable (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* \[[`d3c1de313e`](https://github.com/nodejs/node/commit/d3c1de313e)] - **(SEMVER-MINOR)** **dns**: remove dns.promises experimental warning (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* \[[`ff126ea13c`](https://github.com/nodejs/node/commit/ff126ea13c)] - **doc**: assign missed deprecation code (Richard Lau) [#27164](https://github.com/nodejs/node/pull/27164)
* \[[`51dad0aaca`](https://github.com/nodejs/node/commit/51dad0aaca)] - **doc**: fix default maxBuffer size (kohta ito) [#22894](https://github.com/nodejs/node/pull/22894)
* \[[`7eb73d301d`](https://github.com/nodejs/node/commit/7eb73d301d)] - **doc**: document the 'pause' and 'resume' events (Luigi Pinca) [#26999](https://github.com/nodejs/node/pull/26999)
* \[[`57ced2db8c`](https://github.com/nodejs/node/commit/57ced2db8c)] - **doc**: remove unnecessary intro in governance doc (Rich Trott) [#27036](https://github.com/nodejs/node/pull/27036)
* \[[`a5314a1af1`](https://github.com/nodejs/node/commit/a5314a1af1)] - **doc**: remove old system\_errors (Minwoo Jung) [#27037](https://github.com/nodejs/node/pull/27037)
* \[[`2d780f864b`](https://github.com/nodejs/node/commit/2d780f864b)] - **doc**: unify link formatting in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`6e3b6c5e2c`](https://github.com/nodejs/node/commit/6e3b6c5e2c)] - **doc**: unify periods in comments in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`5983cefbf9`](https://github.com/nodejs/node/commit/5983cefbf9)] - **doc**: add notes about negative offsets in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`3567ff1378`](https://github.com/nodejs/node/commit/3567ff1378)] - **doc**: mark optional parameters in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`eeee6360b9`](https://github.com/nodejs/node/commit/eeee6360b9)] - **doc**: add note about Buffer octets integer coercion (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`c3d573d743`](https://github.com/nodejs/node/commit/c3d573d743)] - **doc**: fix error notes in `Buffer.from()` variants (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`e18a0e8087`](https://github.com/nodejs/node/commit/e18a0e8087)] - **doc**: unify number/integer types in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`0d75adcd71`](https://github.com/nodejs/node/commit/0d75adcd71)] - **doc**: add missing types in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`231eff92ca`](https://github.com/nodejs/node/commit/231eff92ca)] - **doc**: fix possible typo in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`f475e79db3`](https://github.com/nodejs/node/commit/f475e79db3)] - **doc**: remove description duplication in buffer.md (Vse Mozhet Byt) [#27030](https://github.com/nodejs/node/pull/27030)
* \[[`7b37c65914`](https://github.com/nodejs/node/commit/7b37c65914)] - **doc**: improve the doc of the 'information' event (Luigi Pinca) [#27009](https://github.com/nodejs/node/pull/27009)
* \[[`c4b790b62b`](https://github.com/nodejs/node/commit/c4b790b62b)] - **doc**: move "Prints: ..." under the code (simon3000) [#27035](https://github.com/nodejs/node/pull/27035)
* \[[`0f08a8e081`](https://github.com/nodejs/node/commit/0f08a8e081)] - **doc**: add information about modules cache behavior (Ruben Bridgewater) [#26971](https://github.com/nodejs/node/pull/26971)
* \[[`b88871e80b`](https://github.com/nodejs/node/commit/b88871e80b)] - **doc**: list when promiseResolve hook was added to async\_hooks (Thomas Watson) [#26978](https://github.com/nodejs/node/pull/26978)
* \[[`7a391961ea`](https://github.com/nodejs/node/commit/7a391961ea)] - **doc**: change code lang and update it with latest Node.js (gengjiawen) [#26987](https://github.com/nodejs/node/pull/26987)
* \[[`17cc117f4a`](https://github.com/nodejs/node/commit/17cc117f4a)] - **doc**: update changelog for v10.x LTS (Beth Griggs) [#26931](https://github.com/nodejs/node/pull/26931)
* \[[`28efecccd5`](https://github.com/nodejs/node/commit/28efecccd5)] - **doc**: remove "How is an LTS release cut?" section (Rich Trott) [#26955](https://github.com/nodejs/node/pull/26955)
* \[[`d76c30c082`](https://github.com/nodejs/node/commit/d76c30c082)] - **doc**: add note about mkdtemp() platform differences (cjihrig) [#26944](https://github.com/nodejs/node/pull/26944)
* \[[`4a7a84a6be`](https://github.com/nodejs/node/commit/4a7a84a6be)] - **(SEMVER-MINOR)** **doc**: move dns.promises to stable status (cjihrig) [#26592](https://github.com/nodejs/node/pull/26592)
* \[[`25d5198001`](https://github.com/nodejs/node/commit/25d5198001)] - **doc**: change links to https in benchmark guide (gengjiawen) [#26925](https://github.com/nodejs/node/pull/26925)
* \[[`a821a96b50`](https://github.com/nodejs/node/commit/a821a96b50)] - **doc**: correct typo: cert.issuerCertificate (Steven R. Loomis)
* \[[`17bff5ca0d`](https://github.com/nodejs/node/commit/17bff5ca0d)] - **doc**: remove reference to "credentials object" (Sam Roberts) [#26908](https://github.com/nodejs/node/pull/26908)
* \[[`5e64acd66b`](https://github.com/nodejs/node/commit/5e64acd66b)] - **(SEMVER-MINOR)** **embedding**: make `NewIsolate()` API more flexible (Anna Henningsen) [#26525](https://github.com/nodejs/node/pull/26525)
* \[[`7671a65dbb`](https://github.com/nodejs/node/commit/7671a65dbb)] - **(SEMVER-MINOR)** **embedding**: refactor public `ArrayBufferAllocator` API (Anna Henningsen) [#26525](https://github.com/nodejs/node/pull/26525)
* \[[`c756b84447`](https://github.com/nodejs/node/commit/c756b84447)] - **errors**: make range mandatory in ERR\_OUT\_OF\_RANGE (Ruben Bridgewater) [#26924](https://github.com/nodejs/node/pull/26924)
* \[[`3e386a77d5`](https://github.com/nodejs/node/commit/3e386a77d5)] - **(SEMVER-MINOR)** **fs**: remove experimental warning for fs.promises (Anna Henningsen) [#26581](https://github.com/nodejs/node/pull/26581)
* \[[`bb9f1cce42`](https://github.com/nodejs/node/commit/bb9f1cce42)] - **fs**: reduce usage of require('util') (toshi1127) [#26783](https://github.com/nodejs/node/pull/26783)
* \[[`5a29a94f0e`](https://github.com/nodejs/node/commit/5a29a94f0e)] - **http**: reduce usage of public util (ZYSzys) [#26548](https://github.com/nodejs/node/pull/26548)
* \[[`760d089e92`](https://github.com/nodejs/node/commit/760d089e92)] - **inspector**: display error when ToggleAsyncHook fails (Joyee Cheung) [#26859](https://github.com/nodejs/node/pull/26859)
* \[[`1b45704c19`](https://github.com/nodejs/node/commit/1b45704c19)] - **inspector**: patch C++ debug options instead of process.\_breakFirstLine (Joyee Cheung) [#26602](https://github.com/nodejs/node/pull/26602)
* \[[`100bfc5131`](https://github.com/nodejs/node/commit/100bfc5131)] - **meta**: move ofrobots to TSC emeritus (Ali Ijaz Sheikh) [#27076](https://github.com/nodejs/node/pull/27076)
* \[[`5c39687d01`](https://github.com/nodejs/node/commit/5c39687d01)] - **module**: add extra caching layer (Ruben Bridgewater) [#26970](https://github.com/nodejs/node/pull/26970)
* \[[`9b27d5eebb`](https://github.com/nodejs/node/commit/9b27d5eebb)] - **module**: add path to the module object (Ruben Bridgewater) [#26970](https://github.com/nodejs/node/pull/26970)
* \[[`3263264f43`](https://github.com/nodejs/node/commit/3263264f43)] - **module**: inline try catch (Ruben Bridgewater) [#26970](https://github.com/nodejs/node/pull/26970)
* \[[`079368a6ab`](https://github.com/nodejs/node/commit/079368a6ab)] - **module**: fix repl require calling the same file again (Ruben Bridgewater) [#26928](https://github.com/nodejs/node/pull/26928)
* \[[`3c9292642d`](https://github.com/nodejs/node/commit/3c9292642d)] - **module**: simpler esm loading (Ruben Bridgewater) [#26974](https://github.com/nodejs/node/pull/26974)
* \[[`fd8de13bbe`](https://github.com/nodejs/node/commit/fd8de13bbe)] - **path**: refactor for less indentation (Ruben Bridgewater) [#26917](https://github.com/nodejs/node/pull/26917)
* \[[`b62739c85c`](https://github.com/nodejs/node/commit/b62739c85c)] - **path**: remove dead code (Ruben Bridgewater) [#26916](https://github.com/nodejs/node/pull/26916)
* \[[`bd006e1002`](https://github.com/nodejs/node/commit/bd006e1002)] - **path**: fix win32 parse regression (Ruben Bridgewater) [#26912](https://github.com/nodejs/node/pull/26912)
* \[[`a232cd60dd`](https://github.com/nodejs/node/commit/a232cd60dd)] - **process**: store argv in Environment (Joyee Cheung) [#26945](https://github.com/nodejs/node/pull/26945)
* \[[`4d06ef468e`](https://github.com/nodejs/node/commit/4d06ef468e)] - **process**: run RunBootstrapping in CreateEnvironment (Joyee Cheung) [#26788](https://github.com/nodejs/node/pull/26788)
* \[[`a03552d246`](https://github.com/nodejs/node/commit/a03552d246)] - **process**: handle --expose-internals during pre-execution (Joyee Cheung) [#26759](https://github.com/nodejs/node/pull/26759)
* \[[`75c5d9c5b7`](https://github.com/nodejs/node/commit/75c5d9c5b7)] - **process**: create legacy process properties during pre-execution (Joyee Cheung) [#26517](https://github.com/nodejs/node/pull/26517)
* \[[`d4f95091d0`](https://github.com/nodejs/node/commit/d4f95091d0)] - **process**: delay process.argv\[0] and process.argv0 handling (Joyee Cheung) [#26517](https://github.com/nodejs/node/pull/26517)
* \[[`6c40f7f940`](https://github.com/nodejs/node/commit/6c40f7f940)] - **querystring**: simplify stringify method (ZYSzys) [#26591](https://github.com/nodejs/node/pull/26591)
* \[[`dbd06088cf`](https://github.com/nodejs/node/commit/dbd06088cf)] - **(SEMVER-MINOR)** **readline**: make Symbol.asyncIterator support stable (Matteo Collina) [#26989](https://github.com/nodejs/node/pull/26989)
* \[[`78fad3210c`](https://github.com/nodejs/node/commit/78fad3210c)] - **readline**: replace quadratic regex with linear one (Thomas) [#26778](https://github.com/nodejs/node/pull/26778)
* \[[`003e085ab5`](https://github.com/nodejs/node/commit/003e085ab5)] - **report**: add cwd to report (cjihrig) [#27022](https://github.com/nodejs/node/pull/27022)
* \[[`755609c682`](https://github.com/nodejs/node/commit/755609c682)] - **src**: prevent crash in TTYWrap::Initialize (Thomas) [#26832](https://github.com/nodejs/node/pull/26832)
* \[[`32ec034bdc`](https://github.com/nodejs/node/commit/32ec034bdc)] - **src**: use sizeof(var) instead of sizeof(type) (Ben Noordhuis) [#27038](https://github.com/nodejs/node/pull/27038)
* \[[`c537daf391`](https://github.com/nodejs/node/commit/c537daf391)] - **src**: apply clang-tidy rule bugprone-incorrect-roundings (gengjiawen) [#26885](https://github.com/nodejs/node/pull/26885)
* \[[`80694949f2`](https://github.com/nodejs/node/commit/80694949f2)] - **src**: elevate v8::Task namespace (Juan José Arboleda) [#26909](https://github.com/nodejs/node/pull/26909)
* \[[`aa6a741102`](https://github.com/nodejs/node/commit/aa6a741102)] - **src**: replace c-style cast (gengjiawen) [#26888](https://github.com/nodejs/node/pull/26888)
* \[[`f65cb75c74`](https://github.com/nodejs/node/commit/f65cb75c74)] - **src**: remove internal includes from node\_crypto.h (Sam Roberts) [#26966](https://github.com/nodejs/node/pull/26966)
* \[[`d0ee1a3dbb`](https://github.com/nodejs/node/commit/d0ee1a3dbb)] - **src**: fix warning on mismatched fn signature (Sam Roberts) [#26950](https://github.com/nodejs/node/pull/26950)
* \[[`fbdead7f35`](https://github.com/nodejs/node/commit/fbdead7f35)] - **src**: add missing uv\_fs\_req\_cleanup() (cjihrig) [#27004](https://github.com/nodejs/node/pull/27004)
* \[[`729e2f242f`](https://github.com/nodejs/node/commit/729e2f242f)] - **src**: implement generic backend for process.env (Anna Henningsen) [#26544](https://github.com/nodejs/node/pull/26544)
* \[[`d3840bcf0d`](https://github.com/nodejs/node/commit/d3840bcf0d)] - **src**: allow per-Environment set of env vars (Anna Henningsen) [#26544](https://github.com/nodejs/node/pull/26544)
* \[[`e776b013ad`](https://github.com/nodejs/node/commit/e776b013ad)] - **src**: do not call into JS in the maxAsyncCallStackDepthChanged interrupt (Joyee Cheung) [#26935](https://github.com/nodejs/node/pull/26935)
* \[[`0427354a98`](https://github.com/nodejs/node/commit/0427354a98)] - **src**: delete useless code in cares\_wrap.cc (gengjiawen) [#26815](https://github.com/nodejs/node/pull/26815)
* \[[`6bfb17f528`](https://github.com/nodejs/node/commit/6bfb17f528)] - **src**: fix task release in cares\_wrap.cc (gengjiawen) [#26815](https://github.com/nodejs/node/pull/26815)
* \[[`c969731755`](https://github.com/nodejs/node/commit/c969731755)] - **src**: use deleted function for class BaseObject (gengjiawen) [#26815](https://github.com/nodejs/node/pull/26815)
* \[[`c824127756`](https://github.com/nodejs/node/commit/c824127756)] - **src**: delete unused field in class ModuleWrap (gengjiawen) [#26815](https://github.com/nodejs/node/pull/26815)
* \[[`ea7e2c0666`](https://github.com/nodejs/node/commit/ea7e2c0666)] - **src**: tidy up include headers in env.cc (gengjiawen) [#26815](https://github.com/nodejs/node/pull/26815)
* \[[`c1def0701e`](https://github.com/nodejs/node/commit/c1def0701e)] - **src**: delete unreachable code in heap\_utils.cc (gengjiawen) [#26815](https://github.com/nodejs/node/pull/26815)
* \[[`c51cc9e85b`](https://github.com/nodejs/node/commit/c51cc9e85b)] - **src**: apply clang-tidy rule modernize-make-unique (gengjiawen) [#26493](https://github.com/nodejs/node/pull/26493)
* \[[`ab70c96a79`](https://github.com/nodejs/node/commit/ab70c96a79)] - **src**: refactor coverage connection (Joyee Cheung) [#26513](https://github.com/nodejs/node/pull/26513)
* \[[`63e7cc7694`](https://github.com/nodejs/node/commit/63e7cc7694)] - **src**: forbid access to CLI options before bootstrapping is done (Joyee Cheung) [#26476](https://github.com/nodejs/node/pull/26476)
* \[[`e6c1ad5901`](https://github.com/nodejs/node/commit/e6c1ad5901)] - **src**: fix warnings around node\_options (Refael Ackermann) [#26280](https://github.com/nodejs/node/pull/26280)
* \[[`62f904974d`](https://github.com/nodejs/node/commit/62f904974d)] - **src**: refactor node options parsers to mitigate MSVC bug (Refael Ackermann) [#26280](https://github.com/nodejs/node/pull/26280)
* \[[`b29afa212a`](https://github.com/nodejs/node/commit/b29afa212a)] - **(SEMVER-MINOR)** **stream**: make Symbol.asyncIterator support stable (Matteo Collina) [#26989](https://github.com/nodejs/node/pull/26989)
* \[[`ea47189b40`](https://github.com/nodejs/node/commit/ea47189b40)] - **stream**: do not unconditionally call `_read()` on `resume()` (Anna Henningsen) [#26965](https://github.com/nodejs/node/pull/26965)
* \[[`b359a7a7e5`](https://github.com/nodejs/node/commit/b359a7a7e5)] - **test**: make module test pass with NODE\_PENDING\_DEPRECATION (Anna Henningsen) [#27019](https://github.com/nodejs/node/pull/27019)
* \[[`1b2a07855a`](https://github.com/nodejs/node/commit/1b2a07855a)] - **test**: remove test-trace-events-api-worker-disabled from flaky (Rich Trott) [#27020](https://github.com/nodejs/node/pull/27020)
* \[[`ecac6547c0`](https://github.com/nodejs/node/commit/ecac6547c0)] - **test**: move test that creates 1Gb file to pummel (Rich Trott) [#27053](https://github.com/nodejs/node/pull/27053)
* \[[`35119d60d9`](https://github.com/nodejs/node/commit/35119d60d9)] - **test**: add IPv6 brackets but no port to test-dns (Rich Trott) [#27006](https://github.com/nodejs/node/pull/27006)
* \[[`8258f0704d`](https://github.com/nodejs/node/commit/8258f0704d)] - **test**: remove unused triggerAsyncId param in test (Juan José Arboleda) [#26800](https://github.com/nodejs/node/pull/26800)
* \[[`06dce392ba`](https://github.com/nodejs/node/commit/06dce392ba)] - **test**: fix error code typo (cjihrig) [#27024](https://github.com/nodejs/node/pull/27024)
* \[[`e5181f8dc4`](https://github.com/nodejs/node/commit/e5181f8dc4)] - **test**: simplify for loop in test-buffer-zero-fill-cli.js (Juan José Arboleda) [#26799](https://github.com/nodejs/node/pull/26799)
* \[[`9330d7e4bf`](https://github.com/nodejs/node/commit/9330d7e4bf)] - **test**: add known\_issues test for fs.copyFile() (Rich Trott) [#26939](https://github.com/nodejs/node/pull/26939)
* \[[`fd6381b056`](https://github.com/nodejs/node/commit/fd6381b056)] - **test**: remove test-path-parse-6229.js from known issues (Ruben Bridgewater) [#26913](https://github.com/nodejs/node/pull/26913)
* \[[`edad9afaf8`](https://github.com/nodejs/node/commit/edad9afaf8)] - **test**: move hasCrypto check (Ruben Bridgewater) [#26858](https://github.com/nodejs/node/pull/26858)
* \[[`2ef1bd97c6`](https://github.com/nodejs/node/commit/2ef1bd97c6)] - **test**: do not require flags when executing a file (Ruben Bridgewater) [#26858](https://github.com/nodejs/node/pull/26858)
* \[[`a1cf7453d8`](https://github.com/nodejs/node/commit/a1cf7453d8)] - **test**: refactor path parse test (Ruben Bridgewater) [#26912](https://github.com/nodejs/node/pull/26912)
* \[[`80e845e787`](https://github.com/nodejs/node/commit/80e845e787)] - **test**: add test about unencrypted PKCS#8 private key for RSA (Daiki Ihara) [#26898](https://github.com/nodejs/node/pull/26898)
* \[[`03bd649655`](https://github.com/nodejs/node/commit/03bd649655)] - **test**: show stderr on v8 coverage test failures (Joyee Cheung) [#26513](https://github.com/nodejs/node/pull/26513)
* \[[`b24e45ab8d`](https://github.com/nodejs/node/commit/b24e45ab8d)] - **(SEMVER-MINOR)** **timers**: deprecate active() and \_unrefActive() (Jeremiah Senkpiel) [#26760](https://github.com/nodejs/node/pull/26760)
* \[[`3ff3070442`](https://github.com/nodejs/node/commit/3ff3070442)] - **tools**: fix `test.py --time` (Richard Lau) [#27007](https://github.com/nodejs/node/pull/27007)
* \[[`7cbe1214d0`](https://github.com/nodejs/node/commit/7cbe1214d0)] - **tools**: update ESLint to 5.16.0 (cjihrig) [#27005](https://github.com/nodejs/node/pull/27005)
* \[[`dc9ce86aaa`](https://github.com/nodejs/node/commit/dc9ce86aaa)] - **tools**: update dependencies in lint-md-cli-rollup (Daijiro Wachi) [#26889](https://github.com/nodejs/node/pull/26889)
* \[[`8798db3bf3`](https://github.com/nodejs/node/commit/8798db3bf3)] - **url**: add ws: and wss: to slashedProtocol set (Luigi Pinca) [#26941](https://github.com/nodejs/node/pull/26941)
* \[[`12737b3789`](https://github.com/nodejs/node/commit/12737b3789)] - **util**: `inspect()` should not exceed `breakLength` (Ruben Bridgewater) [#26914](https://github.com/nodejs/node/pull/26914)
* \[[`0f615d4216`](https://github.com/nodejs/node/commit/0f615d4216)] - **util**: add subclass and null prototype support for errors in inspect (Ruben Bridgewater) [#26923](https://github.com/nodejs/node/pull/26923)
* \[[`1aa6e993e3`](https://github.com/nodejs/node/commit/1aa6e993e3)] - **util**: fix map entries inspection (Ruben Bridgewater) [#26918](https://github.com/nodejs/node/pull/26918)
* \[[`1b08e622aa`](https://github.com/nodejs/node/commit/1b08e622aa)] - **util**: improve proxy inspection (Ruben Bridgewater) [#26919](https://github.com/nodejs/node/pull/26919)
* \[[`21486e5c97`](https://github.com/nodejs/node/commit/21486e5c97)] - **util**: extract uncurryThis function for reuse (ZYSzys) [#23081](https://github.com/nodejs/node/pull/23081)
* \[[`169f3f7166`](https://github.com/nodejs/node/commit/169f3f7166)] - **util**: require `isNativeError` from internalBinding (ZYSzys) [#23081](https://github.com/nodejs/node/pull/23081)
* \[[`8bd7909d00`](https://github.com/nodejs/node/commit/8bd7909d00)] - **worker**: use copy of process.env (Anna Henningsen) [#26544](https://github.com/nodejs/node/pull/26544)
* \[[`682b410581`](https://github.com/nodejs/node/commit/682b410581)] - **worker**: allow execArgv and eval in combination (Anna Henningsen) [#26533](https://github.com/nodejs/node/pull/26533)
* \[[`5d9f819a14`](https://github.com/nodejs/node/commit/5d9f819a14)] - **worker**: remove usage of require('util') in worker\_thread.js (toshi1127) [#26814](https://github.com/nodejs/node/pull/26814)
* \[[`44450efa6b`](https://github.com/nodejs/node/commit/44450efa6b)] - **worker**: remove usage of require('util') (toshi1127) [#26810](https://github.com/nodejs/node/pull/26810)

## 2019-03-28, Version 11.13.0 (Current), @targos

### Notable Changes

* **crypto**
  * Allow deriving public from private keys (Tobias Nießen) [#26278](https://github.com/nodejs/node/pull/26278).
* **events**
  * Added a `once` function to use `EventEmitter` with promises (Matteo Collina) [#26078](https://github.com/nodejs/node/pull/26078).
* **tty**
  * Added a `hasColors` method to `WriteStream` (Ruben Bridgewater) [#26247](https://github.com/nodejs/node/pull/26247).
  * Added NO\_COLOR and FORCE\_COLOR support (Ruben Bridgewater) [#26485](https://github.com/nodejs/node/pull/26485).
* **v8**
  * Added `v8.getHeapSnapshot` and `v8.writeHeapSnapshot` to generate snapshots in the format used by tools such as Chrome DevTools (James M Snell) [#26501](https://github.com/nodejs/node/pull/26501).
* **worker**
  * Added `worker.moveMessagePortToContext`. This enables using MessagePorts in different vm.Contexts, aiding with the isolation that the vm module seeks to provide (Anna Henningsen) [#26497](https://github.com/nodejs/node/pull/26497).
* **C++ API**
  * `AddPromiseHook` is now deprecated. This API was added to fill an use case that is served by `async_hooks`, since that has `Promise` support (Anna Henningsen) [#26529](https://github.com/nodejs/node/pull/26529).
  * Added a `Stop` API to shut down Node.js while it is running (Gireesh Punathil) [#21283](https://github.com/nodejs/node/pull/21283).
* **meta**
  * [Gireesh Punathil](https://github.com/gireeshpunathil) is now a member of the Technical Steering Committee [#26657](https://github.com/nodejs/node/pull/26657).
  * Added [Yongsheng Zhang](https://github.com/ZYSzys) to collaborators [#26730](https://github.com/nodejs/node/pull/26730).

### Commits

* \[[`a2d2756792`](https://github.com/nodejs/node/commit/a2d2756792)] - **assert**: reduce internal usage of public require of util (toshi1127) [#26750](https://github.com/nodejs/node/pull/26750)
* \[[`db7c4ac40b`](https://github.com/nodejs/node/commit/db7c4ac40b)] - **assert**: reduce internal usage of public require of util (Daiki Ihara) [#26762](https://github.com/nodejs/node/pull/26762)
* \[[`3ab438aa17`](https://github.com/nodejs/node/commit/3ab438aa17)] - **benchmark**: replace deprecated and eliminate var in buffer-from.js (gengjiawen) [#26585](https://github.com/nodejs/node/pull/26585)
* \[[`0e4ae00676`](https://github.com/nodejs/node/commit/0e4ae00676)] - **benchmark**: use gfm for clarity (gengjiawen) [#26710](https://github.com/nodejs/node/pull/26710)
* \[[`509ad40348`](https://github.com/nodejs/node/commit/509ad40348)] - **build**: restore running tests on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* \[[`b480c792be`](https://github.com/nodejs/node/commit/b480c792be)] - **build**: temporarily don't run tests on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* \[[`4163864be5`](https://github.com/nodejs/node/commit/4163864be5)] - **build**: use Xenial and gcc 6 on Travis (Richard Lau) [#26720](https://github.com/nodejs/node/pull/26720)
* \[[`e39a468cdc`](https://github.com/nodejs/node/commit/e39a468cdc)] - **child\_process**: ensure message sanity at source (Gireesh Punathil) [#24787](https://github.com/nodejs/node/pull/24787)
* \[[`f263f98d5a`](https://github.com/nodejs/node/commit/f263f98d5a)] - **console**: remove unreachable code (Rich Trott) [#26863](https://github.com/nodejs/node/pull/26863)
* \[[`e49cd40789`](https://github.com/nodejs/node/commit/e49cd40789)] - **console**: fix trace function (Ruben Bridgewater) [#26764](https://github.com/nodejs/node/pull/26764)
* \[[`f2a07df27f`](https://github.com/nodejs/node/commit/f2a07df27f)] - **crypto**: improve error handling in parseKeyEncoding (Tobias Nießen) [#26455](https://github.com/nodejs/node/pull/26455)
* \[[`ed7599bf36`](https://github.com/nodejs/node/commit/ed7599bf36)] - **(SEMVER-MINOR)** **crypto**: allow deriving public from private keys (Tobias Nießen) [#26278](https://github.com/nodejs/node/pull/26278)
* \[[`74c6f57aed`](https://github.com/nodejs/node/commit/74c6f57aed)] - **(SEMVER-MINOR)** **crypto**: expose KeyObject class (Filip Skokan) [#26438](https://github.com/nodejs/node/pull/26438)
* \[[`54ffe61c56`](https://github.com/nodejs/node/commit/54ffe61c56)] - **deps**: upgrade to libuv 1.27.0 (cjihrig) [#26707](https://github.com/nodejs/node/pull/26707)
* \[[`dae1e301c6`](https://github.com/nodejs/node/commit/dae1e301c6)] - **dgram**: remove usage of public require('util') (dnlup) [#26770](https://github.com/nodejs/node/pull/26770)
* \[[`119f83bb44`](https://github.com/nodejs/node/commit/119f83bb44)] - **doc**: mark settings as optional and add callback (Ruben Bridgewater) [#26894](https://github.com/nodejs/node/pull/26894)
* \[[`a545cfe293`](https://github.com/nodejs/node/commit/a545cfe293)] - **doc**: edit "How Can I Help?" in Collaborator Guide (Rich Trott) [#26895](https://github.com/nodejs/node/pull/26895)
* \[[`14cc4f220c`](https://github.com/nodejs/node/commit/14cc4f220c)] - **doc**: add option to require 'process' to api docs (dkundel) [#26792](https://github.com/nodejs/node/pull/26792)
* \[[`977f5acd04`](https://github.com/nodejs/node/commit/977f5acd04)] - **doc**: minor edit to worker\_threads.md (Rich Trott) [#26870](https://github.com/nodejs/node/pull/26870)
* \[[`78e6ec7dd5`](https://github.com/nodejs/node/commit/78e6ec7dd5)] - **doc**: edit LTS material in Collaborator Guide (Rich Trott) [#26845](https://github.com/nodejs/node/pull/26845)
* \[[`7e072c816c`](https://github.com/nodejs/node/commit/7e072c816c)] - **doc**: change error message to 'not defined' (Mohammed Essehemy) [#26857](https://github.com/nodejs/node/pull/26857)
* \[[`c7b34cd8ee`](https://github.com/nodejs/node/commit/c7b34cd8ee)] - **doc**: fix comma of the list in worker\_threads.md (Hang Jiang) [#26838](https://github.com/nodejs/node/pull/26838)
* \[[`560ff919b2`](https://github.com/nodejs/node/commit/560ff919b2)] - **doc**: remove discord community (Aymen Naghmouchi) [#26830](https://github.com/nodejs/node/pull/26830)
* \[[`fc0aa50c3d`](https://github.com/nodejs/node/commit/fc0aa50c3d)] - **doc**: remove How Does LTS Work section from Collaborator Guide (Rich Trott) [#26723](https://github.com/nodejs/node/pull/26723)
* \[[`bc9f6d877a`](https://github.com/nodejs/node/commit/bc9f6d877a)] - **doc**: condense LTS material in Collaborator Guide (Rich Trott) [#26722](https://github.com/nodejs/node/pull/26722)
* \[[`8de9fe94a0`](https://github.com/nodejs/node/commit/8de9fe94a0)] - **doc**: document `error` event is optionally emitted after `.destroy()` (Sergey Zelenov) [#26589](https://github.com/nodejs/node/pull/26589)
* \[[`148c2ca33d`](https://github.com/nodejs/node/commit/148c2ca33d)] - **doc**: add Note of options.stdio into child\_process (kohta ito) [#26604](https://github.com/nodejs/node/pull/26604)
* \[[`0303aba162`](https://github.com/nodejs/node/commit/0303aba162)] - **doc**: update spawnSync() status value possibilities (Rich Trott) [#26680](https://github.com/nodejs/node/pull/26680)
* \[[`6744b8cb43`](https://github.com/nodejs/node/commit/6744b8cb43)] - **doc**: add ZYSzys to collaborators (ZYSzys) [#26730](https://github.com/nodejs/node/pull/26730)
* \[[`0c06631a71`](https://github.com/nodejs/node/commit/0c06631a71)] - **doc**: simplify force-push guidelines (Rich Trott) [#26699](https://github.com/nodejs/node/pull/26699)
* \[[`b38cf49094`](https://github.com/nodejs/node/commit/b38cf49094)] - **doc**: make RFC references consistent (Rich Trott) [#26727](https://github.com/nodejs/node/pull/26727)
* \[[`1f0a2835f4`](https://github.com/nodejs/node/commit/1f0a2835f4)] - **doc**: note about DNS ANY queries / RFC 8482 (Thomas Hunter II) [#26695](https://github.com/nodejs/node/pull/26695)
* \[[`cfa152b589`](https://github.com/nodejs/node/commit/cfa152b589)] - **doc**: simplify Troubleshooting text (Rich Trott) [#26652](https://github.com/nodejs/node/pull/26652)
* \[[`e8e8eac96c`](https://github.com/nodejs/node/commit/e8e8eac96c)] - **doc**: update copy/paste error message in Troubleshooting (Rich Trott) [#26652](https://github.com/nodejs/node/pull/26652)
* \[[`3b471db14a`](https://github.com/nodejs/node/commit/3b471db14a)] - **doc**: add Gireesh to TSC (Rich Trott) [#26657](https://github.com/nodejs/node/pull/26657)
* \[[`058cf43a3c`](https://github.com/nodejs/node/commit/058cf43a3c)] - **doc**: edit "Technical How-To" section of guide (Rich Trott) [#26601](https://github.com/nodejs/node/pull/26601)
* \[[`9a5c1495b1`](https://github.com/nodejs/node/commit/9a5c1495b1)] - **errors**: remove usage of require('util') (dnlup) [#26781](https://github.com/nodejs/node/pull/26781)
* \[[`7022609dcc`](https://github.com/nodejs/node/commit/7022609dcc)] - **events**: load internal/errors eagerly (Joyee Cheung) [#26771](https://github.com/nodejs/node/pull/26771)
* \[[`df55731918`](https://github.com/nodejs/node/commit/df55731918)] - **(SEMVER-MINOR)** **events**: add once method to use promises with EventEmitter (Matteo Collina) [#26078](https://github.com/nodejs/node/pull/26078)
* \[[`c96946d5f3`](https://github.com/nodejs/node/commit/c96946d5f3)] - **http**: delay ret declaration in method \_flushOutput (gengjiawen) [#26562](https://github.com/nodejs/node/pull/26562)
* \[[`15af5193af`](https://github.com/nodejs/node/commit/15af5193af)] - **http2**: reduce usage of require('util') (toshi1127) [#26784](https://github.com/nodejs/node/pull/26784)
* \[[`1073e54ad6`](https://github.com/nodejs/node/commit/1073e54ad6)] - **http2**: delete unused enum in node\_http2.h (gengjiawen) [#26704](https://github.com/nodejs/node/pull/26704)
* \[[`3574b62717`](https://github.com/nodejs/node/commit/3574b62717)] - **inspector**: always set process.binding('inspector').callAndPauseOnStart (Joyee Cheung) [#26793](https://github.com/nodejs/node/pull/26793)
* \[[`cc4a25a1a9`](https://github.com/nodejs/node/commit/cc4a25a1a9)] - **lib**: lazy load `v8` in error-serdes (Richard Lau) [#26689](https://github.com/nodejs/node/pull/26689)
* \[[`5f3b850da5`](https://github.com/nodejs/node/commit/5f3b850da5)] - **lib**: reduce usage of require('util') (dnlup) [#26782](https://github.com/nodejs/node/pull/26782)
* \[[`bf2b57e46f`](https://github.com/nodejs/node/commit/bf2b57e46f)] - **lib**: remove usage of require('util') (dnlup) [#26779](https://github.com/nodejs/node/pull/26779)
* \[[`64a92290c0`](https://github.com/nodejs/node/commit/64a92290c0)] - **lib**: remove usage of require('util') (dnlup) [#26777](https://github.com/nodejs/node/pull/26777)
* \[[`bff5d301bf`](https://github.com/nodejs/node/commit/bff5d301bf)] - **lib**: move extra properties into error creation (Ruben Bridgewater) [#26752](https://github.com/nodejs/node/pull/26752)
* \[[`e916a2ad54`](https://github.com/nodejs/node/commit/e916a2ad54)] - **lib**: remove usage of require('util') (dnlup) [#26773](https://github.com/nodejs/node/pull/26773)
* \[[`cc76f3f152`](https://github.com/nodejs/node/commit/cc76f3f152)] - **lib**: use Array#includes instead of Array#indexOf (Weijia Wang) [#26732](https://github.com/nodejs/node/pull/26732)
* \[[`a44f98e333`](https://github.com/nodejs/node/commit/a44f98e333)] - **lib**: run prepareMainThreadExecution for third\_party\_main (Anna Henningsen) [#26677](https://github.com/nodejs/node/pull/26677)
* \[[`1c1305dbc1`](https://github.com/nodejs/node/commit/1c1305dbc1)] - **lib**: make lowerProto scope more clear (gengjiawen) [#26562](https://github.com/nodejs/node/pull/26562)
* \[[`9ce08c85e7`](https://github.com/nodejs/node/commit/9ce08c85e7)] - **lib**: explicitly initialize debuglog during bootstrap (Joyee Cheung) [#26468](https://github.com/nodejs/node/pull/26468)
* \[[`b75af1537d`](https://github.com/nodejs/node/commit/b75af1537d)] - **lib**: move format and formatWithOptions into internal/util/inspect.js (Joyee Cheung) [#26468](https://github.com/nodejs/node/pull/26468)
* \[[`235bb733a6`](https://github.com/nodejs/node/commit/235bb733a6)] - **module**: do not share the internal require function with public loaders (Joyee Cheung) [#26549](https://github.com/nodejs/node/pull/26549)
* \[[`4cafd7419d`](https://github.com/nodejs/node/commit/4cafd7419d)] - **module**: remove usage of require('util') in `esm/translators.js` (dnlup) [#26806](https://github.com/nodejs/node/pull/26806)
* \[[`037e3fddfa`](https://github.com/nodejs/node/commit/037e3fddfa)] - **module**: remove usage of require('util') in `esm/loader.js` (dnlup) [#26804](https://github.com/nodejs/node/pull/26804)
* \[[`414d6f5e04`](https://github.com/nodejs/node/commit/414d6f5e04)] - **module**: remove usage of require('util') in `cjs/loader.js` (dnlup) [#26802](https://github.com/nodejs/node/pull/26802)
* \[[`fbe6d30bcf`](https://github.com/nodejs/node/commit/fbe6d30bcf)] - **module**: remove usage of require('util') (dnlup) [#26805](https://github.com/nodejs/node/pull/26805)
* \[[`a20bf75e06`](https://github.com/nodejs/node/commit/a20bf75e06)] - _**Revert**_ "**net**: remove usage of require('util')" (Rich Trott) [#26896](https://github.com/nodejs/node/pull/26896)
* \[[`5e06c3bc0b`](https://github.com/nodejs/node/commit/5e06c3bc0b)] - **net**: remove usage of require('util') (dnlup) [#26807](https://github.com/nodejs/node/pull/26807)
* \[[`24e96b24cf`](https://github.com/nodejs/node/commit/24e96b24cf)] - **net**: some scattered cleanup (oyyd) [#24128](https://github.com/nodejs/node/pull/24128)
* \[[`de353b75d5`](https://github.com/nodejs/node/commit/de353b75d5)] - **perf\_hooks**: load internal/errors eagerly (Joyee Cheung) [#26771](https://github.com/nodejs/node/pull/26771)
* \[[`0bd82c93c6`](https://github.com/nodejs/node/commit/0bd82c93c6)] - **perf\_hooks**: reset prev\_ before starting ELD timer (Gerhard Stoebich) [#26693](https://github.com/nodejs/node/pull/26693)
* \[[`c127bec4ab`](https://github.com/nodejs/node/commit/c127bec4ab)] - **policy**: reduce internal usage of public util for manifest.js (Jesse Katsumata) [#26833](https://github.com/nodejs/node/pull/26833)
* \[[`899de0a7c7`](https://github.com/nodejs/node/commit/899de0a7c7)] - **process**: check no handle or request is active after bootstrap (Joyee Cheung) [#26593](https://github.com/nodejs/node/pull/26593)
* \[[`57d302b563`](https://github.com/nodejs/node/commit/57d302b563)] - **process**: delay creation of process.env after bootstrap/node.js (Joyee Cheung) [#26515](https://github.com/nodejs/node/pull/26515)
* \[[`255de69596`](https://github.com/nodejs/node/commit/255de69596)] - **process**: refactor global.queueMicrotask() (Joyee Cheung) [#26523](https://github.com/nodejs/node/pull/26523)
* \[[`1481e5b5c1`](https://github.com/nodejs/node/commit/1481e5b5c1)] - **process**: set the trace category update handler during bootstrap (Joyee Cheung) [#26605](https://github.com/nodejs/node/pull/26605)
* \[[`be3ea2a1eb`](https://github.com/nodejs/node/commit/be3ea2a1eb)] - **process**: handle node --debug deprecation in pre-execution (Joyee Cheung) [#26670](https://github.com/nodejs/node/pull/26670)
* \[[`8b65aa73f6`](https://github.com/nodejs/node/commit/8b65aa73f6)] - **process**: make stdout and stderr emit 'close' on destroy (Matteo Collina) [#26691](https://github.com/nodejs/node/pull/26691)
* \[[`dd2f2cca00`](https://github.com/nodejs/node/commit/dd2f2cca00)] - **process**: remove usage of require('util') in `per_thread.js` (dnlup) [#26817](https://github.com/nodejs/node/pull/26817)
* \[[`41761cc4a6`](https://github.com/nodejs/node/commit/41761cc4a6)] - **process**: load internal/async\_hooks before inspector hooks registration (Joyee Cheung) [#26866](https://github.com/nodejs/node/pull/26866)
* \[[`b0afac2833`](https://github.com/nodejs/node/commit/b0afac2833)] - **process**: call prepareMainThreadExecution in all main thread scripts (Joyee Cheung) [#26468](https://github.com/nodejs/node/pull/26468)
* \[[`cf1117a818`](https://github.com/nodejs/node/commit/cf1117a818)] - **process**: move deprecation warning setup for --debug\* args (Refael Ackermann) [#26662](https://github.com/nodejs/node/pull/26662)
* \[[`4200fc30bd`](https://github.com/nodejs/node/commit/4200fc30bd)] - **process**: handle process.env.NODE\_V8\_COVERAGE in pre-execution (Joyee Cheung) [#26466](https://github.com/nodejs/node/pull/26466)
* \[[`cc606e2dfc`](https://github.com/nodejs/node/commit/cc606e2dfc)] - **process**: set up process warning handler in pre-execution (Joyee Cheung) [#26466](https://github.com/nodejs/node/pull/26466)
* \[[`03dba720da`](https://github.com/nodejs/node/commit/03dba720da)] - **process**: call `prepareMainThreadExecution` in `node inspect` (Joyee Cheung) [#26466](https://github.com/nodejs/node/pull/26466)
* \[[`04e9d5a448`](https://github.com/nodejs/node/commit/04e9d5a448)] - **repl**: remove usage of require('util') in `repl/history` (dnlup) [#26819](https://github.com/nodejs/node/pull/26819)
* \[[`e8412bc213`](https://github.com/nodejs/node/commit/e8412bc213)] - **repl**: remove redundant initialization (gengjiawen) [#26562](https://github.com/nodejs/node/pull/26562)
* \[[`5b8eae4ea7`](https://github.com/nodejs/node/commit/5b8eae4ea7)] - **report**: remove duplicate TIME\_TYPE (cjihrig) [#26708](https://github.com/nodejs/node/pull/26708)
* \[[`01778f525b`](https://github.com/nodejs/node/commit/01778f525b)] - **report**: tidy up included headers (Richard Lau) [#26697](https://github.com/nodejs/node/pull/26697)
* \[[`5c4187638c`](https://github.com/nodejs/node/commit/5c4187638c)] - **report**: use LocalTime from DiagnosticFilename (Richard Lau) [#26647](https://github.com/nodejs/node/pull/26647)
* \[[`e3bae20941`](https://github.com/nodejs/node/commit/e3bae20941)] - **report**: use DiagnosticFilename for default filename (Richard Lau) [#26647](https://github.com/nodejs/node/pull/26647)
* \[[`1b4553401c`](https://github.com/nodejs/node/commit/1b4553401c)] - **report**: remove unnecessary return in setters (Rich Trott) [#26614](https://github.com/nodejs/node/pull/26614)
* \[[`f50c9c6ae2`](https://github.com/nodejs/node/commit/f50c9c6ae2)] - **src**: move ShouldNotAbortOnUncaughtScope out of Environment (Joyee Cheung) [#26824](https://github.com/nodejs/node/pull/26824)
* \[[`7e7f07755c`](https://github.com/nodejs/node/commit/7e7f07755c)] - **src**: move TrackingTraceStateObserver out of Environment (Joyee Cheung) [#26824](https://github.com/nodejs/node/pull/26824)
* \[[`bc69a81276`](https://github.com/nodejs/node/commit/bc69a81276)] - **src**: move TickInfo out of Environment (Joyee Cheung) [#26824](https://github.com/nodejs/node/pull/26824)
* \[[`495e5e9e75`](https://github.com/nodejs/node/commit/495e5e9e75)] - **src**: move ImmediateInfo out of Environment (Joyee Cheung) [#26824](https://github.com/nodejs/node/pull/26824)
* \[[`6de1220cc4`](https://github.com/nodejs/node/commit/6de1220cc4)] - **src**: move AsyncCallbackScope out of Environment (Joyee Cheung) [#26824](https://github.com/nodejs/node/pull/26824)
* \[[`4af9ff00ff`](https://github.com/nodejs/node/commit/4af9ff00ff)] - **src**: move AsyncHooks out of Environment (Joyee Cheung) [#26824](https://github.com/nodejs/node/pull/26824)
* \[[`3d9839ba3f`](https://github.com/nodejs/node/commit/3d9839ba3f)] - **src**: add include guard for trace\_event\_common.h (gengjiawen) [#26883](https://github.com/nodejs/node/pull/26883)
* \[[`13eb1d8f8a`](https://github.com/nodejs/node/commit/13eb1d8f8a)] - **src**: store onread callback in internal field (Anna Henningsen) [#26837](https://github.com/nodejs/node/pull/26837)
* \[[`220f67c6ce`](https://github.com/nodejs/node/commit/220f67c6ce)] - **src**: guard exit label when inspector disabled (Daniel Bevenius) [#26801](https://github.com/nodejs/node/pull/26801)
* \[[`54753f2446`](https://github.com/nodejs/node/commit/54753f2446)] - **src**: micro-optimize ALPN negotiation (Ben Noordhuis) [#26836](https://github.com/nodejs/node/pull/26836)
* \[[`6de2437c0f`](https://github.com/nodejs/node/commit/6de2437c0f)] - **src**: apply clang-tidy readability-delete-null-pointer (gengjiawen) [#26813](https://github.com/nodejs/node/pull/26813)
* \[[`de5034643f`](https://github.com/nodejs/node/commit/de5034643f)] - **src**: apply clang-tidy performance-faster-string-find (gengjiawen) [#26812](https://github.com/nodejs/node/pull/26812)
* \[[`79d6895484`](https://github.com/nodejs/node/commit/79d6895484)] - **src**: initialize worker's stack\_base\_ field (cjihrig) [#26739](https://github.com/nodejs/node/pull/26739)
* \[[`6911678f9e`](https://github.com/nodejs/node/commit/6911678f9e)] - **src**: use explicit casts to silence conversion warnings (Zach Bjornson) [#26766](https://github.com/nodejs/node/pull/26766)
* \[[`26361d1a5f`](https://github.com/nodejs/node/commit/26361d1a5f)] - **src**: add fast path for equal size to `Reallocate()` (Anna Henningsen) [#26573](https://github.com/nodejs/node/pull/26573)
* \[[`f597b37efb`](https://github.com/nodejs/node/commit/f597b37efb)] - **src**: do not make `Resize(0)`’d buffers base `nullptr` (Anna Henningsen) [#26731](https://github.com/nodejs/node/pull/26731)
* \[[`14c3af7f3e`](https://github.com/nodejs/node/commit/14c3af7f3e)] - **src**: only open HandleScope when necessary (Anna Henningsen) [#26734](https://github.com/nodejs/node/pull/26734)
* \[[`ad5d8e308c`](https://github.com/nodejs/node/commit/ad5d8e308c)] - **src**: refactor thread stopping mechanism (Anna Henningsen) [#26757](https://github.com/nodejs/node/pull/26757)
* \[[`d075814149`](https://github.com/nodejs/node/commit/d075814149)] - **src**: replace heap\_utils.createHeapSnapshot with v8.getHeapSnapshot (Joyee Cheung) [#26671](https://github.com/nodejs/node/pull/26671)
* \[[`eafbfadec3`](https://github.com/nodejs/node/commit/eafbfadec3)] - **src**: elevate v8 namespaces for PropertyAttribute (gengjiawen) [#26681](https://github.com/nodejs/node/pull/26681)
* \[[`15ec381944`](https://github.com/nodejs/node/commit/15ec381944)] - **src**: use EVPKeyPointer in more places (Ben Noordhuis) [#26632](https://github.com/nodejs/node/pull/26632)
* \[[`2d2b6a8c23`](https://github.com/nodejs/node/commit/2d2b6a8c23)] - **src**: remove unused variable in class InspectorSocketServer (gengjiawen) [#26633](https://github.com/nodejs/node/pull/26633)
* \[[`3637e71328`](https://github.com/nodejs/node/commit/3637e71328)] - **src**: use deleted function instead of private function in class AsyncWrap (gengjiawen) [#26634](https://github.com/nodejs/node/pull/26634)
* \[[`51b8a891d8`](https://github.com/nodejs/node/commit/51b8a891d8)] - **src**: inline macro DISALLOW\_COPY\_AND\_ASSIGN (gengjiawen) [#26634](https://github.com/nodejs/node/pull/26634)
* \[[`6c90b7f259`](https://github.com/nodejs/node/commit/6c90b7f259)] - **(SEMVER-MINOR)** **src**: shutdown node in-flight (Gireesh Punathil) [#21283](https://github.com/nodejs/node/pull/21283)
* \[[`925b645d60`](https://github.com/nodejs/node/commit/925b645d60)] - **src**: remove usage of deprecated IsNearDeath (Michaël Zasso) [#26630](https://github.com/nodejs/node/pull/26630)
* \[[`d0801a1c4a`](https://github.com/nodejs/node/commit/d0801a1c4a)] - **(SEMVER-MINOR)** **src**: deprecate AddPromiseHook() (Anna Henningsen) [#26529](https://github.com/nodejs/node/pull/26529)
* \[[`a13f0a6362`](https://github.com/nodejs/node/commit/a13f0a6362)] - **(SEMVER-MINOR)** **src**: add public API for linked bindings (Anna Henningsen) [#26457](https://github.com/nodejs/node/pull/26457)
* \[[`1e669b2e2e`](https://github.com/nodejs/node/commit/1e669b2e2e)] - **(SEMVER-MINOR)** **src,lib**: make DOMException available in all Contexts (Anna Henningsen) [#26497](https://github.com/nodejs/node/pull/26497)
* \[[`e044563bb0`](https://github.com/nodejs/node/commit/e044563bb0)] - **(SEMVER-MINOR)** **src,lib**: allow running multiple per-context files (Anna Henningsen) [#26497](https://github.com/nodejs/node/pull/26497)
* \[[`8ba0da57a4`](https://github.com/nodejs/node/commit/8ba0da57a4)] - **src,win**: fix usage of deprecated v8::Object::Set (Michaël Zasso) [#26735](https://github.com/nodejs/node/pull/26735)
* \[[`249bf509a3`](https://github.com/nodejs/node/commit/249bf509a3)] - **stream**: fix regression introduced in #26059 (Matteo Collina) [#26643](https://github.com/nodejs/node/pull/26643)
* \[[`0b2f900c9a`](https://github.com/nodejs/node/commit/0b2f900c9a)] - **stream**: make sure 'readable' is emitted before ending the stream (Matteo Collina) [#26059](https://github.com/nodejs/node/pull/26059)
* \[[`b552139554`](https://github.com/nodejs/node/commit/b552139554)] - **stream**: reduce internal usage of public require of util (Beni von Cheni) [#26698](https://github.com/nodejs/node/pull/26698)
* \[[`9ef0a295cf`](https://github.com/nodejs/node/commit/9ef0a295cf)] - **test**: refactor trace event category tests (Joyee Cheung) [#26605](https://github.com/nodejs/node/pull/26605)
* \[[`5d992f5ef7`](https://github.com/nodejs/node/commit/5d992f5ef7)] - **test**: delete pummel/test-dtrace-jsstack (Rich Trott) [#26869](https://github.com/nodejs/node/pull/26869)
* \[[`3cae010ea0`](https://github.com/nodejs/node/commit/3cae010ea0)] - **test**: refactor test-https-connect-localport (Rich Trott) [#26881](https://github.com/nodejs/node/pull/26881)
* \[[`838fb95059`](https://github.com/nodejs/node/commit/838fb95059)] - **test**: replace localhost IP with 'localhost' for TLS conformity (Rich Trott) [#26881](https://github.com/nodejs/node/pull/26881)
* \[[`011c205787`](https://github.com/nodejs/node/commit/011c205787)] - **test**: use common.PORT instead of hardcoded number (Rich Trott) [#26881](https://github.com/nodejs/node/pull/26881)
* \[[`4919e4b751`](https://github.com/nodejs/node/commit/4919e4b751)] - **test**: move test-https-connect-localport to sequential (Rich Trot) [#26881](https://github.com/nodejs/node/pull/26881)
* \[[`57d3ba134a`](https://github.com/nodejs/node/commit/57d3ba134a)] - **test**: refactor test-dgram-broadcast-multi-process (Rich Trott) [#26846](https://github.com/nodejs/node/pull/26846)
* \[[`352c31cd7e`](https://github.com/nodejs/node/commit/352c31cd7e)] - **test**: strengthen test-worker-prof (Gireesh Punathil) [#26608](https://github.com/nodejs/node/pull/26608)
* \[[`963d7d1f4d`](https://github.com/nodejs/node/commit/963d7d1f4d)] - **test**: move pummel tls test to sequential (Rich Trott) [#26865](https://github.com/nodejs/node/pull/26865)
* \[[`8ca7d56b2c`](https://github.com/nodejs/node/commit/8ca7d56b2c)] - **test**: fix pummel/test-tls-session-timeout (Rich Trott) [#26865](https://github.com/nodejs/node/pull/26865)
* \[[`41bd7a62e9`](https://github.com/nodejs/node/commit/41bd7a62e9)] - **test**: complete console.assert() coverage (Rich Trott) [#26827](https://github.com/nodejs/node/pull/26827)
* \[[`6874288f6e`](https://github.com/nodejs/node/commit/6874288f6e)] - **test**: fix test-console-stdio-setters to test setters (Rich Trott) [#26796](https://github.com/nodejs/node/pull/26796)
* \[[`1458711846`](https://github.com/nodejs/node/commit/1458711846)] - **test**: remove internal error tests (Ruben Bridgewater) [#26752](https://github.com/nodejs/node/pull/26752)
* \[[`c535e487d6`](https://github.com/nodejs/node/commit/c535e487d6)] - **test**: refresh tmpdir in child-process-server-close (Luigi Pinca) [#26729](https://github.com/nodejs/node/pull/26729)
* \[[`7ebd6bdf87`](https://github.com/nodejs/node/commit/7ebd6bdf87)] - **test**: optimize test-http2-large-file (Rich Trott) [#26737](https://github.com/nodejs/node/pull/26737)
* \[[`9c83002274`](https://github.com/nodejs/node/commit/9c83002274)] - **test**: use EC cert property now that it exists (Sam Roberts) [#26598](https://github.com/nodejs/node/pull/26598)
* \[[`ea425140a1`](https://github.com/nodejs/node/commit/ea425140a1)] - **test**: add fs.watchFile() + worker.terminate() test (Anna Henningsen) [#21179](https://github.com/nodejs/node/pull/21179)
* \[[`2d689888b8`](https://github.com/nodejs/node/commit/2d689888b8)] - **test**: update test for libuv update (cjihrig) [#26707](https://github.com/nodejs/node/pull/26707)
* \[[`31995e4cd2`](https://github.com/nodejs/node/commit/31995e4cd2)] - **test**: fix intrinsics test (Ruben Bridgewater) [#26660](https://github.com/nodejs/node/pull/26660)
* \[[`c65ff3df6d`](https://github.com/nodejs/node/commit/c65ff3df6d)] - **test**: fix test-heapdump-worker (Anna Henningsen) [#26713](https://github.com/nodejs/node/pull/26713)
* \[[`875ddcbf10`](https://github.com/nodejs/node/commit/875ddcbf10)] - **test**: remove unnecessary semicolon after macro (Yang Guo) [#26618](https://github.com/nodejs/node/pull/26618)
* \[[`892282ddb3`](https://github.com/nodejs/node/commit/892282ddb3)] - **test**: whitelist the expected modules in test-bootstrap-modules.js (Richard Lau) [#26531](https://github.com/nodejs/node/pull/26531)
* \[[`e5312585c1`](https://github.com/nodejs/node/commit/e5312585c1)] - **(SEMVER-MINOR)** **test**: make cctest full Node.js environment (Anna Henningsen) [#26457](https://github.com/nodejs/node/pull/26457)
* \[[`00a6f7686e`](https://github.com/nodejs/node/commit/00a6f7686e)] - **test,console**: add testing for monkeypatching of console stdio (Rich Trott) [#26561](https://github.com/nodejs/node/pull/26561)
* \[[`a640834039`](https://github.com/nodejs/node/commit/a640834039)] - **timers**: move big impl comment to /internal/ (Jeremiah Senkpiel) [#26761](https://github.com/odejs/node/pull/26761)
* \[[`3ec652ad38`](https://github.com/nodejs/node/commit/3ec652ad38)] - **timers**: fix refresh inside callback (Anatoli Papirovski) [#26721](https://github.com/nodejs/node/pull/26721)
* \[[`1f4a5bcc98`](https://github.com/nodejs/node/commit/1f4a5bcc98)] - **timers**: refactor timer callback initialization (Joyee Cheung) [#26583](https://github.com/nodejs/node/pull/26583)
* \[[`ebb0c2a44e`](https://github.com/nodejs/node/commit/ebb0c2a44e)] - **timers**: reduce usage of public util (Joyee Cheung) [#26583](https://github.com/nodejs/node/pull/26583)
* \[[`e6367c2da5`](https://github.com/nodejs/node/commit/e6367c2da5)] - **timers**: refactor to use module.exports (Joyee Cheung) [#26583](https://github.com/nodejs/node/pull/26583)
* \[[`92b666a6b7`](https://github.com/nodejs/node/commit/92b666a6b7)] - **tools**: windows\_boxstarter "choco install python -y" for Python 3 (cclauss) [#26424](https://github.com/nodejs/node/pull/26424)
* \[[`d80cd50dbc`](https://github.com/nodejs/node/commit/d80cd50dbc)] - **tools**: remove eslint rule no-let-in-for-declaration (gengjiawen) [#26715](https://github.com/nodejs/node/pull/26715)
* \[[`fef2a54a4e`](https://github.com/nodejs/node/commit/fef2a54a4e)] - **tools**: enable getter-return lint rule (cjihrig) [#26615](https://github.com/nodejs/node/pull/26615)
* \[[`08383a7bb6`](https://github.com/nodejs/node/commit/08383a7bb6)] - **tools**: update ESLint to 5.15.3 (cjihrig) [#26746](https://github.com/nodejs/node/pull/26746)
* \[[`30d7f67e0f`](https://github.com/nodejs/node/commit/30d7f67e0f)] - **tools**: update ESLint to 5.15.2 (cjihrig) [#26687](https://github.com/nodejs/node/pull/26687)
* \[[`1385b290ef`](https://github.com/nodejs/node/commit/1385b290ef)] - **tools**: update lint-md.js to lint rfc name format (Rich Trott) [#26727](https://github.com/nodejs/node/pull/26727)
* \[[`72cda51440`](https://github.com/nodejs/node/commit/72cda51440)] - **tools**: tidy function arguments in eslint rules (Rich Trott) [#26668](https://github.com/nodejs/node/pull/26668)
* \[[`0f9a779da8`](https://github.com/nodejs/node/commit/0f9a779da8)] - **trace\_events**: remove usage of require('util') (dnlup) [#26822](https://github.com/nodejs/node/pull/26822)
* \[[`83f6ec8876`](https://github.com/nodejs/node/commit/83f6ec8876)] - **tty**: remove util.inherits usage (nd-02110114) [#26797](https://github.com/nodejs/node/pull/26797)
* \[[`8cafd83ba7`](https://github.com/nodejs/node/commit/8cafd83ba7)] - **(SEMVER-MINOR)** **tty**: add NO\_COLOR and FORCE\_COLOR support (Ruben Bridgewater) [#26485](https://github.com/nodejs/node/pull/26485)
* \[[`070faf0bc1`](https://github.com/nodejs/node/commit/070faf0bc1)] - **(SEMVER-MINOR)** **tty**: add hasColors function (Ruben Bridgewater) [#26247](https://github.com/nodejs/node/pull/26247)
* \[[`04c7db3638`](https://github.com/nodejs/node/commit/04c7db3638)] - **url**: remove usage of require('util') (toshi1127) [#26808](https://github.com/nodejs/node/pull/26808)
* \[[`9092e12b82`](https://github.com/nodejs/node/commit/9092e12b82)] - **(SEMVER-MINOR)** **v8**: integrate node-heapdump into core (James M Snell) [#26501](https://github.com/nodejs/node/pull/26501)
* \[[`4314dbfce9`](https://github.com/nodejs/node/commit/4314dbfce9)] - **worker**: create per-Environment message port after bootstrap (Joyee Cheung) [#26593](https://github.com/nodejs/node/pull/26593)
* \[[`3c6f12c965`](https://github.com/nodejs/node/commit/3c6f12c965)] - **(SEMVER-MINOR)** **worker**: implement worker.moveMessagePortToContext() (Anna Henningsen) [#26497](https://github.com/nodejs/node/pull/26497)

## 2019-03-15, Version 11.12.0 (Current), @BridgeAR

### Notable Changes

* **bootstrap**:
  * Add experimental `--frozen-intrinsics` flag (Guy Bedford) [#25685](https://github.com/nodejs/node/pull/25685)
* **build**:
  * Enable v8's siphash for hash seed creation (Rod Vagg) [#26367](https://github.com/nodejs/node/pull/26367)
* **deps**:
  * Upgrade openssl to 1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* **process**:
  * Make `process[Symbol.toStringTag]` writable again (Ruben Bridgewater) [#26488](https://github.com/nodejs/node/pull/26488)
* **repl**:
  * Add `util.inspect.replDefaults` to customize the writer (Ruben Bridgewater) [#26375](https://github.com/nodejs/node/pull/26375)
* **report**:
  * Rename `triggerReport()` to `writeReport()` (Colin Ihrig) [#26527](https://github.com/nodejs/node/pull/26527)

### Commits

* \[[`142a92ffaf`](https://github.com/nodejs/node/commit/142a92ffaf)] - **benchmark**: refactor path benchmarks (Ruben Bridgewater) [#26359](https://github.com/nodejs/node/pull/26359)
* \[[`52a0d76f32`](https://github.com/nodejs/node/commit/52a0d76f32)] - **benchmark,doc,lib,test**: capitalize comments (Ruben Bridgewater) [#26483](https://github.com/nodejs/node/pull/26483)
* \[[`f79cf7067f`](https://github.com/nodejs/node/commit/f79cf7067f)] - **benchmark,lib**: add process.hrtime.bigint benchmark (Anna Henningsen) [#26381](https://github.com/nodejs/node/pull/26381)
* \[[`3e54f90911`](https://github.com/nodejs/node/commit/3e54f90911)] - **(SEMVER-MINOR)** **bootstrap**: experimental --frozen-intrinsics flag (Guy Bedford) [#25685](https://github.com/nodejs/node/pull/25685)
* \[[`68bb1e9fd8`](https://github.com/nodejs/node/commit/68bb1e9fd8)] - **buffer**: do not affect memory after target for utf16 write (Anna Henningsen) [#26432](https://github.com/nodejs/node/pull/26432)
* \[[`9b1cb9da57`](https://github.com/nodejs/node/commit/9b1cb9da57)] - **build**: enable v8's siphash for hash seed creation (Rod Vagg) [#26367](https://github.com/nodejs/node/pull/26367)
* \[[`b2e27a02b4`](https://github.com/nodejs/node/commit/b2e27a02b4)] - _**Revert**_ "**build**: silence cpp lint by default" (Refael Ackermann) [#26358](https://github.com/nodejs/node/pull/26358)
* \[[`240de933f4`](https://github.com/nodejs/node/commit/240de933f4)] - **build**: indicate that configure has done something (Richard Lau) [#26436](https://github.com/nodejs/node/pull/26436)
* \[[`02faa1a50c`](https://github.com/nodejs/node/commit/02faa1a50c)] - **build,deps**: less warnings from V8 (Refael Ackermann) [#26405](https://github.com/nodejs/node/pull/26405)
* \[[`c2471538ef`](https://github.com/nodejs/node/commit/c2471538ef)] - **build,win**: simplify new `msbuild_arg` option (Refael Ackermann) [#26431](https://github.com/nodejs/node/pull/26431)
* \[[`8c864deaa4`](https://github.com/nodejs/node/commit/8c864deaa4)] - **child\_process**: fire close event from stdio (kohta ito) [#22892](https://github.com/nodejs/node/pull/22892)
* \[[`cba23ed92a`](https://github.com/nodejs/node/commit/cba23ed92a)] - **cluster**: refactor empty for in round\_robin\_handle.js (gengjiawen) [#26560](https://github.com/nodejs/node/pull/26560)
* \[[`2a3cca7ec5`](https://github.com/nodejs/node/commit/2a3cca7ec5)] - **cluster**: improve for-loop (gengjiawen) [#26336](https://github.com/nodejs/node/pull/26336)
* \[[`b9787fd5f3`](https://github.com/nodejs/node/commit/b9787fd5f3)] - **crypto**: check for invalid chacha20-poly1305 IVs (Sam Roberts) [#26537](https://github.com/nodejs/node/pull/26537)
* \[[`991ea8add3`](https://github.com/nodejs/node/commit/991ea8add3)] - **crypto**: simplify GetPublicOrPrivateKeyFromJs (Tobias Nießen) [#26454](https://github.com/nodejs/node/pull/26454)
* \[[`7155aafbab`](https://github.com/nodejs/node/commit/7155aafbab)] - **crypto**: don't call SSL\_CTX\_set\_ciphersuites on boringssl (Jeremy Apthorp) [#26365](https://github.com/nodejs/node/pull/26365)
* \[[`01e69f948d`](https://github.com/nodejs/node/commit/01e69f948d)] - **deps**: v8, backport 2d08967 (Benjamin) [#26413](https://github.com/nodejs/node/pull/26413)
* \[[`28dc54bc56`](https://github.com/nodejs/node/commit/28dc54bc56)] - **deps**: update OpenSSL upgrade process (Sam Roberts) [#26378](https://github.com/nodejs/node/pull/26378)
* \[[`58957264a5`](https://github.com/nodejs/node/commit/58957264a5)] - **deps**: openssl-1.1.1b no longer packages .gitignore (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`88079caffa`](https://github.com/nodejs/node/commit/88079caffa)] - **deps**: update archs files for OpenSSL-1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`71c4d75c08`](https://github.com/nodejs/node/commit/71c4d75c08)] - **deps**: upgrade openssl sources to 1.1.1b (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`dd95d072af`](https://github.com/nodejs/node/commit/dd95d072af)] - _**Revert**_ "**deps**: remove OpenSSL git and travis configuration" (Sam Roberts) [#26327](https://github.com/nodejs/node/pull/26327)
* \[[`0fc975ddc2`](https://github.com/nodejs/node/commit/0fc975ddc2)] - **deps,tools**: include SipHash in LICENSE (Rod Vagg) [#26367](https://github.com/nodejs/node/pull/26367)
* \[[`b9cfaa3c65`](https://github.com/nodejs/node/commit/b9cfaa3c65)] - **doc**: fix misleading sentence in http.md (Luigi Pinca) [#26465](https://github.com/nodejs/node/pull/26465)
* \[[`6f685706a0`](https://github.com/nodejs/node/commit/6f685706a0)] - **doc**: fix typo in http2.md (TJKoury) [#26616](https://github.com/nodejs/node/pull/26616)
* \[[`e2aaee0ffd`](https://github.com/nodejs/node/commit/e2aaee0ffd)] - **doc**: edit "Using git-node" section of Guide (Rich Trott) [#26580](https://github.com/nodejs/node/pull/26580)
* \[[`667a4026e7`](https://github.com/nodejs/node/commit/667a4026e7)] - **doc**: add version for http.createServer() options addition (Ben Swinburne) [#25001](https://github.com/nodejs/node/pull/25001)
* \[[`fdad4d2673`](https://github.com/nodejs/node/commit/fdad4d2673)] - **doc**: document diverging MessagePort.onmessage handling (Anna Henningsen) [#26487](https://github.com/nodejs/node/pull/26487)
* \[[`5ad9929d12`](https://github.com/nodejs/node/commit/5ad9929d12)] - **doc**: add inspector API example for heapdump (Sam Roberts) [#26498](https://github.com/nodejs/node/pull/26498)
* \[[`76c22f8f6f`](https://github.com/nodejs/node/commit/76c22f8f6f)] - **doc**: edit Landing Pull Requests (Rich Trott) [#26536](https://github.com/nodejs/node/pull/26536)
* \[[`414ad11e2b`](https://github.com/nodejs/node/commit/414ad11e2b)] - **doc**: document fake ENOTFOUND as a system error (cjihrig) [#26495](https://github.com/nodejs/node/pull/26495)
* \[[`7323ffb436`](https://github.com/nodejs/node/commit/7323ffb436)] - **doc**: add decode() & encode() methods into querystring.md (ZYSzys) [#23889](https://github.com/nodejs/node/pull/23889)
* \[[`931174fd54`](https://github.com/nodejs/node/commit/931174fd54)] - **doc**: remove tsc-review (Rich Trott) [#26506](https://github.com/nodejs/node/pull/26506)
* \[[`124203758f`](https://github.com/nodejs/node/commit/124203758f)] - **doc**: update partner communities link in releases.md (Beth Griggs) [#26475](https://github.com/nodejs/node/pull/26475)
* \[[`693505b006`](https://github.com/nodejs/node/commit/693505b006)] - **doc**: fix nits in writing-tests.md (Vse Mozhet Byt) [#26543](https://github.com/nodejs/node/pull/26543)
* \[[`5897bf4621`](https://github.com/nodejs/node/commit/5897bf4621)] - **doc**: edit "Involving the TSC" (Rich Trott) [#26481](https://github.com/nodejs/node/pull/26481)
* \[[`e3d79550c7`](https://github.com/nodejs/node/commit/e3d79550c7)] - **doc**: add guidance on console output in tests (Sam Roberts) [#26456](https://github.com/nodejs/node/pull/26456)
* \[[`2ee9a962d7`](https://github.com/nodejs/node/commit/2ee9a962d7)] - **doc**: add caveat and tradeoff example to readline (Vse Mozhet Byt) [#26472](https://github.com/nodejs/node/pull/26472)
* \[[`9945c28b20`](https://github.com/nodejs/node/commit/9945c28b20)] - **doc**: standardize on End-of-Life capitalization (Rich Trott) [#26442](https://github.com/nodejs/node/pull/26442)
* \[[`6cc559fbec`](https://github.com/nodejs/node/commit/6cc559fbec)] - **doc**: add missing https Agent maxCachedSessions (Nicolas Moteau) [#26433](https://github.com/nodejs/node/pull/26433)
* \[[`ca2328d26a`](https://github.com/nodejs/node/commit/ca2328d26a)] - **doc**: edit deprecation section of Collaborator Guide (Rich Trott) [#26419](https://github.com/nodejs/node/pull/26419)
* \[[`05b92c96a4`](https://github.com/nodejs/node/commit/05b92c96a4)] - **doc**: fix the example implementation of MemoryRetainer (Joyee Cheung) [#26262](https://github.com/nodejs/node/pull/26262)
* \[[`8b8297d05b`](https://github.com/nodejs/node/commit/8b8297d05b)] - **doc**: clarify http.Agent constructor options (Luigi Pinca) [#26412](https://github.com/nodejs/node/pull/26412)
* \[[`9299fb8856`](https://github.com/nodejs/node/commit/9299fb8856)] - **doc**: update AUTHORS list (Anna Henningsen) [#26383](https://github.com/nodejs/node/pull/26383)
* \[[`d2e9e526c5`](https://github.com/nodejs/node/commit/d2e9e526c5)] - **doc**: hello addon example should return "world" (Geir Hauge) [#26328](https://github.com/nodejs/node/pull/26328)
* \[[`7e40ce1e9f`](https://github.com/nodejs/node/commit/7e40ce1e9f)] - **doc**: fix nits in report docs (Vse Mozhet Byt) [#26461](https://github.com/nodejs/node/pull/26461)
* \[[`e79f0c23ad`](https://github.com/nodejs/node/commit/e79f0c23ad)] - **doc**: fix up N-API support matrix (Michael Dawson) [#26377](https://github.com/nodejs/node/pull/26377)
* \[[`56adebf789`](https://github.com/nodejs/node/commit/56adebf789)] - **domain**: set `.domain` non-enumerable on resources (Jordan Harband) [#26210](https://github.com/nodejs/node/pull/26210)
* \[[`8b0164aa26`](https://github.com/nodejs/node/commit/8b0164aa26)] - **events**: improve for-loop (gengjiawen) [#26354](https://github.com/nodejs/node/pull/26354)
* \[[`83fba1ebf2`](https://github.com/nodejs/node/commit/83fba1ebf2)] - **events**: onceWrapper returns target value (himself65) [#25818](https://github.com/nodejs/node/pull/25818)
* \[[`16d908939d`](https://github.com/nodejs/node/commit/16d908939d)] - **http**: send connection: close when closing conn (Yann Hamon) [#26467](https://github.com/nodejs/node/pull/26467)
* \[[`bf7a52b764`](https://github.com/nodejs/node/commit/bf7a52b764)] - **http**: improve for-loop readability in \_http\_outgoing.js (gengjiawen) [#26408](https://github.com/nodejs/node/pull/26408)
* \[[`c661d8c608`](https://github.com/nodejs/node/commit/c661d8c608)] - **http**: remove unused variable in \_http\_server.js (gengjiawen) [#26407](https://github.com/nodejs/node/pull/26407)
* \[[`4886fbfbee`](https://github.com/nodejs/node/commit/4886fbfbee)] - **http**: check for existance in resetHeadersTimeoutOnReqEnd (Matteo Collina) [#26402](https://github.com/nodejs/node/pull/26402)
* \[[`6adcc6f574`](https://github.com/nodejs/node/commit/6adcc6f574)] - **http2**: `Http2ServerResponse.end()` should always return self (Robert Nagy) [#24346](https://github.com/nodejs/node/pull/24346)
* \[[`529b0c04cf`](https://github.com/nodejs/node/commit/529b0c04cf)] - **http2**: refactor deprecated method in core.js (gengjiawen) [#26275](https://github.com/nodejs/node/pull/26275)
* \[[`4b6c653d4d`](https://github.com/nodejs/node/commit/4b6c653d4d)] - **https**: add missing localPort while create socket (leeight) [#24554](https://github.com/nodejs/node/pull/24554)
* \[[`6b004e0e02`](https://github.com/nodejs/node/commit/6b004e0e02)] - **lib**: refactor deprecated function in readline.js (gengjiawen) [#26494](https://github.com/nodejs/node/pull/26494)
* \[[`f128008474`](https://github.com/nodejs/node/commit/f128008474)] - **lib**: import TextEncoder and TextDecoder from `internal/encoding` (Joyee Cheung) [#26547](https://github.com/nodejs/node/pull/26547)
* \[[`fe6c419503`](https://github.com/nodejs/node/commit/fe6c419503)] - **lib**: migrate process.binding to internalBinding (Beni von Cheni) [#24952](https://github.com/nodejs/node/pull/24952)
* \[[`9398d84735`](https://github.com/nodejs/node/commit/9398d84735)] - **lib,src**: remove usage of \_externalStream (Anna Henningsen) [#26510](https://github.com/nodejs/node/pull/26510)
* \[[`1fa5004e81`](https://github.com/nodejs/node/commit/1fa5004e81)] - **lib,test**: improve faulty assert usage detection (Ruben Bridgewater) [#26569](https://github.com/nodejs/node/pull/26569)
* \[[`8e7204ed96`](https://github.com/nodejs/node/commit/8e7204ed96)] - **n-api**: improve performance creating strings (Anthony Tuininga) [#26439](https://github.com/nodejs/node/pull/26439)
* \[[`c14aa07b94`](https://github.com/nodejs/node/commit/c14aa07b94)] - **net**: use kHandle symbol for accessing native handle (Anna Henningsen) [#26491](https://github.com/nodejs/node/pull/26491)
* \[[`275a8f9316`](https://github.com/nodejs/node/commit/275a8f9316)] - **process**: make Symbol.toStringTag writable (Ruben Bridgewater) [#26488](https://github.com/nodejs/node/pull/26488)
* \[[`ceebbfb869`](https://github.com/nodejs/node/commit/ceebbfb869)] - **process**: add --pending-deprecation to `process.binding()` (Anna Henningsen) [#26500](https://github.com/nodejs/node/pull/26500)
* \[[`1a0004d08e`](https://github.com/nodejs/node/commit/1a0004d08e)] - **repl**: eliminate var in function \_memory (gengjiawen) [#26496](https://github.com/nodejs/node/pull/26496)
* \[[`788c57bdc4`](https://github.com/nodejs/node/commit/788c57bdc4)] - **repl**: simplify regex expression (gengjiawen) [#26496](https://github.com/nodejs/node/pull/26496)
* \[[`2101371a8a`](https://github.com/nodejs/node/commit/2101371a8a)] - **repl**: remove redundant escape (gengjiawen) [#26496](https://github.com/nodejs/node/pull/26496)
* \[[`a0b119182d`](https://github.com/nodejs/node/commit/a0b119182d)] - **(SEMVER-MINOR)** **repl**: add replDefaults to customize the writer (Ruben Bridgewater) [#26375](https://github.com/nodejs/node/pull/26375)
* \[[`74ab1aa5d1`](https://github.com/nodejs/node/commit/74ab1aa5d1)] - **report**: rename triggerReport() to writeReport() (cjihrig) [#26527](https://github.com/nodejs/node/pull/26527)
* \[[`ac81fd202c`](https://github.com/nodejs/node/commit/ac81fd202c)] - **report**: fix stdout/stderr output formatting (cjihrig) [#26522](https://github.com/nodejs/node/pull/26522)
* \[[`2be9e800f1`](https://github.com/nodejs/node/commit/2be9e800f1)] - **report**: warn on process.report object access (cjihrig) [#26414](https://github.com/nodejs/node/pull/26414)
* \[[`9f446a1cf4`](https://github.com/nodejs/node/commit/9f446a1cf4)] - **report**: refactor configuration management (cjihrig) [#26414](https://github.com/nodejs/node/pull/26414)
* \[[`0abb724bbc`](https://github.com/nodejs/node/commit/0abb724bbc)] - **report**: support RUSAGE\_SELF stats on Windows (cjihrig) [#26406](https://github.com/nodejs/node/pull/26406)
* \[[`bc09d2f83d`](https://github.com/nodejs/node/commit/bc09d2f83d)] - **src**: fix SplitString to ignore white spaces (himself65) [#26545](https://github.com/nodejs/node/pull/26545)
* \[[`5cbd11294d`](https://github.com/nodejs/node/commit/5cbd11294d)] - **src**: de-lint header usage (Refael Ackermann) [#26306](https://github.com/nodejs/node/pull/26306)
* \[[`9768ec4ec4`](https://github.com/nodejs/node/commit/9768ec4ec4)] - **src**: remove unused variables (cjihrig) [#26590](https://github.com/nodejs/node/pull/26590)
* \[[`8822df838b`](https://github.com/nodejs/node/commit/8822df838b)] - **src**: rename Init and Start overloads to something more distinctive (Joyee Cheung) [#26499](https://github.com/nodejs/node/pull/26499)
* \[[`a99fb5419b`](https://github.com/nodejs/node/commit/a99fb5419b)] - **src**: apply clang-tidy various improvement (gengjiawen) [#26470](https://github.com/nodejs/node/pull/26470)
* \[[`1d4fd218f2`](https://github.com/nodejs/node/commit/1d4fd218f2)] - **src**: guard against calling `Init()` multiple times (Anna Henningsen) [#26458](https://github.com/nodejs/node/pull/26458)
* \[[`989fcef680`](https://github.com/nodejs/node/commit/989fcef680)] - **src**: delete unused method SetTemplateMethod (gengjiawen) [#26451](https://github.com/nodejs/node/pull/26451)
* \[[`efadb10085`](https://github.com/nodejs/node/commit/efadb10085)] - **src**: delete unused method SetTemplateMethodNoSideEffect (gengjiawen) [#26451](https://github.com/nodejs/node/pull/26451)
* \[[`a11cf3054c`](https://github.com/nodejs/node/commit/a11cf3054c)] - **src**: delete unused variable in env.h (gengjiawen) [#26451](https://github.com/nodejs/node/pull/26451)
* \[[`edc4af0e7d`](https://github.com/nodejs/node/commit/edc4af0e7d)] - **src**: merge debug-only `SealHandleScope`s (Anna Henningsen) [#26459](https://github.com/nodejs/node/pull/26459)
* \[[`12fb73963c`](https://github.com/nodejs/node/commit/12fb73963c)] - **src**: cleanup in all return paths in node::Start (Gireesh Punathil) [#26471](https://github.com/nodejs/node/pull/26471)
* \[[`d688b8a132`](https://github.com/nodejs/node/commit/d688b8a132)] - **src**: remove templating from StreamBase (Jon Moss) [#25142](https://github.com/nodejs/node/pull/25142)
* \[[`203fa63a2b`](https://github.com/nodejs/node/commit/203fa63a2b)] - **src**: remove redundant cast in util-inl.h (gengjiawen) [#26410](https://github.com/nodejs/node/pull/26410)
* \[[`c7bd21cfff`](https://github.com/nodejs/node/commit/c7bd21cfff)] - **src**: make parameter name const reference in method TriggerNodeReport (gengjiawen) [#26397](https://github.com/nodejs/node/pull/26397)
* \[[`bb374d405b`](https://github.com/nodejs/node/commit/bb374d405b)] - **src**: remove redundant call in inspector\_io.cc (gengjiawen) [#26427](https://github.com/nodejs/node/pull/26427)
* \[[`81c5382f86`](https://github.com/nodejs/node/commit/81c5382f86)] - **src**: remove redundant cast in string\_search.h (gengjiawen) [#26426](https://github.com/nodejs/node/pull/26426)
* \[[`2a2a4e69dc`](https://github.com/nodejs/node/commit/2a2a4e69dc)] - **src**: remove unused function in cares\_wrap.cc (gengjiawen) [#26429](https://github.com/nodejs/node/pull/26429)
* \[[`e21fa83dcd`](https://github.com/nodejs/node/commit/e21fa83dcd)] - **src**: fix wrong enum reference in node.cc (gengjiawen) [#26430](https://github.com/nodejs/node/pull/26430)
* \[[`0d810b7ef0`](https://github.com/nodejs/node/commit/0d810b7ef0)] - **src**: use the config binding to carry --no-browser-globals (Joyee Cheung) [#26228](https://github.com/nodejs/node/pull/26228)
* \[[`88fb7712a8`](https://github.com/nodejs/node/commit/88fb7712a8)] - **src**: fix build when NODE\_USE\_V8\_PLATFORM is not defined (Nitish Sakhawalkar) [#26380](https://github.com/nodejs/node/pull/26380)
* \[[`654f4d4338`](https://github.com/nodejs/node/commit/654f4d4338)] - **src**: remove unused variable in node\_http2.cc (gengjiawen) [#26395](https://github.com/nodejs/node/pull/26395)
* \[[`1d279ac269`](https://github.com/nodejs/node/commit/1d279ac269)] - **src**: remove unused variable in node\_native\_module.cc (gengjiawen) [#26411](https://github.com/nodejs/node/pull/26411)
* \[[`dc2119a955`](https://github.com/nodejs/node/commit/dc2119a955)] - **src**: fix more extra-semi warnings (Jeremy Apthorp) [#26340](https://github.com/nodejs/node/pull/26340)
* \[[`170e196205`](https://github.com/nodejs/node/commit/170e196205)] - **src**: forbid handle allocations from Platform tasks (Anna Henningsen) [#26376](https://github.com/nodejs/node/pull/26376)
* \[[`9c277c04ad`](https://github.com/nodejs/node/commit/9c277c04ad)] - **src**: allow running tasks without `Environment` (Anna Henningsen) [#26376](https://github.com/nodejs/node/pull/26376)
* \[[`622048d539`](https://github.com/nodejs/node/commit/622048d539)] - **src**: prefer to get `Environment` from `Context` (Anna Henningsen) [#26376](https://github.com/nodejs/node/pull/26376)
* \[[`716ec00883`](https://github.com/nodejs/node/commit/716ec00883)] - **src**: refactor `Environment::GetCurrent(isolate)` usage (Anna Henningsen) [#26376](https://github.com/nodejs/node/pull/26376)
* \[[`f99349d416`](https://github.com/nodejs/node/commit/f99349d416)] - **src**: fix if indent in node\_http2.cc (gengjiawen) [#26396](https://github.com/nodejs/node/pull/26396)
* \[[`b8abb81666`](https://github.com/nodejs/node/commit/b8abb81666)] - **src**: remove unused struct in test\_inspector\_socket.cc (gengjiawen) [#26284](https://github.com/nodejs/node/pull/26284)
* \[[`da457a56be`](https://github.com/nodejs/node/commit/da457a56be)] - **src**: remove unused namespace (Aymen Naghmouchi) [#26318](https://github.com/nodejs/node/pull/26318)
* \[[`b45c22bc87`](https://github.com/nodejs/node/commit/b45c22bc87)] - **src**: use object to pass `Environment` to functions (Anna Henningsen) [#26382](https://github.com/nodejs/node/pull/26382)
* \[[`61baa45581`](https://github.com/nodejs/node/commit/61baa45581)] - **src**: document DoWrite() usage expectations (Sam Roberts) [#26339](https://github.com/nodejs/node/pull/26339)
* \[[`82a68cebe3`](https://github.com/nodejs/node/commit/82a68cebe3)] - **stream**: ensure writable.destroy() emits error once (Luigi Pinca) [#26057](https://github.com/nodejs/node/pull/26057)
* \[[`9e82ee926a`](https://github.com/nodejs/node/commit/9e82ee926a)] - **test**: fix test case in test-http2-respond-file-304.js (gengjiawen) [#26565](https://github.com/nodejs/node/pull/26565)
* \[[`13253a3d08`](https://github.com/nodejs/node/commit/13253a3d08)] - **test**: use semicolon for clarity (gengjiawen) [#26566](https://github.com/nodejs/node/pull/26566)
* \[[`adfbfc985c`](https://github.com/nodejs/node/commit/adfbfc985c)] - **test**: fix test by removing node-inspect/lib/\_inspect (Ruben Bridgewater) [#26619](https://github.com/nodejs/node/pull/26619)
* \[[`e1a55e76b4`](https://github.com/nodejs/node/commit/e1a55e76b4)] - **test**: fix syntax error in test-dns-idna2008.js when failing (Refael Ackermann) [#26570](https://github.com/nodejs/node/pull/26570)
* \[[`cccd3a3849`](https://github.com/nodejs/node/commit/cccd3a3849)] - **test**: fix compiler warning in test\_string.c (Daniel Bevenius) [#26539](https://github.com/nodejs/node/pull/26539)
* \[[`2c55282226`](https://github.com/nodejs/node/commit/2c55282226)] - **test**: mark test-worker-prof as flake on all platforms (Refael Ackermann) [#26600](https://github.com/nodejs/node/pull/26600)
* \[[`0f8d8d6262`](https://github.com/nodejs/node/commit/0f8d8d6262)] - **test**: cover triggerReport() failure case (cjihrig) [#26524](https://github.com/nodejs/node/pull/26524)
* \[[`5a0ed0b0b5`](https://github.com/nodejs/node/commit/5a0ed0b0b5)] - **test**: cover stdout/stderr usage in triggerReport() (cjihrig) [#26522](https://github.com/nodejs/node/pull/26522)
* \[[`bf7836511d`](https://github.com/nodejs/node/commit/bf7836511d)] - **test**: mark `test-worker-prof` as Flaky on ARM (Refael Ackermann) [#26557](https://github.com/nodejs/node/pull/26557)
* \[[`d590a458a6`](https://github.com/nodejs/node/commit/d590a458a6)] - **test**: rewrite ocsp test to run in parallel (Sam Roberts) [#26460](https://github.com/nodejs/node/pull/26460)
* \[[`476dc7e612`](https://github.com/nodejs/node/commit/476dc7e612)] - **test**: de-flake test-dns-idna2008.js (Refael Ackermann) [#26473](https://github.com/nodejs/node/pull/26473)
* \[[`78c4dbdc20`](https://github.com/nodejs/node/commit/78c4dbdc20)] - **test**: bump test-bootstrap-modules.js limit (Joyee Cheung) [#26520](https://github.com/nodejs/node/pull/26520)
* \[[`153a29c1c3`](https://github.com/nodejs/node/commit/153a29c1c3)] - **test**: refactor test/report/test-report-signal.js (cjihrig) [#26446](https://github.com/nodejs/node/pull/26446)
* \[[`71a4b24119`](https://github.com/nodejs/node/commit/71a4b24119)] - **test**: remove usage of `process.binding()` (Anna Henningsen) [#26304](https://github.com/nodejs/node/pull/26304)
* \[[`2b2471b0fd`](https://github.com/nodejs/node/commit/2b2471b0fd)] - **test**: fix tests so they work in worker threads (Richard Lau) [#26453](https://github.com/nodejs/node/pull/26453)
* \[[`a67fea52c4`](https://github.com/nodejs/node/commit/a67fea52c4)] - **test**: relax timer check in test-report-uv-handles.js (Richard Lau) [#26434](https://github.com/nodejs/node/pull/26434)
* \[[`dbb7a029d5`](https://github.com/nodejs/node/commit/dbb7a029d5)] - **test**: improve code coverage in timers (Juan José Arboleda) [#26310](https://github.com/nodejs/node/pull/26310)
* \[[`e1aa5106a7`](https://github.com/nodejs/node/commit/e1aa5106a7)] - **test**: remove flaky designation for test\_threadsafe\_function (Rich Trott) [#26403](https://github.com/nodejs/node/pull/26403)
* \[[`143dbb3db8`](https://github.com/nodejs/node/commit/143dbb3db8)] - **timers**: remove dead code and simplify args check (Ruben Bridgewater) [#26555](https://github.com/nodejs/node/pull/26555)
* \[[`1c8076ef58`](https://github.com/nodejs/node/commit/1c8076ef58)] - **tools**: fix cpplint.py header rules (Refael Ackermann) [#26306](https://github.com/nodejs/node/pull/26306)
* \[[`a32c7492f2`](https://github.com/nodejs/node/commit/a32c7492f2)] - **tools**: update ESLint to 5.15.1 (cjihrig) [#26447](https://github.com/nodejs/node/pull/26447)
* \[[`9d92887cde`](https://github.com/nodejs/node/commit/9d92887cde)] - **tools**: update to mdast-util-to-hast v3.0.2 (Sam Ruby) [#22140](https://github.com/nodejs/node/pull/22140)
* \[[`3e2e779dc9`](https://github.com/nodejs/node/commit/3e2e779dc9)] - **tools**: update capitalized-comments rule (Ruben Bridgewater) [#26483](https://github.com/nodejs/node/pull/26483)
* \[[`dcfdef5467`](https://github.com/nodejs/node/commit/dcfdef5467)] - **tools**: update generated lint-md.js (Refael Ackermann) [#26441](https://github.com/nodejs/node/pull/26441)
* \[[`4835504d7c`](https://github.com/nodejs/node/commit/4835504d7c)] - **tools**: update `node-lint-md-cli-rollup` version 2 (Refael Ackermann) [#26441](https://github.com/nodejs/node/pull/26441)
* \[[`972a0f9f3e`](https://github.com/nodejs/node/commit/972a0f9f3e)] - **tools**: use dmn\@2.2.1 to remove unneeded files (Rich Trott) [#26462](https://github.com/nodejs/node/pull/26462)
* \[[`9f1cc735ab`](https://github.com/nodejs/node/commit/9f1cc735ab)] - **tools**: update dmn to 2.2.1 in update scripts (Rich Trott) [#26462](https://github.com/nodejs/node/pull/26462)
* \[[`b879c1e2e1`](https://github.com/nodejs/node/commit/b879c1e2e1)] - **tools**: fix test.py --shell (Yang Guo) [#26449](https://github.com/nodejs/node/pull/26449)
* \[[`3b19cbfa3d`](https://github.com/nodejs/node/commit/3b19cbfa3d)] - **tools**: update remark-preset-lint-node to 1.5.0 (Rich Trott) [#26442](https://github.com/nodejs/node/pull/26442)
* \[[`0a1537e4e6`](https://github.com/nodejs/node/commit/0a1537e4e6)] - **tools**: add no-var lint rule for tools directory (shisama) [#26398](https://github.com/nodejs/node/pull/26398)
* \[[`57198f2b82`](https://github.com/nodejs/node/commit/57198f2b82)] - **tools**: replace var to let/const (Masashi Hirano) [#26398](https://github.com/nodejs/node/pull/26398)
* \[[`55b830476a`](https://github.com/nodejs/node/commit/55b830476a)] - **tools**: add mailmap support for Co-authored-by tags (Anna Henningsen) [#26383](https://github.com/nodejs/node/pull/26383)
* \[[`dc4258ad26`](https://github.com/nodejs/node/commit/dc4258ad26)] - **tools**: apply stricter linting to tools directory (Rich Trott) [#26394](https://github.com/nodejs/node/pull/26394)
* \[[`580ae5672f`](https://github.com/nodejs/node/commit/580ae5672f)] - **tools**: refactor tools JS code (Rich Trott) [#26394](https://github.com/nodejs/node/pull/26394)
* \[[`d841a89e47`](https://github.com/nodejs/node/commit/d841a89e47)] - **tools**: roll inspector\_protocol to f67ec5 (Pavel Feldman) [#26303](https://github.com/nodejs/node/pull/26303)
* \[[`c57510effa`](https://github.com/nodejs/node/commit/c57510effa)] - **tools**: rebuild lint-md.js (Rich Trott) [#26393](https://github.com/nodejs/node/pull/26393)
* \[[`c2d12513f7`](https://github.com/nodejs/node/commit/c2d12513f7)] - **tools**: update node-lint-md-cli-rollup lockfile (Rich Trott) [#26393](https://github.com/nodejs/node/pull/26393)
* \[[`5bdf71c8bf`](https://github.com/nodejs/node/commit/5bdf71c8bf)] - **tools**: update ESLint to 5.15.0 (cjihrig) [#26391](https://github.com/nodejs/node/pull/26391)
* \[[`1de9e138aa`](https://github.com/nodejs/node/commit/1de9e138aa)] - **url**: require encodeStr from internal/querystring (ZYSzys) [#26538](https://github.com/nodejs/node/pull/26538)
* \[[`3ad58f3e45`](https://github.com/nodejs/node/commit/3ad58f3e45)] - **win,build**: update Windows build documentation (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`e8f4096be1`](https://github.com/nodejs/node/commit/e8f4096be1)] - **win,build**: scope NASM warning to only x64 and x86 (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`7e4592e83f`](https://github.com/nodejs/node/commit/7e4592e83f)] - **win,build**: add ARM64 sections to common.gypi (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`8e60193aef`](https://github.com/nodejs/node/commit/8e60193aef)] - **win,build**: add ARM64 support to vcbuild.bat (Jon Kunkee) [#25995](https://github.com/nodejs/node/pull/25995)
* \[[`d75cb919d0`](https://github.com/nodejs/node/commit/d75cb919d0)] - **win,build**: add arbitrary and binlog options (Jon Kunkee) [#25994](https://github.com/nodejs/node/pull/25994)
* \[[`62801b9320`](https://github.com/nodejs/node/commit/62801b9320)] - **worker**: release native Worker object earlier (Anna Henningsen) [#26542](https://github.com/nodejs/node/pull/26542)
* \[[`73370b4584`](https://github.com/nodejs/node/commit/73370b4584)] - **worker**: remove `ERR_CLOSED_MESSAGE_PORT` (Anna Henningsen) [#26487](https://github.com/nodejs/node/pull/26487)

## 2019-03-06, Version 11.11.0 (Current), @BridgeAR

### Notable Changes

* **n-api**:
  * Implement date object (Jarrod Connolly) [#25917](https://github.com/nodejs/node/pull/25917)
* **util**:
  * Add compact depth mode for `util.inspect()` (Ruben Bridgewater) [#26269](https://github.com/nodejs/node/pull/26269)
* **worker**:
  * Improve integration with native addons (Anna Henningsen) [#26175](https://github.com/nodejs/node/pull/26175)
  * MessagePort.prototype.onmessage takes arguments closer to the Web specification now (Anna Henningsen) [#26082](https://github.com/nodejs/node/pull/26082)

### Commits

* \[[`d66cb4a116`](https://github.com/nodejs/node/commit/d66cb4a116)] - **benchmark,doc,lib,test**: capitalize comments (Ruben Bridgewater) [#26223](https://github.com/nodejs/node/pull/26223)
* \[[`f4955fde60`](https://github.com/nodejs/node/commit/f4955fde60)] - **benchmark,test**: refactoring (Refael Ackermann) [#26119](https://github.com/nodejs/node/pull/26119)
* \[[`5e4aa28e1c`](https://github.com/nodejs/node/commit/5e4aa28e1c)] - **buffer**: avoid materializing ArrayBuffer for creation (Anna Henningsen) [#26301](https://github.com/nodejs/node/pull/26301)
* \[[`05e6ec0143`](https://github.com/nodejs/node/commit/05e6ec0143)] - **build**: make 'floating patch' message informational (Ben Noordhuis) [#26349](https://github.com/nodejs/node/pull/26349)
* \[[`e2baa6836b`](https://github.com/nodejs/node/commit/e2baa6836b)] - **build**: remove v8\_typed\_array\_max\_size\_in\_heap option (Anna Henningsen) [#26301](https://github.com/nodejs/node/pull/26301)
* \[[`fa8110a60e`](https://github.com/nodejs/node/commit/fa8110a60e)] - **build**: silence cpp lint by default (Ruben Bridgewater) [#26252](https://github.com/nodejs/node/pull/26252)
* \[[`dbbcedae6d`](https://github.com/nodejs/node/commit/dbbcedae6d)] - **build**: tidy up comments in `create_expfile.sh` (Richard Lau) [#26220](https://github.com/nodejs/node/pull/26220)
* \[[`f408d78914`](https://github.com/nodejs/node/commit/f408d78914)] - **build**: fixed clang's warning when building openssl (Thang Tran) [#25954](https://github.com/nodejs/node/pull/25954)
* \[[`a3f7471d35`](https://github.com/nodejs/node/commit/a3f7471d35)] - **build,test**: guard eslint with crypto check (Daniel Bevenius) [#26182](https://github.com/nodejs/node/pull/26182)
* \[[`a70bafb3cc`](https://github.com/nodejs/node/commit/a70bafb3cc)] - **console**: prevent constructing console methods (Thomas) [#26096](https://github.com/nodejs/node/pull/26096)
* \[[`1333dccede`](https://github.com/nodejs/node/commit/1333dccede)] - **crypto**: fix unencrypted DER PKCS8 parsing (Tobias Nießen) [#26236](https://github.com/nodejs/node/pull/26236)
* \[[`70e463c294`](https://github.com/nodejs/node/commit/70e463c294)] - **crypto**: fix error condition in Verify::VerifyFinal (Tobias Nießen) [#26238](https://github.com/nodejs/node/pull/26238)
* \[[`108c698f44`](https://github.com/nodejs/node/commit/108c698f44)] - **crypto**: make ConvertKey clear openssl error stack (Ben Noordhuis) [#26153](https://github.com/nodejs/node/pull/26153)
* \[[`c8d30a7313`](https://github.com/nodejs/node/commit/c8d30a7313)] - **deps**: update acorn to 6.1.0 (gengjiawen) [#26102](https://github.com/nodejs/node/pull/26102)
* \[[`7f08e0238a`](https://github.com/nodejs/node/commit/7f08e0238a)] - **deps**: V8: cherry-pick d3308d0 (Anna Henningsen) [#26207](https://github.com/nodejs/node/pull/26207)
* \[[`206e4b043b`](https://github.com/nodejs/node/commit/206e4b043b)] - **deps**: V8: backport 74571c8 (Ruben Bridgewater) [#25941](https://github.com/nodejs/node/pull/25941)
* \[[`f0a81664c7`](https://github.com/nodejs/node/commit/f0a81664c7)] - **deps**: backport ICU fix for ARM64 Windows (Jon Kunkee) [#26090](https://github.com/nodejs/node/pull/26090)
* \[[`ea26ac0f2b`](https://github.com/nodejs/node/commit/ea26ac0f2b)] - **dns**: refactor QueryWrap lifetime management (Anna Henningsen) [#26253](https://github.com/nodejs/node/pull/26253)
* \[[`846cba056e`](https://github.com/nodejs/node/commit/846cba056e)] - **doc**: edit deprecation identifier info in Collaborator Guide (Rich Trott) [#26372](https://github.com/nodejs/node/pull/26372)
* \[[`3f4b27d681`](https://github.com/nodejs/node/commit/3f4b27d681)] - **doc**: maxReservedRemoteStreams value constraints (Sebastiaan Deckers) [#26309](https://github.com/nodejs/node/pull/26309)
* \[[`bc5771ec91`](https://github.com/nodejs/node/commit/bc5771ec91)] - **doc**: correct typos in various docs (Beni von Cheni) [#26312](https://github.com/nodejs/node/pull/26312)
* \[[`3560c3abeb`](https://github.com/nodejs/node/commit/3560c3abeb)] - **doc**: sort http.request() options alphabetically (Luigi Pinca) [#26152](https://github.com/nodejs/node/pull/26152)
* \[[`86982558ad`](https://github.com/nodejs/node/commit/86982558ad)] - **doc**: add documentation for the defaultPort option (Luigi Pinca) [#26152](https://github.com/nodejs/node/pull/26152)
* \[[`7bf6309f0b`](https://github.com/nodejs/node/commit/7bf6309f0b)] - **doc**: napi\_get\_value\_bigint\_words argument order (Michael Wei) [#26300](https://github.com/nodejs/node/pull/26300)
* \[[`40a5a93b41`](https://github.com/nodejs/node/commit/40a5a93b41)] - **doc**: add example for setting Vary: Accept-Encoding header in zlib.md (Mukul Khanna) [#26308](https://github.com/nodejs/node/pull/26308)
* \[[`85840681a4`](https://github.com/nodejs/node/commit/85840681a4)] - **doc**: revise deprecation semverness info in Collaborator Guide (Rich Trott) [#26232](https://github.com/nodejs/node/pull/26232)
* \[[`ff57a1c321`](https://github.com/nodejs/node/commit/ff57a1c321)] - **doc**: clarify http.ClientRequest path description (Minwoo Jung) [#26259](https://github.com/nodejs/node/pull/26259)
* \[[`5e44768e9f`](https://github.com/nodejs/node/commit/5e44768e9f)] - **doc**: revise deprecation level explanations in Collaborator Guide (Rich Trott) [#26197](https://github.com/nodejs/node/pull/26197)
* \[[`823f0ce952`](https://github.com/nodejs/node/commit/823f0ce952)] - **doc**: revise Style Guide (Rich Trott) [#26176](https://github.com/nodejs/node/pull/26176)
* \[[`8fac54a22f`](https://github.com/nodejs/node/commit/8fac54a22f)] - **doc**: fix code lang in repl.md (gengjiawen) [#26075](https://github.com/nodejs/node/pull/26075)
* \[[`e5dae20ed6`](https://github.com/nodejs/node/commit/e5dae20ed6)] - **doc**: remove deprecation definition in Collaborator Guide (Rich Trott) [#26157](https://github.com/nodejs/node/pull/26157)
* \[[`e108c32865`](https://github.com/nodejs/node/commit/e108c32865)] - **doc**: eliminate use of "note that" from child\_process.md (Rich Trott) [#26141](https://github.com/nodejs/node/pull/26141)
* \[[`e506f6a2d6`](https://github.com/nodejs/node/commit/e506f6a2d6)] - **doc**: remove unnecessary italics from child\_process.md (Rich Trott) [#26141](https://github.com/nodejs/node/pull/26141)
* \[[`b48a04bc32`](https://github.com/nodejs/node/commit/b48a04bc32)] - **doc**: remove unnecessary bold text from child\_process.md (Rich Trott) [#26141](https://github.com/nodejs/node/pull/26141)
* \[[`789b818ad1`](https://github.com/nodejs/node/commit/789b818ad1)] - **doc**: remove unnecessary bold italics from child\_process.md (Rich Trott) [#26141](https://github.com/nodejs/node/pull/26141)
* \[[`4d1c87ed6b`](https://github.com/nodejs/node/commit/4d1c87ed6b)] - **doc**: remove all-caps shouting from child\_process.md (Rich Trott) [#26141](https://github.com/nodejs/node/pull/26141)
* \[[`c810ced543`](https://github.com/nodejs/node/commit/c810ced543)] - **doc**: wrap child\_process.md at 80 characters (Rich Trott) [#26141](https://github.com/nodejs/node/pull/26141)
* \[[`a18b847d18`](https://github.com/nodejs/node/commit/a18b847d18)] - **doc**: improve worker\_threads documentation (Anna Henningsen) [#26110](https://github.com/nodejs/node/pull/26110)
* \[[`a9c44372e1`](https://github.com/nodejs/node/commit/a9c44372e1)] - **doc**: consolidate N-API material in Collaborator Guide (Rich Trott) [#26094](https://github.com/nodejs/node/pull/26094)
* \[[`82bc68b08e`](https://github.com/nodejs/node/commit/82bc68b08e)] - **doc**: fix notable changes in v11 changelog (Michaël Zasso)
* \[[`3971510b66`](https://github.com/nodejs/node/commit/3971510b66)] - **doc**: fix changelog entry (Colin Ihrig) [#26114](https://github.com/nodejs/node/pull/26114)
* \[[`2ff1644b34`](https://github.com/nodejs/node/commit/2ff1644b34)] - **doc**: fix notable changes list format for 11.9.0 & 11.10.0 (Kai) [#26129](https://github.com/nodejs/node/pull/26129)
* \[[`8814d03d4d`](https://github.com/nodejs/node/commit/8814d03d4d)] - **doc,lib,test**: rename node-report to report (cjihrig) [#26371](https://github.com/nodejs/node/pull/26371)
* \[[`0034820f67`](https://github.com/nodejs/node/commit/0034820f67)] - **errors**: add ERR\_INSPECTOR\_COMMAND error (cjihrig) [#26255](https://github.com/nodejs/node/pull/26255)
* \[[`030b744941`](https://github.com/nodejs/node/commit/030b744941)] - **esm**: process proxy Symbol.toString fix (Guy Bedford) [#25963](https://github.com/nodejs/node/pull/25963)
* \[[`14cf22f860`](https://github.com/nodejs/node/commit/14cf22f860)] - **fs, src, lib**: fix `blksize` & `blocks` on Windows (Richard Lau) [#26056](https://github.com/nodejs/node/pull/26056)
* \[[`2595fbc8b1`](https://github.com/nodejs/node/commit/2595fbc8b1)] - **http2**: improve compatibility with http/1 (Sagi Tsofan) [#23908](https://github.com/nodejs/node/pull/23908)
* \[[`8a551b9d3b`](https://github.com/nodejs/node/commit/8a551b9d3b)] - **http2**: shrink memory to match read data (Anna Henningsen) [#26201](https://github.com/nodejs/node/pull/26201)
* \[[`3bc012373a`](https://github.com/nodejs/node/commit/3bc012373a)] - **inspector**: print all listening addresses (Ben Noordhuis) [#26008](https://github.com/nodejs/node/pull/26008)
* \[[`b0c310dcf0`](https://github.com/nodejs/node/commit/b0c310dcf0)] - **inspector**: return Error objects on error (cjihrig) [#26255](https://github.com/nodejs/node/pull/26255)
* \[[`be671c3bf5`](https://github.com/nodejs/node/commit/be671c3bf5)] - **inspector**: forward errors from InspectorConsoleCall (Anna Henningsen) [#26113](https://github.com/nodejs/node/pull/26113)
* \[[`0c4353a444`](https://github.com/nodejs/node/commit/0c4353a444)] - **inspector**: make sure timer handles are cleaned up (Anna Henningsen) [#26088](https://github.com/nodejs/node/pull/26088)
* \[[`bf61050e91`](https://github.com/nodejs/node/commit/bf61050e91)] - **lib**: converted element to lowercase in tty.js (Abhishek Agarwal) [#26121](https://github.com/nodejs/node/pull/26121)
* \[[`733beb70ae`](https://github.com/nodejs/node/commit/733beb70ae)] - **lib**: convert legacy process.binding to internalBinding (ZYSzys) [#26095](https://github.com/nodejs/node/pull/26095)
* \[[`b25694d7ad`](https://github.com/nodejs/node/commit/b25694d7ad)] - **meta**: update note about building on smartOS 16 (Refael Ackermann) [#25684](https://github.com/nodejs/node/pull/25684)
* \[[`6d014a6c3d`](https://github.com/nodejs/node/commit/6d014a6c3d)] - **meta**: remove the useless GitHub Account (MaleDong) [#26146](https://github.com/nodejs/node/pull/26146)
* \[[`143b844db2`](https://github.com/nodejs/node/commit/143b844db2)] - **meta**: moving jasnell temporarily to TSC emeritus (jasnell) [#26106](https://github.com/nodejs/node/pull/26106)
* \[[`d94f4c23fe`](https://github.com/nodejs/node/commit/d94f4c23fe)] - **module**: fix stat cache (Ruben Bridgewater) [#26266](https://github.com/nodejs/node/pull/26266)
* \[[`2a66cd34fa`](https://github.com/nodejs/node/commit/2a66cd34fa)] - **module**: simpler shebang function (Ruben Bridgewater) [#26266](https://github.com/nodejs/node/pull/26266)
* \[[`54896a6961`](https://github.com/nodejs/node/commit/54896a6961)] - **module**: revert module.\_compile to original state if module is patched (Ujjwal Sharma) [#21573](https://github.com/nodejs/node/pull/21573)
* \[[`b338edbb0a`](https://github.com/nodejs/node/commit/b338edbb0a)] - **module**: use compileFunction over Module.wrap (Ujjwal Sharma) [#21573](https://github.com/nodejs/node/pull/21573)
* \[[`e72cb94df6`](https://github.com/nodejs/node/commit/e72cb94df6)] - **(SEMVER-MINOR)** **n-api**: implement date object (Jarrod Connolly) [#25917](https://github.com/nodejs/node/pull/25917)
* \[[`2335bcd6e6`](https://github.com/nodejs/node/commit/2335bcd6e6)] - **n-api**: turn NAPI\_CALL\_INTO\_MODULE into a function (Anna Henningsen) [#26128](https://github.com/nodejs/node/pull/26128)
* \[[`1ce5e63987`](https://github.com/nodejs/node/commit/1ce5e63987)] - **n-api**: do not call into JS when that is not allowed (Anna Henningsen) [#26127](https://github.com/nodejs/node/pull/26127)
* \[[`5b8ac58ed8`](https://github.com/nodejs/node/commit/5b8ac58ed8)] - **path**: refactor code for clarity (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`348f1fbcb3`](https://github.com/nodejs/node/commit/348f1fbcb3)] - **path**: refactor for less indentation (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`e00c8cd54a`](https://github.com/nodejs/node/commit/e00c8cd54a)] - **path**: simplify code and remove obsolete checks (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`55d6b4961a`](https://github.com/nodejs/node/commit/55d6b4961a)] - **path**: refactor logic for to reduce code branches (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`6c7cd9ee5a`](https://github.com/nodejs/node/commit/6c7cd9ee5a)] - **path**: minor refactoring (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`cccc44b854`](https://github.com/nodejs/node/commit/cccc44b854)] - **path**: refactor more path code for simplicity (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`6c44e68f63`](https://github.com/nodejs/node/commit/6c44e68f63)] - **path**: more small refactorings (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`b0cde2c4cf`](https://github.com/nodejs/node/commit/b0cde2c4cf)] - **path**: minor refactoring (Ruben Bridgewater) [#25278](https://github.com/nodejs/node/pull/25278)
* \[[`d91520724c`](https://github.com/nodejs/node/commit/d91520724c)] - **process**: use common operations to define browser globals (Joyee Cheung) [#26230](https://github.com/nodejs/node/pull/26230)
* \[[`b1e739d881`](https://github.com/nodejs/node/commit/b1e739d881)] - **process**: move initialization of node-report into pre\_execution.js (Joyee Cheung) [#26227](https://github.com/nodejs/node/pull/26227)
* \[[`57179a0aab`](https://github.com/nodejs/node/commit/57179a0aab)] - **process**: setup signal handler in prepareMainThreadExecution (Joyee Cheung) [#26227](https://github.com/nodejs/node/pull/26227)
* \[[`966546ceaa`](https://github.com/nodejs/node/commit/966546ceaa)] - **process**: simplify the setup of async hooks trace events (Joyee Cheung) [#26062](https://github.com/nodejs/node/pull/26062)
* \[[`cd10e25bd6`](https://github.com/nodejs/node/commit/cd10e25bd6)] - **process**: move test-process-uptime to parallel (Joyee Cheung) [#26206](https://github.com/nodejs/node/pull/26206)
* \[[`fde40116c4`](https://github.com/nodejs/node/commit/fde40116c4)] - **process**: fix calculation in process.uptime() (Joyee Cheung) [#26206](https://github.com/nodejs/node/pull/26206)
* \[[`230e98b54a`](https://github.com/nodejs/node/commit/230e98b54a)] - **process**: start coverage collection before bootstrap (Joyee Cheung) [#26006](https://github.com/nodejs/node/pull/26006)
* \[[`b5fe27ccc9`](https://github.com/nodejs/node/commit/b5fe27ccc9)] - **process**: delay setup of global exception handlers (Joyee Cheung) [#26061](https://github.com/nodejs/node/pull/26061)
* \[[`0d660d9646`](https://github.com/nodejs/node/commit/0d660d9646)] - **readline**: improve Unicode handling (Avi ד) [#25723](https://github.com/nodejs/node/pull/25723)
* \[[`4c254d6294`](https://github.com/nodejs/node/commit/4c254d6294)] - **repl**: use object writer for thrown errors (Anna Henningsen) [#26361](https://github.com/nodejs/node/pull/26361)
* \[[`2a74a1ed60`](https://github.com/nodejs/node/commit/2a74a1ed60)] - **repl**: hide editor mode if not used in a terminal (Ruben Bridgewater) [#26240](https://github.com/nodejs/node/pull/26240)
* \[[`2fa8170e51`](https://github.com/nodejs/node/commit/2fa8170e51)] - **repl**: add new line on ctrl+d (Ruben Bridgewater) [#26240](https://github.com/nodejs/node/pull/26240)
* \[[`f636f15315`](https://github.com/nodejs/node/commit/f636f15315)] - **repl**: add more information (Ruben Bridgewater) [#26240](https://github.com/nodejs/node/pull/26240)
* \[[`2908e6313b`](https://github.com/nodejs/node/commit/2908e6313b)] - **report**: rename location to trigger (cjihrig) [#26386](https://github.com/nodejs/node/pull/26386)
* \[[`0579f4283f`](https://github.com/nodejs/node/commit/0579f4283f)] - **report**: use triggerReport() to handle signals (cjihrig) [#26386](https://github.com/nodejs/node/pull/26386)
* \[[`b2c77ec081`](https://github.com/nodejs/node/commit/b2c77ec081)] - **report**: use triggerReport() to handle exceptions (cjihrig) [#26386](https://github.com/nodejs/node/pull/26386)
* \[[`b62e2289d9`](https://github.com/nodejs/node/commit/b62e2289d9)] - **report**: add fallback for uv\_getnameinfo() failures (Richard Lau) [#26140](https://github.com/nodejs/node/pull/26140)
* \[[`2fe9886f6f`](https://github.com/nodejs/node/commit/2fe9886f6f)] - **report**: fix build warning in node\_report.cc (Richard Lau) [#26265](https://github.com/nodejs/node/pull/26265)
* \[[`ba5f31ac45`](https://github.com/nodejs/node/commit/ba5f31ac45)] - **report**: use ru\_stime for system CPU calculation (cjihrig) [#26286](https://github.com/nodejs/node/pull/26286)
* \[[`d2d94537b2`](https://github.com/nodejs/node/commit/d2d94537b2)] - **report**: simplify heap space iteration (cjihrig) [#26285](https://github.com/nodejs/node/pull/26285)
* \[[`6d2a14d385`](https://github.com/nodejs/node/commit/6d2a14d385)] - **report**: refactor argument validation (cjihrig) [#26276](https://github.com/nodejs/node/pull/26276)
* \[[`8e2cc5e440`](https://github.com/nodejs/node/commit/8e2cc5e440)] - **report**: refactor triggerReport() (cjihrig) [#26268](https://github.com/nodejs/node/pull/26268)
* \[[`8a40468635`](https://github.com/nodejs/node/commit/8a40468635)] - **report**: remove verbose setting (cjihrig) [#26195](https://github.com/nodejs/node/pull/26195)
* \[[`0e89d7add6`](https://github.com/nodejs/node/commit/0e89d7add6)] - **report**: simplify OnFatalError() handling (cjihrig) [#26191](https://github.com/nodejs/node/pull/26191)
* \[[`633c1eac29`](https://github.com/nodejs/node/commit/633c1eac29)] - **report**: simplify TriggerNodeReport() (cjihrig) [#26174](https://github.com/nodejs/node/pull/26174)
* \[[`fc9ba36fb2`](https://github.com/nodejs/node/commit/fc9ba36fb2)] - **src**: fix typo in callback.cc (gengjiawen) [#26337](https://github.com/nodejs/node/pull/26337)
* \[[`63942de82c`](https://github.com/nodejs/node/commit/63942de82c)] - **src**: extra-semi warning in node\_platform.h (Jeremy Apthorp) [#26330](https://github.com/nodejs/node/pull/26330)
* \[[`cb62c24e1b`](https://github.com/nodejs/node/commit/cb62c24e1b)] - **src**: reduce to simple `const char*` in OptionsParser (ZYSzys) [#26297](https://github.com/nodejs/node/pull/26297)
* \[[`3093617c0e`](https://github.com/nodejs/node/commit/3093617c0e)] - **src**: remove unused variable (cjihrig) [#26386](https://github.com/nodejs/node/pull/26386)
* \[[`b216f44513`](https://github.com/nodejs/node/commit/b216f44513)] - **src**: remove unnecessary function declaration (cjihrig) [#26386](https://github.com/nodejs/node/pull/26386)
* \[[`cb2cbf2eca`](https://github.com/nodejs/node/commit/cb2cbf2eca)] - **src**: remove already elevated Isolate namespce (Juan José Arboleda) [#26294](https://github.com/nodejs/node/pull/26294)
* \[[`2438a4350d`](https://github.com/nodejs/node/commit/2438a4350d)] - **src**: remove unused macro in env.cc (gengjiawen) [#26273](https://github.com/nodejs/node/pull/26273)
* \[[`4df82f0f1b`](https://github.com/nodejs/node/commit/4df82f0f1b)] - **src**: remove unused macro in node\_http2.h (gengjiawen) [#26204](https://github.com/nodejs/node/pull/26204)
* \[[`af2a6935ab`](https://github.com/nodejs/node/commit/af2a6935ab)] - **src**: remove redundant cast in PipeWrap::Fchmod (gengjiawen) [#26242](https://github.com/nodejs/node/pull/26242)
* \[[`06d592c551`](https://github.com/nodejs/node/commit/06d592c551)] - **src**: simplify native immediate by using v8::Global (Anna Henningsen) [#26254](https://github.com/nodejs/node/pull/26254)
* \[[`9b4eec0aad`](https://github.com/nodejs/node/commit/9b4eec0aad)] - **src**: allow not materializing ArrayBuffers from C++ (Anna Henningsen) [#26301](https://github.com/nodejs/node/pull/26301)
* \[[`30f0a3b4bd`](https://github.com/nodejs/node/commit/30f0a3b4bd)] - **src**: remove dead inspector code (Anna Henningsen) [#26295](https://github.com/nodejs/node/pull/26295)
* \[[`c37b6796df`](https://github.com/nodejs/node/commit/c37b6796df)] - **src**: remove unused Converter object (Anna Henningsen) [#26243](https://github.com/nodejs/node/pull/26243)
* \[[`6f9ab5e15b`](https://github.com/nodejs/node/commit/6f9ab5e15b)] - **src**: remove redundant cast in method AfterStringPath (gengjiawen) [#26218](https://github.com/nodejs/node/pull/26218)
* \[[`33d6a3fcb7`](https://github.com/nodejs/node/commit/33d6a3fcb7)] - **src**: clean up `StreamPipe` in destructor (Anna Henningsen) [#26256](https://github.com/nodejs/node/pull/26256)
* \[[`75ae77d99f`](https://github.com/nodejs/node/commit/75ae77d99f)] - **src**: do not access Environment-owned handles after cleanup (Anna Henningsen) [#26256](https://github.com/nodejs/node/pull/26256)
* \[[`d6759db15b`](https://github.com/nodejs/node/commit/d6759db15b)] - **src**: remove cast for unsupported openssl (Sam Roberts) [#26305](https://github.com/nodejs/node/pull/26305)
* \[[`1abe1d1c06`](https://github.com/nodejs/node/commit/1abe1d1c06)] - **src**: track memory retainer fields (Gireesh Punathil) [#26161](https://github.com/nodejs/node/pull/26161)
* \[[`3e0978d7a3`](https://github.com/nodejs/node/commit/3e0978d7a3)] - **src**: clean unused macro in inspector\_socket.cc (gengjiawen) [#26158](https://github.com/nodejs/node/pull/26158)
* \[[`4001b24f79`](https://github.com/nodejs/node/commit/4001b24f79)] - **src**: remove unimplemented method in class SSLWrap (gengjiawen) [#26203](https://github.com/nodejs/node/pull/26203)
* \[[`8b515b24af`](https://github.com/nodejs/node/commit/8b515b24af)] - **src**: apply clang-tidy rule modernize-deprecated-headers (gengjiawen) [#26159](https://github.com/nodejs/node/pull/26159)
* \[[`3c11b4eec2`](https://github.com/nodejs/node/commit/3c11b4eec2)] - **src**: allocate Buffer memory using ArrayBuffer allocator (Anna Henningsen) [#26207](https://github.com/nodejs/node/pull/26207)
* \[[`282607644b`](https://github.com/nodejs/node/commit/282607644b)] - **src**: add allocation utils to env (Anna Henningsen) [#26207](https://github.com/nodejs/node/pull/26207)
* \[[`238fa5704b`](https://github.com/nodejs/node/commit/238fa5704b)] - **src**: add debugging array allocator (Anna Henningsen) [#26207](https://github.com/nodejs/node/pull/26207)
* \[[`437bb25d92`](https://github.com/nodejs/node/commit/437bb25d92)] - **src**: make IsolateData store ArrayBufferAllocator (Anna Henningsen) [#26207](https://github.com/nodejs/node/pull/26207)
* \[[`68accb5b04`](https://github.com/nodejs/node/commit/68accb5b04)] - **src**: use smart pointer in UDPWrap::OnSend (Daniel Bevenius) [#26233](https://github.com/nodejs/node/pull/26233)
* \[[`3abdcfc813`](https://github.com/nodejs/node/commit/3abdcfc813)] - **src**: remove unimplemented method in class StreamPipe (gengjiawen) [#26202](https://github.com/nodejs/node/pull/26202)
* \[[`7e26ca6750`](https://github.com/nodejs/node/commit/7e26ca6750)] - **src**: simplify AliasedBuffer lifetime management (Anna Henningsen) [#26196](https://github.com/nodejs/node/pull/26196)
* \[[`831aa9acb6`](https://github.com/nodejs/node/commit/831aa9acb6)] - **src**: make `node::SignalWrap::OnSignal` into lambda (Gireesh Punathil) [#26184](https://github.com/nodejs/node/pull/26184)
* \[[`619b5e7c2e`](https://github.com/nodejs/node/commit/619b5e7c2e)] - **src**: simplify loop arithmetic in `GetCPUInfo` (Gireesh Punathil) [#26183](https://github.com/nodejs/node/pull/26183)
* \[[`ddd71f4a92`](https://github.com/nodejs/node/commit/ddd71f4a92)] - **src**: move function from header to source file (Ben Noordhuis) [#26173](https://github.com/nodejs/node/pull/26173)
* \[[`5cc2574fac`](https://github.com/nodejs/node/commit/5cc2574fac)] - **src**: move async hooks trace events setup to pre\_execution.js (Joyee Cheung) [#26062](https://github.com/nodejs/node/pull/26062)
* \[[`8881c0baaa`](https://github.com/nodejs/node/commit/8881c0baaa)] - **src**: simplify InspectorConsoleCall (Anna Henningsen) [#26168](https://github.com/nodejs/node/pull/26168)
* \[[`c6d5af53be`](https://github.com/nodejs/node/commit/c6d5af53be)] - **src**: move req\_wrap\_queue to base class of ReqWrap (Anna Henningsen) [#26148](https://github.com/nodejs/node/pull/26148)
* \[[`a39cd45ce8`](https://github.com/nodejs/node/commit/a39cd45ce8)] - **src**: remove `process.binding('config').fipsForced` (Joyee Cheung) [#26178](https://github.com/nodejs/node/pull/26178)
* \[[`bd40a127f9`](https://github.com/nodejs/node/commit/bd40a127f9)] - **src**: only call .ReThrow() if not terminating (Anna Henningsen) [#26130](https://github.com/nodejs/node/pull/26130)
* \[[`6b7d8369e3`](https://github.com/nodejs/node/commit/6b7d8369e3)] - **src**: add missing includes for vtune build (Uttam Pawar) [#26136](https://github.com/nodejs/node/pull/26136)
* \[[`25ddbc9a36`](https://github.com/nodejs/node/commit/25ddbc9a36)] - **src**: apply clang-tidy rule performance-unnecessary-value-param (gengjiawen) [#26042](https://github.com/nodejs/node/pull/26042)
* \[[`82df851bb5`](https://github.com/nodejs/node/commit/82df851bb5)] - **src**: unify uptime base used across the code base (Joyee Cheung) [#26016](https://github.com/nodejs/node/pull/26016)
* \[[`778db675c1`](https://github.com/nodejs/node/commit/778db675c1)] - **src**: remove invalid casts in options parser (Anna Henningsen) [#26139](https://github.com/nodejs/node/pull/26139)
* \[[`4ca07898d7`](https://github.com/nodejs/node/commit/4ca07898d7)] - **src**: use PauseOnNextJavascriptStatement to implement --inspect-brk-node (Joyee Cheung) [#26034](https://github.com/nodejs/node/pull/26034)
* \[[`e6949b4241`](https://github.com/nodejs/node/commit/e6949b4241)] - **src**: apply clang-tidy rule modernize-use-override (gengjiawen) [#26103](https://github.com/nodejs/node/pull/26103)
* \[[`d550de4fe1`](https://github.com/nodejs/node/commit/d550de4fe1)] - **src**: remove inspector main\_thread\_request\_ field (Anna Henningsen) [#26137](https://github.com/nodejs/node/pull/26137)
* \[[`ee71952a25`](https://github.com/nodejs/node/commit/ee71952a25)] - **src**: check HasCaught() in JSStream calls (Anna Henningsen) [#26124](https://github.com/nodejs/node/pull/26124)
* \[[`f44f33569d`](https://github.com/nodejs/node/commit/f44f33569d)] - **src**: extract common sockaddr creation code (Daniel Bevenius) [#26070](https://github.com/nodejs/node/pull/26070)
* \[[`cbd3cf083a`](https://github.com/nodejs/node/commit/cbd3cf083a)] - **src**: add debug CHECKs against empty handles (Anna Henningsen) [#26125](https://github.com/nodejs/node/pull/26125)
* \[[`0408966a9d`](https://github.com/nodejs/node/commit/0408966a9d)] - **src**: remove unused macro in node\_file.cc (gengjiawen) [#26073](https://github.com/nodejs/node/pull/26073)
* \[[`497d9d8ab2`](https://github.com/nodejs/node/commit/497d9d8ab2)] - **src**: use same parameter name in node\_report.cc (gengjiawen) [#26046](https://github.com/nodejs/node/pull/26046)
* \[[`e314681420`](https://github.com/nodejs/node/commit/e314681420)] - **src**: use more stable cast where possible (Gireesh Punathil) [#26052](https://github.com/nodejs/node/pull/26052)
* \[[`7612574e42`](https://github.com/nodejs/node/commit/7612574e42)] - **stream**: make \_read() be called indefinitely if the user wants so (Matteo Collina) [#26135](https://github.com/nodejs/node/pull/26135)
* \[[`50e42c9d64`](https://github.com/nodejs/node/commit/50e42c9d64)] - **test**: improve test coverage in perf\_hooks (Juan José Arboleda) [#26290](https://github.com/nodejs/node/pull/26290)
* \[[`a41138b0cf`](https://github.com/nodejs/node/commit/a41138b0cf)] - **test**: remove duplicated buffer negative allocation test (ZYSzys) [#26160](https://github.com/nodejs/node/pull/26160)
* \[[`93d7fa3df3`](https://github.com/nodejs/node/commit/93d7fa3df3)] - **test**: only inspect on failure (Ruben Bridgewater) [#26360](https://github.com/nodejs/node/pull/26360)
* \[[`91b61452c3`](https://github.com/nodejs/node/commit/91b61452c3)] - **test**: always activate colors if necessary (Ruben Bridgewater) [#26264](https://github.com/nodejs/node/pull/26264)
* \[[`11bd5e07cb`](https://github.com/nodejs/node/commit/11bd5e07cb)] - **test**: rename node-report suite to report (cjihrig) [#26371](https://github.com/nodejs/node/pull/26371)
* \[[`7ccffcbcb6`](https://github.com/nodejs/node/commit/7ccffcbcb6)] - **test**: improve validation of report output (cjihrig) [#26289](https://github.com/nodejs/node/pull/26289)
* \[[`4561cf351f`](https://github.com/nodejs/node/commit/4561cf351f)] - **test**: verify heap buffer allocations occur (Anna Henningsen) [#26301](https://github.com/nodejs/node/pull/26301)
* \[[`0c8e9ee62e`](https://github.com/nodejs/node/commit/0c8e9ee62e)] - **test**: fix for activities in tick objects prune function (Alexander Sattelmaier) [#26163](https://github.com/nodejs/node/pull/26163)
* \[[`69154e405c`](https://github.com/nodejs/node/commit/69154e405c)] - **test**: refactor tick objects prune function (Alexander Sattelmaier) [#26163](https://github.com/nodejs/node/pull/26163)
* \[[`d8f5f55b78`](https://github.com/nodejs/node/commit/d8f5f55b78)] - **test**: eliminate port collision (Gireesh Punathil) [#26298](https://github.com/nodejs/node/pull/26298)
* \[[`88256d7ba2`](https://github.com/nodejs/node/commit/88256d7ba2)] - **test**: simplify node-report/test-exception.js (cjihrig) [#26277](https://github.com/nodejs/node/pull/26277)
* \[[`e8995d1b80`](https://github.com/nodejs/node/commit/e8995d1b80)] - **test**: increase getReport() coverage (cjihrig) [#26276](https://github.com/nodejs/node/pull/26276)
* \[[`33fe892ec6`](https://github.com/nodejs/node/commit/33fe892ec6)] - **test**: increase triggerReport() coverage (cjihrig) [#26268](https://github.com/nodejs/node/pull/26268)
* \[[`a382b52fd8`](https://github.com/nodejs/node/commit/a382b52fd8)] - **test**: consolidate triggerReport() tests (cjihrig) [#26268](https://github.com/nodejs/node/pull/26268)
* \[[`6f9a764b52`](https://github.com/nodejs/node/commit/6f9a764b52)] - **test**: remove node-report/test-api.js (cjihrig) [#26219](https://github.com/nodejs/node/pull/26219)
* \[[`bc114152d0`](https://github.com/nodejs/node/commit/bc114152d0)] - **test**: simplify test-api-nohooks.js (cjihrig) [#26217](https://github.com/nodejs/node/pull/26217)
* \[[`ca18525896`](https://github.com/nodejs/node/commit/ca18525896)] - **test**: improve performance of test-crypto-timing-safe-equal-benchmarks (Rich Trott) [#26237](https://github.com/nodejs/node/pull/26237)
* \[[`28758b8d69`](https://github.com/nodejs/node/commit/28758b8d69)] - **test**: add test for dynamically enabling node.async\_hooks tracing (Joyee Cheung) [#26062](https://github.com/nodejs/node/pull/26062)
* \[[`dcbd907142`](https://github.com/nodejs/node/commit/dcbd907142)] - **test**: add test for node.async\_hooks tracing in workers (Joyee Cheung) [#26062](https://github.com/nodejs/node/pull/26062)
* \[[`007b2fa198`](https://github.com/nodejs/node/commit/007b2fa198)] - **test**: increase run time in test-worker-prof (Anna Henningsen) [#26172](https://github.com/nodejs/node/pull/26172)
* \[[`a1fcde035e`](https://github.com/nodejs/node/commit/a1fcde035e)] - **test**: simplify test-api-getreport.js (cjihrig) [#26169](https://github.com/nodejs/node/pull/26169)
* \[[`818b280a39`](https://github.com/nodejs/node/commit/818b280a39)] - **test**: remove unnecessary default tmpdir value in test (Rich Trott) [#26177](https://github.com/nodejs/node/pull/26177)
* \[[`59ca9e9ccf`](https://github.com/nodejs/node/commit/59ca9e9ccf)] - **test**: consolidate assertions in ipv6only test (Rich Trott) [#26149](https://github.com/nodejs/node/pull/26149)
* \[[`38a87d5521`](https://github.com/nodejs/node/commit/38a87d5521)] - **test**: increase coverage of node\_report\_module.cc (Richard Lau) [#26116](https://github.com/nodejs/node/pull/26116)
* \[[`76c2f4f46b`](https://github.com/nodejs/node/commit/76c2f4f46b)] - **test**: simplify test-worker-syntax-error (Rich Trott) [#26144](https://github.com/nodejs/node/pull/26144)
* \[[`441b5453a0`](https://github.com/nodejs/node/commit/441b5453a0)] - **test**: fix flaky test-worker-ref-onexit (Anna Henningsen) [#26170](https://github.com/nodejs/node/pull/26170)
* \[[`d3525d7505`](https://github.com/nodejs/node/commit/d3525d7505)] - **test**: add --test-root option to test.py (Yang Guo) [#26093](https://github.com/nodejs/node/pull/26093)
* \[[`a920721175`](https://github.com/nodejs/node/commit/a920721175)] - **test**: silence compiler warning in openssl-binding (Daniel Bevenius) [#26067](https://github.com/nodejs/node/pull/26067)
* \[[`2d0242a69b`](https://github.com/nodejs/node/commit/2d0242a69b)] - **test**: increase coverage for assertion\_error.js (Rich Trott) [#26065](https://github.com/nodejs/node/pull/26065)
* \[[`dd60cd60b3`](https://github.com/nodejs/node/commit/dd60cd60b3)] - **test**: add arg to narrow http benchmark test (Refael Ackermann) [#26101](https://github.com/nodejs/node/pull/26101)
* \[[`fbf6dd558a`](https://github.com/nodejs/node/commit/fbf6dd558a)] - **test,inspector**: add heap allocation tracker test (Anna Henningsen) [#26089](https://github.com/nodejs/node/pull/26089)
* \[[`db94ab778f`](https://github.com/nodejs/node/commit/db94ab778f)] - **test,worker**: posting undefined/null message to message port (legendecas) [#26123](https://github.com/nodejs/node/pull/26123)
* \[[`d1e3724b5d`](https://github.com/nodejs/node/commit/d1e3724b5d)] - **test,worker**: add more tests for worker.ref()/.unref() (Anna Henningsen) [#26083](https://github.com/nodejs/node/pull/26083)
* \[[`96a5765491`](https://github.com/nodejs/node/commit/96a5765491)] - **tools**: update extend to 3.0.2 (Rich Trott) [#26392](https://github.com/nodejs/node/pull/26392)
* \[[`6e9a7e1048`](https://github.com/nodejs/node/commit/6e9a7e1048)] - **tools**: remove unneeded .gitignore entries (Rich Trott) [#26370](https://github.com/nodejs/node/pull/26370)
* \[[`123fad6e1c`](https://github.com/nodejs/node/commit/123fad6e1c)] - **tools**: update babel-eslint to 10.0.1 (Rich Trott) [#26347](https://github.com/nodejs/node/pull/26347)
* \[[`347dd99251`](https://github.com/nodejs/node/commit/347dd99251)] - **tools**: update eslint-plugin-markdown to 1.0.0 (Rich Trott) [#26345](https://github.com/nodejs/node/pull/26345)
* \[[`adcbcf5bd6`](https://github.com/nodejs/node/commit/adcbcf5bd6)] - **tools**: use latest rather than next for markdown linting plugin (Rich Trott) [#26345](https://github.com/nodejs/node/pull/26345)
* \[[`0080350f1a`](https://github.com/nodejs/node/commit/0080350f1a)] - **tools**: update markdown linter (Rich Trott) [#26281](https://github.com/nodejs/node/pull/26281)
* \[[`dff0149d57`](https://github.com/nodejs/node/commit/dff0149d57)] - **tools**: update ESLint to 5.14.1 (cjihrig) [#26190](https://github.com/nodejs/node/pull/26190)
* \[[`28d607444d`](https://github.com/nodejs/node/commit/28d607444d)] - **tools**: update ESLint to 5.14.0 (cjihrig) [#26142](https://github.com/nodejs/node/pull/26142)
* \[[`1766b8c341`](https://github.com/nodejs/node/commit/1766b8c341)] - **trace\_events**: fix trace events JS API writing (Kelvin Jin) [#24945](https://github.com/nodejs/node/pull/24945)
* \[[`34c685b406`](https://github.com/nodejs/node/commit/34c685b406)] - **tracing**: use ‘real’ atomics (Anna Henningsen) [#26156](https://github.com/nodejs/node/pull/26156)
* \[[`b6355ef602`](https://github.com/nodejs/node/commit/b6355ef602)] - **tty**: improve color detection (Ruben Bridgewater) [#26264](https://github.com/nodejs/node/pull/26264)
* \[[`001785520a`](https://github.com/nodejs/node/commit/001785520a)] - **url**: handle quasi-WHATWG URLs in urlToOptions() (cjihrig) [#26226](https://github.com/nodejs/node/pull/26226)
* \[[`6828fbb2ef`](https://github.com/nodejs/node/commit/6828fbb2ef)] - **(SEMVER-MINOR)** **util**: group array elements together (Ruben Bridgewater) [#26269](https://github.com/nodejs/node/pull/26269)
* \[[`4500ed85e9`](https://github.com/nodejs/node/commit/4500ed85e9)] - **(SEMVER-MINOR)** **util**: add compact depth mode (Ruben Bridgewater) [#26269](https://github.com/nodejs/node/pull/26269)
* \[[`34905fc2b9`](https://github.com/nodejs/node/commit/34905fc2b9)] - **util**: mark iterator entries as such (Ruben Bridgewater) [#26222](https://github.com/nodejs/node/pull/26222)
* \[[`4bf58ac13d`](https://github.com/nodejs/node/commit/4bf58ac13d)] - **util**: update set iterator entries inspection (Ruben Bridgewater) [#25941](https://github.com/nodejs/node/pull/25941)
* \[[`7d66d47dba`](https://github.com/nodejs/node/commit/7d66d47dba)] - **vm**: do not overwrite error when creating context (Anna Henningsen) [#26112](https://github.com/nodejs/node/pull/26112)
* \[[`8cf4170c94`](https://github.com/nodejs/node/commit/8cf4170c94)] - **worker**: provide process.execArgv (Anna Henningsen) [#26267](https://github.com/nodejs/node/pull/26267)
* \[[`6fdc502a32`](https://github.com/nodejs/node/commit/6fdc502a32)] - **worker**: make MessagePort `uv_async_t` inline field (Anna Henningsen) [#26271](https://github.com/nodejs/node/pull/26271)
* \[[`51f01aa25b`](https://github.com/nodejs/node/commit/51f01aa25b)] - **worker**: remove MessagePort::AddToIncomingQueue (Anna Henningsen) [#26271](https://github.com/nodejs/node/pull/26271)
* \[[`74d11e7d0e`](https://github.com/nodejs/node/commit/74d11e7d0e)] - **worker**: refactor thread life cycle management (Gireesh Punathil) [#26099](https://github.com/nodejs/node/pull/26099)
* \[[`20dc172011`](https://github.com/nodejs/node/commit/20dc172011)] - **worker**: copy transferList ArrayBuffers on unknown allocator (Anna Henningsen) [#26207](https://github.com/nodejs/node/pull/26207)
* \[[`7e7023373a`](https://github.com/nodejs/node/commit/7e7023373a)] - **worker**: serialize errors if stack getter throws (Rich Trott) [#26145](https://github.com/nodejs/node/pull/26145)
* \[[`a9a2c5869c`](https://github.com/nodejs/node/commit/a9a2c5869c)] - **(SEMVER-MINOR)** **worker**: improve integration with native addons (Anna Henningsen) [#26175](https://github.com/nodejs/node/pull/26175)
* \[[`dab3d71243`](https://github.com/nodejs/node/commit/dab3d71243)] - **worker**: ignore --abort-on-uncaught-exception for terminate() (Anna Henningsen) [#26111](https://github.com/nodejs/node/pull/26111)
* \[[`dab64bb0e8`](https://github.com/nodejs/node/commit/dab64bb0e8)] - **worker**: spin uv\_run twice before closing loop (Anna Henningsen) [#26138](https://github.com/nodejs/node/pull/26138)
* \[[`24debc9d5c`](https://github.com/nodejs/node/commit/24debc9d5c)] - **worker**: do not add removed methods to MessagePort (Anna Henningsen) [#26109](https://github.com/nodejs/node/pull/26109)
* \[[`8045e40917`](https://github.com/nodejs/node/commit/8045e40917)] - **worker**: remove duplicate call (Gireesh Punathil) [#26104](https://github.com/nodejs/node/pull/26104)
* \[[`69298713af`](https://github.com/nodejs/node/commit/69298713af)] - **worker**: switch to internal assert module (Rich Trott) [#26091](https://github.com/nodejs/node/pull/26091)
* \[[`77a944cdee`](https://github.com/nodejs/node/commit/77a944cdee)] - **worker**: use fake MessageEvent for port.onmessage (Anna Henningsen) [#26082](https://github.com/nodejs/node/pull/26082)
* \[[`851a691678`](https://github.com/nodejs/node/commit/851a691678)] - **zlib**: report premature ends earlier (Anna Henningsen) [#26363](https://github.com/nodejs/node/pull/26363)

## 2019-02-28, Version 11.10.1 (Current), @rvagg

This is a security release. All Node.js users should consult the security release summary at:

<https://nodejs.org/en/blog/vulnerability/february-2019-security-releases/>

for details on patched vulnerabilities.

A fix for the following CVE is included in this release:

* Node.js: Slowloris HTTP Denial of Service with keep-alive (CVE-2019-5737)

### Notable Changes

* **http**: Further prevention of "Slowloris" attacks on HTTP and HTTPS connections by consistently applying the receive timeout set by `server.headersTimeout` to connections in keep-alive mode. Reported by Marco Pracucci ([Voxnest](https://voxnest.com)). (CVE-2019-5737 / Matteo Collina)

### Commits

* \[[`05534a24ca`](https://github.com/nodejs/node/commit/05534a24ca)] - **http**: prevent slowloris with keepalive connections (Matteo Collina) [nodejs-private/node-private#158](https://github.com/nodejs-private/node-private/pull/158)

## 2019-02-14, Version 11.10.0 (Current), @targos

### Notable Changes

* **deps**:
  * Updated libuv to 1.26.0. [#26037](https://github.com/nodejs/node/pull/26037)
  * Updated npm to 6.7.0. [#25804](https://github.com/nodejs/node/pull/25804)
* **http, http2**:
  * `response.writeHead` now returns the response object. [#25974](https://github.com/nodejs/node/pull/25974)
* **perf\_hooks**:
  * Implemented a histogram based API. [#25378](https://github.com/nodejs/node/pull/25378)
* **process**:
  * Exposed `process.features.inspector`. [#25819](https://github.com/nodejs/node/pull/25819)
* **repl**:
  * Added `repl.setupHistory` for programmatic repl. [#25895](https://github.com/nodejs/node/pull/25895)
* **tls**:
  * Introduced client "session" event. [#25831](https://github.com/nodejs/node/pull/25831)

### Commits

* \[[`ccf60bbad2`](https://github.com/nodejs/node/commit/ccf60bbad2)] - **assert**: add internal assert.fail() (Rich Trott) [#26047](https://github.com/nodejs/node/pull/26047)
* \[[`0b4055e616`](https://github.com/nodejs/node/commit/0b4055e616)] - **assert**: create internal/assert micro-module (Rich Trott) [#25956](https://github.com/nodejs/node/pull/25956)
* \[[`37d207cc0c`](https://github.com/nodejs/node/commit/37d207cc0c)] - **assert**: refactor internal assert.js (Rich Trott) [#25956](https://github.com/nodejs/node/pull/25956)
* \[[`2b1f88185f`](https://github.com/nodejs/node/commit/2b1f88185f)] - **benchmark**: remove unreachable return (ZYSzys) [#25883](https://github.com/nodejs/node/pull/25883)
* \[[`c4d16e80b7`](https://github.com/nodejs/node/commit/c4d16e80b7)] - **benchmark**: refactor for consistent style (Rich Trott) [#25944](https://github.com/nodejs/node/pull/25944)
* \[[`c4e2bbbcab`](https://github.com/nodejs/node/commit/c4e2bbbcab)] - **benchmark**: use consistent coding style in assert/\* (Rich Trott) [#25865](https://github.com/nodejs/node/pull/25865)
* \[[`18b344c0d2`](https://github.com/nodejs/node/commit/18b344c0d2)] - **benchmark**: refactor benchmark/common.js (Rich Trott) [#25805](https://github.com/nodejs/node/pull/25805)
* \[[`40398fd07a`](https://github.com/nodejs/node/commit/40398fd07a)] - **benchmark**: refactor \_http-benchmarkers.js (Rich Trott) [#25803](https://github.com/nodejs/node/pull/25803)
* \[[`d5d163d8b9`](https://github.com/nodejs/node/commit/d5d163d8b9)] - **build**: export deprecated OpenSSL symbols on Windows (Richard Lau) [#25991](https://github.com/nodejs/node/pull/25991)
* \[[`197efb7f84`](https://github.com/nodejs/node/commit/197efb7f84)] - **child\_process**: close pipe ends that are re-piped (Gireesh Punathil) [#21209](https://github.com/nodejs/node/pull/21209)
* \[[`f87352366a`](https://github.com/nodejs/node/commit/f87352366a)] - **cluster**: migrate round\_robin\_handle to internal assert (Rich Trott) [#26047](https://github.com/nodejs/node/pull/26047)
* \[[`8c9800ce27`](https://github.com/nodejs/node/commit/8c9800ce27)] - **crypto**: include 'Buffer' in error output of Hash.update method (Amit Zur) [#25533](https://github.com/nodejs/node/pull/25533)
* \[[`baa0865886`](https://github.com/nodejs/node/commit/baa0865886)] - **crypto**: don't crash X509ToObject on error (David Benjamin) [#25717](https://github.com/nodejs/node/pull/25717)
* \[[`3e010aff83`](https://github.com/nodejs/node/commit/3e010aff83)] - **crypto**: fix malloc mixing in X509ToObject (David Benjamin) [#25717](https://github.com/nodejs/node/pull/25717)
* \[[`da46be2542`](https://github.com/nodejs/node/commit/da46be2542)] - **crypto**: fix public key encoding name in comment (David Benjamin) [#25736](https://github.com/nodejs/node/pull/25736)
* \[[`8b5a2c4f61`](https://github.com/nodejs/node/commit/8b5a2c4f61)] - **deps**: upgrade to libuv 1.26.0 (cjihrig) [#26037](https://github.com/nodejs/node/pull/26037)
* \[[`1c5fbeab34`](https://github.com/nodejs/node/commit/1c5fbeab34)] - **deps**: upgrade npm to 6.7.0 (Kat Marchán) [#25804](https://github.com/nodejs/node/pull/25804)
* \[[`3f8c22b4cb`](https://github.com/nodejs/node/commit/3f8c22b4cb)] - **deps**: update llhttp to 1.1.1 (Fedor Indutny) [#25753](https://github.com/nodejs/node/pull/25753)
* \[[`823fd5b493`](https://github.com/nodejs/node/commit/823fd5b493)] - **(SEMVER-MINOR)** **deps**: float fix for building HdrHistogram on Win x86 (jasnell) [#25378](https://github.com/nodejs/node/pull/25378)
* \[[`c01bbc5258`](https://github.com/nodejs/node/commit/c01bbc5258)] - **deps**: update acorn to 6.0.7 (Michaël Zasso) [#25844](https://github.com/nodejs/node/pull/25844)
* \[[`a6c8e40655`](https://github.com/nodejs/node/commit/a6c8e40655)] - **deps**: patch to fix \*.onion MX query on c-ares (XadillaX) [#25840](https://github.com/nodejs/node/pull/25840)
* \[[`8b71464711`](https://github.com/nodejs/node/commit/8b71464711)] - **deps**: remove OpenSSL git and travis configuration (Sam Roberts) [#25689](https://github.com/nodejs/node/pull/25689)
* \[[`673e434714`](https://github.com/nodejs/node/commit/673e434714)] - **deps**: v8, cherry-pick 9365d09, aac2f8c, 47d34a3 (Benjamin Coe) [#25429](https://github.com/nodejs/node/pull/25429)
* \[[`411f6fe832`](https://github.com/nodejs/node/commit/411f6fe832)] - **deps**: cherry-pick c736883 from upstream V8 (Yang Guo)
* \[[`4a254a6ce4`](https://github.com/nodejs/node/commit/4a254a6ce4)] - **doc**: edit N-API introductory material in Collaborator Guide (Rich Trott) [#26051](https://github.com/nodejs/node/pull/26051)
* \[[`44fc2f6094`](https://github.com/nodejs/node/commit/44fc2f6094)] - **doc**: clarify effect of stream.destroy() on write() (Sam Roberts) [#25973](https://github.com/nodejs/node/pull/25973)
* \[[`21e6d353af`](https://github.com/nodejs/node/commit/21e6d353af)] - **doc**: renamed remote's name (Thang Tran) [#26050](https://github.com/nodejs/node/pull/26050)
* \[[`e629afa6ae`](https://github.com/nodejs/node/commit/e629afa6ae)] - **doc**: fix minor typo in dgram.md (Daniel Bevenius) [#26055](https://github.com/nodejs/node/pull/26055)
* \[[`663b6251a0`](https://github.com/nodejs/node/commit/663b6251a0)] - **doc**: fix some nits in perf\_hooks (Vse Mozhet Byt) [#26022](https://github.com/nodejs/node/pull/26022)
* \[[`9420a737fe`](https://github.com/nodejs/node/commit/9420a737fe)] - **doc**: edit process.report related documentation (cjihrig) [#25983](https://github.com/nodejs/node/pull/25983)
* \[[`eb4b5ea233`](https://github.com/nodejs/node/commit/eb4b5ea233)] - **doc**: clarify http timeouts (Andrew Moss) [#25748](https://github.com/nodejs/node/pull/25748)
* \[[`a225f99ea8`](https://github.com/nodejs/node/commit/a225f99ea8)] - **doc**: revise Introducing New Modules (Rich Trott) [#25975](https://github.com/nodejs/node/pull/25975)
* \[[`f516f68032`](https://github.com/nodejs/node/commit/f516f68032)] - **doc**: add a sentence about REPLACEME in code changes (Lance Ball) [#25961](https://github.com/nodejs/node/pull/25961)
* \[[`3b74cc6c26`](https://github.com/nodejs/node/commit/3b74cc6c26)] - **doc**: revise Collaborator Guide on reverting (Rich Trott) [#25942](https://github.com/nodejs/node/pull/25942)
* \[[`353de0f752`](https://github.com/nodejs/node/commit/353de0f752)] - **doc**: fix err\_synthetic issue on v11.x (sreepurnajasti) [#25770](https://github.com/nodejs/node/pull/25770)
* \[[`cc4ae20d20`](https://github.com/nodejs/node/commit/cc4ae20d20)] - **doc**: improve doc on unintended breaking changes (Rich Trott) [#25887](https://github.com/nodejs/node/pull/25887)
* \[[`1f6acbb279`](https://github.com/nodejs/node/commit/1f6acbb279)] - **doc**: document os.userInfo() throwing SystemError (Raido Kuli) [#25724](https://github.com/nodejs/node/pull/25724)
* \[[`699d161f9e`](https://github.com/nodejs/node/commit/699d161f9e)] - **doc**: fix machine field in example report (cjihrig) [#25855](https://github.com/nodejs/node/pull/25855)
* \[[`618f641271`](https://github.com/nodejs/node/commit/618f641271)] - **doc**: remove redundant LTS/Current information in Collaborator Guide (Rich Trott) [#25842](https://github.com/nodejs/node/pull/25842)
* \[[`7a1f166cfa`](https://github.com/nodejs/node/commit/7a1f166cfa)] - **doc**: add documentation for request.path (Kei Ito) [#25788](https://github.com/nodejs/node/pull/25788)
* \[[`f5db5090bc`](https://github.com/nodejs/node/commit/f5db5090bc)] - **doc**: remove outdated COLLABORATOR\_GUIDE sentence about breaking changes (Rich Trott) [#25780](https://github.com/nodejs/node/pull/25780)
* \[[`accb8aec35`](https://github.com/nodejs/node/commit/accb8aec35)] - **doc**: revise inspect security info in cli.md (Rich Trott) [#25779](https://github.com/nodejs/node/pull/25779)
* \[[`fd98d62909`](https://github.com/nodejs/node/commit/fd98d62909)] - **doc**: revise style guide (Rich Trott) [#25778](https://github.com/nodejs/node/pull/25778)
* \[[`60c5099f4b`](https://github.com/nodejs/node/commit/60c5099f4b)] - **domain**: avoid circular memory references (Anna Henningsen) [#25993](https://github.com/nodejs/node/pull/25993)
* \[[`2b48a381b9`](https://github.com/nodejs/node/commit/2b48a381b9)] - **fs**: remove redundant callback check (ZYSzys) [#25160](https://github.com/nodejs/node/pull/25160)
* \[[`29c195e17f`](https://github.com/nodejs/node/commit/29c195e17f)] - **fs**: remove useless internalFS (ZYSzys) [#25161](https://github.com/nodejs/node/pull/25161)
* \[[`51982978eb`](https://github.com/nodejs/node/commit/51982978eb)] - **http**: improve performance for incoming headers (Weijia Wang) [#26041](https://github.com/nodejs/node/pull/26041)
* \[[`90c9f1d323`](https://github.com/nodejs/node/commit/90c9f1d323)] - **http**: reduce multiple output arrays into one (Weijia Wang) [#26004](https://github.com/nodejs/node/pull/26004)
* \[[`a5247cc180`](https://github.com/nodejs/node/commit/a5247cc180)] - **(SEMVER-MINOR)** **http**: makes response.writeHead return the response (Mark S. Everitt) [#25974](https://github.com/nodejs/node/pull/25974)
* \[[`b7fb49e70a`](https://github.com/nodejs/node/commit/b7fb49e70a)] - **http**: remove redundant call to socket.setTimeout() (Luigi Pinca) [#25928](https://github.com/nodejs/node/pull/25928)
* \[[`25c19eb1d8`](https://github.com/nodejs/node/commit/25c19eb1d8)] - **http**: make timeout event work with agent timeout (Luigi Pinca) [#25488](https://github.com/nodejs/node/pull/25488)
* \[[`0899c8bb32`](https://github.com/nodejs/node/commit/0899c8bb32)] - **http2**: improve compat performance (Matteo Collina) [#25567](https://github.com/nodejs/node/pull/25567)
* \[[`237b5e65e4`](https://github.com/nodejs/node/commit/237b5e65e4)] - **(SEMVER-MINOR)** **http2**: makes response.writeHead return the response (Mark S. Everitt) [#25974](https://github.com/nodejs/node/pull/25974)
* \[[`6967407b19`](https://github.com/nodejs/node/commit/6967407b19)] - **inspector, trace\_events**: make sure messages are sent on a main thread (Eugene Ostroukhov) [#24814](https://github.com/nodejs/node/pull/24814)
* \[[`d02ad40d42`](https://github.com/nodejs/node/commit/d02ad40d42)] - **inspector,vm**: remove --eval wrapper (Anna Henningsen) [#25832](https://github.com/nodejs/node/pull/25832)
* \[[`32e6bb32b2`](https://github.com/nodejs/node/commit/32e6bb32b2)] - **lib**: merge 'undefined' into one 'break' branch (MaleDong) [#26039](https://github.com/nodejs/node/pull/26039)
* \[[`b2b37c631a`](https://github.com/nodejs/node/commit/b2b37c631a)] - **lib**: simplify 'umask' (MaleDong) [#26035](https://github.com/nodejs/node/pull/26035)
* \[[`b1a8927adc`](https://github.com/nodejs/node/commit/b1a8927adc)] - **lib**: fix the typo error (MaleDong) [#26032](https://github.com/nodejs/node/pull/26032)
* \[[`d5f4a1f2ac`](https://github.com/nodejs/node/commit/d5f4a1f2ac)] - **lib**: save a copy of Symbol in primordials (Joyee Cheung) [#26033](https://github.com/nodejs/node/pull/26033)
* \[[`bd932a347e`](https://github.com/nodejs/node/commit/bd932a347e)] - **lib**: move per\_context.js under lib/internal/bootstrap (Joyee Cheung) [#26033](https://github.com/nodejs/node/pull/26033)
* \[[`f40e0fcdcb`](https://github.com/nodejs/node/commit/f40e0fcdcb)] - **lib**: replace 'assert' with 'internal/assert' for many built-ins (Rich Trott) [#25956](https://github.com/nodejs/node/pull/25956)
* \[[`8ade433f51`](https://github.com/nodejs/node/commit/8ade433f51)] - **lib**: move signal event handling into bootstrap/node.js (Joyee Cheung) [#25859](https://github.com/nodejs/node/pull/25859)
* \[[`92ca50636c`](https://github.com/nodejs/node/commit/92ca50636c)] - **lib**: save primordials during bootstrap and use it in builtins (Joyee Cheung) [#25816](https://github.com/nodejs/node/pull/25816)
* \[[`1b8d2ca85f`](https://github.com/nodejs/node/commit/1b8d2ca85f)] - **lib**: remove dollar symbol for private function (MaleDong) [#25590](https://github.com/nodejs/node/pull/25590)
* \[[`b06f2fafe7`](https://github.com/nodejs/node/commit/b06f2fafe7)] - **lib**: use `internal/options` to query `--abort-on-uncaught-exception` (Joyee Cheung) [#25862](https://github.com/nodejs/node/pull/25862)
* \[[`0b302e4520`](https://github.com/nodejs/node/commit/0b302e4520)] - **lib**: fix a few minor issues flagged by lgtm (Robin Neatherway) [#25873](https://github.com/nodejs/node/pull/25873)
* \[[`99bc0df74c`](https://github.com/nodejs/node/commit/99bc0df74c)] - **lib**: refactor ERR\_SYNTHETIC (cjihrig) [#25749](https://github.com/nodejs/node/pull/25749)
* \[[`1c6fadea31`](https://github.com/nodejs/node/commit/1c6fadea31)] - **meta**: clarify EoL platform support (João Reis) [#25838](https://github.com/nodejs/node/pull/25838)
* \[[`03ffcf76b7`](https://github.com/nodejs/node/commit/03ffcf76b7)] - **n-api**: finalize during second-pass callback (Gabriel Schulhof) [#25992](https://github.com/nodejs/node/pull/25992)
* \[[`5f6a710d8d`](https://github.com/nodejs/node/commit/5f6a710d8d)] - **os,report**: use UV\_MAXHOSTNAMESIZE (cjihrig) [#26038](https://github.com/nodejs/node/pull/26038)
* \[[`2cbb7a85db`](https://github.com/nodejs/node/commit/2cbb7a85db)] - **(SEMVER-MINOR)** **perf\_hooks**: implement histogram based api (James M Snell) [#25378](https://github.com/nodejs/node/pull/25378)
* \[[`e81c6c81de`](https://github.com/nodejs/node/commit/e81c6c81de)] - **perf\_hooks**: only enable GC tracking when it's requested (Joyee Cheung) [#25853](https://github.com/nodejs/node/pull/25853)
* \[[`9d6291ad46`](https://github.com/nodejs/node/commit/9d6291ad46)] - **process**: refactor lib/internal/bootstrap/node.js (Joyee Cheung) [#26033](https://github.com/nodejs/node/pull/26033)
* \[[`8d3eb47d48`](https://github.com/nodejs/node/commit/8d3eb47d48)] - **process**: use primordials in bootstrap/node.js (Joyee Cheung) [#26033](https://github.com/nodejs/node/pull/26033)
* \[[`85bc64a5c9`](https://github.com/nodejs/node/commit/85bc64a5c9)] - **process**: document the bootstrap process in node.js (Joyee Cheung) [#26033](https://github.com/nodejs/node/pull/26033)
* \[[`ae21fca36b`](https://github.com/nodejs/node/commit/ae21fca36b)] - **process**: normalize process.execPath in CreateProcessObject() (Joyee Cheung) [#26002](https://github.com/nodejs/node/pull/26002)
* \[[`614bb9f3c8`](https://github.com/nodejs/node/commit/614bb9f3c8)] - **process**: normalize process.argv before user code execution (Joyee Cheung) [#26000](https://github.com/nodejs/node/pull/26000)
* \[[`9a7e883b83`](https://github.com/nodejs/node/commit/9a7e883b83)] - **process**: group main thread execution preparation code (Joyee Cheung) [#26000](https://github.com/nodejs/node/pull/26000)
* \[[`d7bf070652`](https://github.com/nodejs/node/commit/d7bf070652)] - **process**: move deprecation warning initialization into pre\_execution.js (Joyee Cheung) [#25825](https://github.com/nodejs/node/pull/25825)
* \[[`d7ed125fd1`](https://github.com/nodejs/node/commit/d7ed125fd1)] - **process**: stub unsupported worker methods (cjihrig) [#25587](https://github.com/nodejs/node/pull/25587)
* \[[`c8bf4327d8`](https://github.com/nodejs/node/commit/c8bf4327d8)] - **process**: move process mutation into bootstrap/node.js (Joyee Cheung) [#25821](https://github.com/nodejs/node/pull/25821)
* \[[`1d76ba1b3d`](https://github.com/nodejs/node/commit/1d76ba1b3d)] - **(SEMVER-MINOR)** **process**: expose process.features.inspector (Joyee Cheung) [#25819](https://github.com/nodejs/node/pull/25819)
* \[[`e6a4fb6d01`](https://github.com/nodejs/node/commit/e6a4fb6d01)] - **process**: split execution into main scripts (Joyee Cheung) [#25667](https://github.com/nodejs/node/pull/25667)
* \[[`f4cfbf4c9e`](https://github.com/nodejs/node/commit/f4cfbf4c9e)] - **process**: move setup of process warnings into node.js (Anto Aravinth) [#25263](https://github.com/nodejs/node/pull/25263)
* \[[`cc253b5f2d`](https://github.com/nodejs/node/commit/cc253b5f2d)] - **process**: simplify report uncaught exception logic (cjihrig) [#25744](https://github.com/nodejs/node/pull/25744)
* \[[`4c22d6eaa1`](https://github.com/nodejs/node/commit/4c22d6eaa1)] - **(SEMVER-MINOR)** **repl**: add repl.setupHistory for programmatic repl (Lance Ball) [#25895](https://github.com/nodejs/node/pull/25895)
* \[[`2c737a89d5`](https://github.com/nodejs/node/commit/2c737a89d5)] - **repl**: remove obsolete buffer clearing (Ruben Bridgewater) [#25731](https://github.com/nodejs/node/pull/25731)
* \[[`5aaeb01655`](https://github.com/nodejs/node/commit/5aaeb01655)] - **repl**: fix eval return value (Ruben Bridgewater) [#25731](https://github.com/nodejs/node/pull/25731)
* \[[`e66cb58a9b`](https://github.com/nodejs/node/commit/e66cb58a9b)] - **repl**: simplify and improve completion (Ruben Bridgewater) [#25731](https://github.com/nodejs/node/pull/25731)
* \[[`dfd47aa1e8`](https://github.com/nodejs/node/commit/dfd47aa1e8)] - **report**: make more items programmatically accessible (Anna Henningsen) [#26019](https://github.com/nodejs/node/pull/26019)
* \[[`88019b051c`](https://github.com/nodejs/node/commit/88019b051c)] - **report**: rename setDiagnosticReportOptions() (cjihrig) [#25990](https://github.com/nodejs/node/pull/25990)
* \[[`c8ceece815`](https://github.com/nodejs/node/commit/c8ceece815)] - **report**: refactor report option validation (cjihrig) [#25990](https://github.com/nodejs/node/pull/25990)
* \[[`afb2d17c16`](https://github.com/nodejs/node/commit/afb2d17c16)] - **report**: use uv\_getnameinfo() for socket endpoints (cjihrig) [#25962](https://github.com/nodejs/node/pull/25962)
* \[[`3f400310bd`](https://github.com/nodejs/node/commit/3f400310bd)] - **report**: widen scope of #ifndef (cjihrig) [#25960](https://github.com/nodejs/node/pull/25960)
* \[[`8494a61d79`](https://github.com/nodejs/node/commit/8494a61d79)] - **report**: remove unnecessary case block scopes (cjihrig) [#25960](https://github.com/nodejs/node/pull/25960)
* \[[`7443288c68`](https://github.com/nodejs/node/commit/7443288c68)] - **report**: remove empty string stream insertion (cjihrig) [#25960](https://github.com/nodejs/node/pull/25960)
* \[[`6c51ec3014`](https://github.com/nodejs/node/commit/6c51ec3014)] - **report**: include information about event loop itself (Anna Henningsen) [#25906](https://github.com/nodejs/node/pull/25906)
* \[[`30a4e8900a`](https://github.com/nodejs/node/commit/30a4e8900a)] - **report**: print libuv handle addresses as hex (cjihrig) [#25910](https://github.com/nodejs/node/pull/25910)
* \[[`6d39a54354`](https://github.com/nodejs/node/commit/6d39a54354)] - **report**: use libuv calls for OS and machine info (cjihrig) [#25900](https://github.com/nodejs/node/pull/25900)
* \[[`1007416596`](https://github.com/nodejs/node/commit/1007416596)] - **report**: separate release metadata (Richard Lau) [#25826](https://github.com/nodejs/node/pull/25826)
* \[[`b1e0c43abd`](https://github.com/nodejs/node/commit/b1e0c43abd)] - **report**: disambiguate glibc versions (cjihrig) [#25781](https://github.com/nodejs/node/pull/25781)
* \[[`f6c8820b46`](https://github.com/nodejs/node/commit/f6c8820b46)] - **report**: fix typo in error message (cjihrig) [#25782](https://github.com/nodejs/node/pull/25782)
* \[[`d4631816ef`](https://github.com/nodejs/node/commit/d4631816ef)] - **report**: use consistent format for dumpEventTime (Anna Henningsen) [#25751](https://github.com/nodejs/node/pull/25751)
* \[[`cc22fd7be9`](https://github.com/nodejs/node/commit/cc22fd7be9)] - **report**: split up osVersion and machine values (cjihrig) [#25755](https://github.com/nodejs/node/pull/25755)
* \[[`f71d6762ca`](https://github.com/nodejs/node/commit/f71d6762ca)] - **src**: remove redundant cast in node\_http2.h (gengjiawen) [#25978](https://github.com/nodejs/node/pull/25978)
* \[[`adaa2ae70b`](https://github.com/nodejs/node/commit/adaa2ae70b)] - **src**: add lock to inspector `MainThreadHandle` dtor (Anna Henningsen) [#26010](https://github.com/nodejs/node/pull/26010)
* \[[`731c2731d2`](https://github.com/nodejs/node/commit/731c2731d2)] - **src**: add WeakReference utility (Anna Henningsen) [#25993](https://github.com/nodejs/node/pull/25993)
* \[[`7ab34ae421`](https://github.com/nodejs/node/commit/7ab34ae421)] - **src**: remove unused method in class Http2Stream (gengjiawen) [#25979](https://github.com/nodejs/node/pull/25979)
* \[[`d7ae1054ef`](https://github.com/nodejs/node/commit/d7ae1054ef)] - **src**: remove redundant cast in node\_file.cc (gengjiawen) [#25977](https://github.com/nodejs/node/pull/25977)
* \[[`6c6e678eaa`](https://github.com/nodejs/node/commit/6c6e678eaa)] - **src**: remove unused class in node\_errors.h (gengjiawen) [#25980](https://github.com/nodejs/node/pull/25980)
* \[[`24d9e9c8b6`](https://github.com/nodejs/node/commit/24d9e9c8b6)] - **src**: remove redundant void (gengjiawen) [#26003](https://github.com/nodejs/node/pull/26003)
* \[[`5de103430f`](https://github.com/nodejs/node/commit/5de103430f)] - **src**: use NULL check macros to check nullptr (ZYSzys) [#25916](https://github.com/nodejs/node/pull/25916)
* \[[`c47eb932bc`](https://github.com/nodejs/node/commit/c47eb932bc)] - **src**: move process.reallyExit impl into node\_process\_methods.cc (Joyee Cheung) [#25860](https://github.com/nodejs/node/pull/25860)
* \[[`01bb7b7559`](https://github.com/nodejs/node/commit/01bb7b7559)] - **src**: split ownsProcessState off isMainThread (Anna Henningsen) [#25881](https://github.com/nodejs/node/pull/25881)
* \[[`fd6ce533aa`](https://github.com/nodejs/node/commit/fd6ce533aa)] - **src**: remove main\_isolate (Anna Henningsen) [#25823](https://github.com/nodejs/node/pull/25823)
* \[[`b72ec23201`](https://github.com/nodejs/node/commit/b72ec23201)] - **src**: move public C++ APIs into src/api/\*.cc (Joyee Cheung) [#25541](https://github.com/nodejs/node/pull/25541)
* \[[`0a154ff7ad`](https://github.com/nodejs/node/commit/0a154ff7ad)] - **src**: move v8\_platform implementation into node\_v8\_platform-inl.h (Joyee Cheung) [#25541](https://github.com/nodejs/node/pull/25541)
* \[[`d342707fa7`](https://github.com/nodejs/node/commit/d342707fa7)] - **src**: remove unused `internalBinding('config')` properties (Joyee Cheung) [#25463](https://github.com/nodejs/node/pull/25463)
* \[[`756558617e`](https://github.com/nodejs/node/commit/756558617e)] - **src**: pass cli options to bootstrap/loaders.js lexically (Joyee Cheung) [#25463](https://github.com/nodejs/node/pull/25463)
* \[[`85d5f67efe`](https://github.com/nodejs/node/commit/85d5f67efe)] - **src**: fix return type in Hash (gengjiawen) [#25936](https://github.com/nodejs/node/pull/25936)
* \[[`779a5773cf`](https://github.com/nodejs/node/commit/779a5773cf)] - **src**: refactor macro to std::min in node\_buffer.cc (gengjiawen) [#25919](https://github.com/nodejs/node/pull/25919)
* \[[`76687dedce`](https://github.com/nodejs/node/commit/76687dedce)] - **src**: remove unused variable (cjihrig) [#25481](https://github.com/nodejs/node/pull/25481)
* \[[`b280d90279`](https://github.com/nodejs/node/commit/b280d90279)] - **src**: simplify NativeModule caching and remove redundant data (Joyee Cheung) [#25352](https://github.com/nodejs/node/pull/25352)
* \[[`469cdacd59`](https://github.com/nodejs/node/commit/469cdacd59)] - **src**: pass along errors from StreamBase req obj creations (Anna Henningsen) [#25822](https://github.com/nodejs/node/pull/25822)
* \[[`d6f3b8785f`](https://github.com/nodejs/node/commit/d6f3b8785f)] - **src**: pass along errors from fs object creations (Anna Henningsen) [#25822](https://github.com/nodejs/node/pull/25822)
* \[[`0672c24dc3`](https://github.com/nodejs/node/commit/0672c24dc3)] - **src**: pass along errors from http2 object creation (Anna Henningsen) [#25822](https://github.com/nodejs/node/pull/25822)
* \[[`e3fd7520d0`](https://github.com/nodejs/node/commit/e3fd7520d0)] - **src**: pass along errors from tls object creation (Anna Henningsen) [#25822](https://github.com/nodejs/node/pull/25822)
* \[[`e0af205c98`](https://github.com/nodejs/node/commit/e0af205c98)] - **src**: nullcheck on trace controller (Gireesh Punathil) [#25943](https://github.com/nodejs/node/pull/25943)
* \[[`c72c4b041d`](https://github.com/nodejs/node/commit/c72c4b041d)] - **src**: allow --perf-prof-unwinding-info in NODE\_OPTIONS (Tom Gallacher) [#25565](https://github.com/nodejs/node/pull/25565)
* \[[`e6a2548807`](https://github.com/nodejs/node/commit/e6a2548807)] - **src**: allow --perf-basic-prof-only-functions in NODE\_OPTIONS (Tom Gallacher) [#25565](https://github.com/nodejs/node/pull/25565)
* \[[`7cf484c656`](https://github.com/nodejs/node/commit/7cf484c656)] - **src**: refactor SSLError case statement (Sam Roberts) [#25861](https://github.com/nodejs/node/pull/25861)
* \[[`55a313bb31`](https://github.com/nodejs/node/commit/55a313bb31)] - **src**: make watchdog async callback a lambda (Gireesh Punathil) [#25945](https://github.com/nodejs/node/pull/25945)
* \[[`de9f37d314`](https://github.com/nodejs/node/commit/de9f37d314)] - **src**: make deleted function public in agent.h (gengjiawen) [#25909](https://github.com/nodejs/node/pull/25909)
* \[[`620d429343`](https://github.com/nodejs/node/commit/620d429343)] - **src**: use bool instead of integer literal in connection\_wrap.cc (gengjiawen) [#25923](https://github.com/nodejs/node/pull/25923)
* \[[`8cedfb8196`](https://github.com/nodejs/node/commit/8cedfb8196)] - **src**: refactor to nullptr in cpp code (gengjiawen) [#25888](https://github.com/nodejs/node/pull/25888)
* \[[`f5d50342b0`](https://github.com/nodejs/node/commit/f5d50342b0)] - **src**: clean unused code in agent.h (gengjiawen) [#25914](https://github.com/nodejs/node/pull/25914)
* \[[`2d575044ff`](https://github.com/nodejs/node/commit/2d575044ff)] - **src**: fix compiler warnings in node\_buffer.cc (Daniel Bevenius) [#25665](https://github.com/nodejs/node/pull/25665)
* \[[`015ed0b1d7`](https://github.com/nodejs/node/commit/015ed0b1d7)] - **src**: remove redundant method in node\_worker.h (gengjiawen) [#25849](https://github.com/nodejs/node/pull/25849)
* \[[`44655e93dd`](https://github.com/nodejs/node/commit/44655e93dd)] - **src**: delete unreachable code in node\_perf.h (gengjiawen) [#25850](https://github.com/nodejs/node/pull/25850)
* \[[`5a66e380ff`](https://github.com/nodejs/node/commit/5a66e380ff)] - **src**: fix data type in node\_crypto.cc (gengjiawen) [#25889](https://github.com/nodejs/node/pull/25889)
* \[[`d4c4f77d31`](https://github.com/nodejs/node/commit/d4c4f77d31)] - **src**: const\_cast is necessary for 1.1.1, not 0.9.7 (Sam Roberts) [#25861](https://github.com/nodejs/node/pull/25861)
* \[[`b5a8376ffe`](https://github.com/nodejs/node/commit/b5a8376ffe)] - **src**: organize TLSWrap declarations by parent (Sam Roberts) [#25861](https://github.com/nodejs/node/pull/25861)
* \[[`0772ce35fb`](https://github.com/nodejs/node/commit/0772ce35fb)] - **src**: remove unused TLWrap::EnableTrace() (Sam Roberts) [#25861](https://github.com/nodejs/node/pull/25861)
* \[[`703549665e`](https://github.com/nodejs/node/commit/703549665e)] - **src**: add PrintLibuvHandleInformation debug helper (Anna Henningsen) [#25905](https://github.com/nodejs/node/pull/25905)
* \[[`2e80b912ef`](https://github.com/nodejs/node/commit/2e80b912ef)] - **src**: use `visibility("default")` exports on POSIX (Jeremy Apthorp) [#25893](https://github.com/nodejs/node/pull/25893)
* \[[`e28d891788`](https://github.com/nodejs/node/commit/e28d891788)] - **src**: fix race condition in `~NodeTraceBuffer` (Anna Henningsen) [#25896](https://github.com/nodejs/node/pull/25896)
* \[[`bd771d90fd`](https://github.com/nodejs/node/commit/bd771d90fd)] - **src**: remove unimplemented method in node\_http2.h (gengjiawen) [#25732](https://github.com/nodejs/node/pull/25732)
* \[[`00f8e86702`](https://github.com/nodejs/node/commit/00f8e86702)] - **src**: use nullptr in node\_buffer.cc (gengjiawen) [#25820](https://github.com/nodejs/node/pull/25820)
* \[[`84358b5010`](https://github.com/nodejs/node/commit/84358b5010)] - **src**: handle errors while printing error objects (Anna Henningsen) [#25834](https://github.com/nodejs/node/pull/25834)
* \[[`f027290542`](https://github.com/nodejs/node/commit/f027290542)] - **src**: use struct as arguments to node::Assert (Anna Henningsen) [#25869](https://github.com/nodejs/node/pull/25869)
* \[[`8a8c17880e`](https://github.com/nodejs/node/commit/8a8c17880e)] - **src**: remove unused AsyncResource constructor in node.h (gengjiawen) [#25793](https://github.com/nodejs/node/pull/25793)
* \[[`7556994d83`](https://github.com/nodejs/node/commit/7556994d83)] - **src**: remove unused method in js\_stream.h (gengjiawen) [#25790](https://github.com/nodejs/node/pull/25790)
* \[[`882902c672`](https://github.com/nodejs/node/commit/882902c672)] - **src**: pass along errors from PromiseWrap instantiation (Anna Henningsen) [#25837](https://github.com/nodejs/node/pull/25837)
* \[[`998cea567f`](https://github.com/nodejs/node/commit/998cea567f)] - **src**: workaround MSVC compiler bug (Refael Ackermann) [#25596](https://github.com/nodejs/node/pull/25596)
* \[[`b779c072d0`](https://github.com/nodejs/node/commit/b779c072d0)] - **src**: make `StreamPipe::Unpipe()` more resilient (Anna Henningsen) [#25716](https://github.com/nodejs/node/pull/25716)
* \[[`0b014d5299`](https://github.com/nodejs/node/commit/0b014d5299)] - **src**: make deleted functions public in node.h (gengjiawen) [#25764](https://github.com/nodejs/node/pull/25764)
* \[[`be499c3c7b`](https://github.com/nodejs/node/commit/be499c3c7b)] - **src**: simplify SlicedArguments (Anna Henningsen) [#25745](https://github.com/nodejs/node/pull/25745)
* \[[`35454e0008`](https://github.com/nodejs/node/commit/35454e0008)] - **src**: fix indentation in a few node\_http2 enums (Daniel Bevenius) [#25761](https://github.com/nodejs/node/pull/25761)
* \[[`3f080d12f4`](https://github.com/nodejs/node/commit/3f080d12f4)] - **src**: add debug check for inspector uv\_async\_t (Anna Henningsen) [#25777](https://github.com/nodejs/node/pull/25777)
* \[[`0949039d26`](https://github.com/nodejs/node/commit/0949039d26)] - **src**: add handle scope to `OnFatalError()` (Anna Henningsen) [#25775](https://github.com/nodejs/node/pull/25775)
* \[[`d9c2690705`](https://github.com/nodejs/node/commit/d9c2690705)] - **src**: turn ROUND\_UP into an inline function (Anna Henningsen) [#25743](https://github.com/nodejs/node/pull/25743)
* \[[`3cd134cec4`](https://github.com/nodejs/node/commit/3cd134cec4)] - **src,lib**: remove dead `process.binding()` code (Anna Henningsen) [#25829](https://github.com/nodejs/node/pull/25829)
* \[[`cb86357d22`](https://github.com/nodejs/node/commit/cb86357d22)] - **test**: replaced anonymous fn with arrow syntax (Pushkal B) [#26029](https://github.com/nodejs/node/pull/26029)
* \[[`64cc234a84`](https://github.com/nodejs/node/commit/64cc234a84)] - **test**: use emitter.listenerCount() in test-http-connect (Luigi Pinca) [#26031](https://github.com/nodejs/node/pull/26031)
* \[[`6323a9fc57`](https://github.com/nodejs/node/commit/6323a9fc57)] - **test**: refactor two http client timeout tests (Luigi Pinca) [#25473](https://github.com/nodejs/node/pull/25473)
* \[[`61330b2f84`](https://github.com/nodejs/node/commit/61330b2f84)] - **test**: add assert test for position indicator (Rich Trott) [#26024](https://github.com/nodejs/node/pull/26024)
* \[[`896962fd08`](https://github.com/nodejs/node/commit/896962fd08)] - **test**: add `Worker` + `--prof` regression test (Anna Henningsen) [#26011](https://github.com/nodejs/node/pull/26011)
* \[[`3eb6f6130a`](https://github.com/nodejs/node/commit/3eb6f6130a)] - **test**: capture stderr from child processes (Gireesh Punathil) [#26007](https://github.com/nodejs/node/pull/26007)
* \[[`d123f944a2`](https://github.com/nodejs/node/commit/d123f944a2)] - **test**: remove extraneous report validation argument (cjihrig) [#25986](https://github.com/nodejs/node/pull/25986)
* \[[`de587bae8a`](https://github.com/nodejs/node/commit/de587bae8a)] - **test**: refactor to block-scope (LakshmiSwethaG) [#25532](https://github.com/nodejs/node/pull/25532)
* \[[`4dca3ab23d`](https://github.com/nodejs/node/commit/4dca3ab23d)] - **test**: exit sequence sanity tests (Gireesh Punathil) [#25085](https://github.com/nodejs/node/pull/25085)
* \[[`ef9139e5a0`](https://github.com/nodejs/node/commit/ef9139e5a0)] - **test**: end tls gracefully, rather than destroy (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`7e9f5ea295`](https://github.com/nodejs/node/commit/7e9f5ea295)] - **test**: pin regression test for #8074 to TLS 1.2 (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`1b9a608dca`](https://github.com/nodejs/node/commit/1b9a608dca)] - **test**: refactor test-http-agent-timeout-option (Luigi Pinca) [#25886](https://github.com/nodejs/node/pull/25886)
* \[[`c457d007cd`](https://github.com/nodejs/node/commit/c457d007cd)] - **test**: clarify confusion over "client" in comment (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`1be867685c`](https://github.com/nodejs/node/commit/1be867685c)] - **test**: use mustCall(), not global state checks (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`50d2c8e945`](https://github.com/nodejs/node/commit/50d2c8e945)] - **test**: use common.mustCall(), and log the events (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`1b542e8ba0`](https://github.com/nodejs/node/commit/1b542e8ba0)] - **test**: use mustCall in ephemeralkeyinfo test (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`898cf782f8`](https://github.com/nodejs/node/commit/898cf782f8)] - **test**: send a bad record only after connection done (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`ace267b21c`](https://github.com/nodejs/node/commit/ace267b21c)] - **test**: do not race connection and rejection (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`639dc07ca0`](https://github.com/nodejs/node/commit/639dc07ca0)] - **test**: do not assume tls handshake order (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`cc6b30f4b7`](https://github.com/nodejs/node/commit/cc6b30f4b7)] - **test**: do not assume server gets secure connection (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`c17a37d95a`](https://github.com/nodejs/node/commit/c17a37d95a)] - **test**: wait for TCP connect, not TLS handshake (Sam Roberts) [#25508](https://github.com/nodejs/node/pull/25508)
* \[[`1f8991fae6`](https://github.com/nodejs/node/commit/1f8991fae6)] - **test**: add util.isDeepStrictEqual edge case tests (Rich Trott) [#25932](https://github.com/nodejs/node/pull/25932)
* \[[`baa10aeb75`](https://github.com/nodejs/node/commit/baa10aeb75)] - **test**: add BigInt test for isDeepStrictEqual (Rich Trott) [#25932](https://github.com/nodejs/node/pull/25932)
* \[[`c866b52942`](https://github.com/nodejs/node/commit/c866b52942)] - **test**: remove obsolete code (Ruben Bridgewater) [#25731](https://github.com/nodejs/node/pull/25731)
* \[[`ee3165d6e7`](https://github.com/nodejs/node/commit/ee3165d6e7)] - **test**: relax expectations in test-icu-transcode (Yang Guo) [#25866](https://github.com/nodejs/node/pull/25866)
* \[[`025a7c3e31`](https://github.com/nodejs/node/commit/025a7c3e31)] - **test**: do not fail SLOW tests if they are not slow (Yang Guo) [#25868](https://github.com/nodejs/node/pull/25868)
* \[[`059d30e369`](https://github.com/nodejs/node/commit/059d30e369)] - **test**: add hasCrypto to worker-cleanexit-with-moduleload (Daniel Bevenius) [#25811](https://github.com/nodejs/node/pull/25811)
* \[[`7cb943937f`](https://github.com/nodejs/node/commit/7cb943937f)] - **test**: refactor test-http-agent-timeout-option (Luigi Pinca) [#25854](https://github.com/nodejs/node/pull/25854)
* \[[`cdf3e84804`](https://github.com/nodejs/node/commit/cdf3e84804)] - **test**: exclude additional test for coverage (Michael Dawson) [#25833](https://github.com/nodejs/node/pull/25833)
* \[[`704a440d52`](https://github.com/nodejs/node/commit/704a440d52)] - **test**: allow coverage threshold to be enforced (Benjamin Coe) [#25675](https://github.com/nodejs/node/pull/25675)
* \[[`5bffcf6246`](https://github.com/nodejs/node/commit/5bffcf6246)] - **test**: run html/webappapis/timers WPT (Joyee Cheung) [#25618](https://github.com/nodejs/node/pull/25618)
* \[[`579220815a`](https://github.com/nodejs/node/commit/579220815a)] - **test**: pull html/webappapis/timers WPT (Joyee Cheung) [#25618](https://github.com/nodejs/node/pull/25618)
* \[[`d683da7ffa`](https://github.com/nodejs/node/commit/d683da7ffa)] - **test, tools**: suppress addon function cast warnings (Daniel Bevenius) [#25663](https://github.com/nodejs/node/pull/25663)
* \[[`2009f18064`](https://github.com/nodejs/node/commit/2009f18064)] - **test,tracing**: use close event to wait for stdio (Anna Henningsen) [#25894](https://github.com/nodejs/node/pull/25894)
* \[[`8495a788c6`](https://github.com/nodejs/node/commit/8495a788c6)] - **tls**: renegotiate should take care of its own state (Sam Roberts) [#25997](https://github.com/nodejs/node/pull/25997)
* \[[`fb83f842a8`](https://github.com/nodejs/node/commit/fb83f842a8)] - **tls**: in-line comments and other cleanups (Sam Roberts) [#25861](https://github.com/nodejs/node/pull/25861)
* \[[`4d0b56f3f7`](https://github.com/nodejs/node/commit/4d0b56f3f7)] - **tls**: don't shadow the tls global with a local (Sam Roberts) [#25861](https://github.com/nodejs/node/pull/25861)
* \[[`7656d58eed`](https://github.com/nodejs/node/commit/7656d58eed)] - **(SEMVER-MINOR)** **tls**: introduce client 'session' event (Sam Roberts) [#25831](https://github.com/nodejs/node/pull/25831)
* \[[`6ca8d26020`](https://github.com/nodejs/node/commit/6ca8d26020)] - **tools**: apply more stringent lint rules for benchmark code (Rich Trott) [#25944](https://github.com/nodejs/node/pull/25944)
* \[[`c55d662bd1`](https://github.com/nodejs/node/commit/c55d662bd1)] - **tools**: replace deprecated ESLint configuration (Rich Trott) [#25877](https://github.com/nodejs/node/pull/25877)
* \[[`e13c1850d2`](https://github.com/nodejs/node/commit/e13c1850d2)] - **tools**: update ESLint to 5.13.0 (Rich Trott) [#25877](https://github.com/nodejs/node/pull/25877)
* \[[`8d14870b15`](https://github.com/nodejs/node/commit/8d14870b15)] - **tools**: update dmn in update-estlint.sh (Rich Trott) [#25877](https://github.com/nodejs/node/pull/25877)
* \[[`988c7141d4`](https://github.com/nodejs/node/commit/988c7141d4)] - **tools**: improve prerequisites for test-all-suites (Rich Trott) [#25892](https://github.com/nodejs/node/pull/25892)
* \[[`f395728b32`](https://github.com/nodejs/node/commit/f395728b32)] - **tools**: exclude benchmark code from coverage report (Rich Trott) [#25841](https://github.com/nodejs/node/pull/25841)
* \[[`9d2ea1802b`](https://github.com/nodejs/node/commit/9d2ea1802b)] - **tools**: add test-all-suites to Makefile (Rich Trott) [#25799](https://github.com/nodejs/node/pull/25799)
* \[[`9f1bcd44df`](https://github.com/nodejs/node/commit/9f1bcd44df)] - **tools**: make test.py Python 3 compatible (Sakthipriyan Vairamani (thefourtheye)) [#25767](https://github.com/nodejs/node/pull/25767)
* \[[`454278a701`](https://github.com/nodejs/node/commit/454278a701)] - **tools**: refloat Node.js patches to cpplint.py (Refael Ackermann) [#25771](https://github.com/nodejs/node/pull/25771)
* \[[`b9289f41af`](https://github.com/nodejs/node/commit/b9289f41af)] - **tools**: bump cpplint.py to 3d8f6f876d (Refael Ackermann) [#25771](https://github.com/nodejs/node/pull/25771)
* \[[`9c9aefe2a0`](https://github.com/nodejs/node/commit/9c9aefe2a0)] - **worker**: set stack size for worker threads (Anna Henningsen) [#26049](https://github.com/nodejs/node/pull/26049)
* \[[`23868ba45e`](https://github.com/nodejs/node/commit/23868ba45e)] - **worker**: keep stdio after exit (Anna Henningsen) [#26017](https://github.com/nodejs/node/pull/26017)
* \[[`6c1e92817f`](https://github.com/nodejs/node/commit/6c1e92817f)] - **worker**: set up child Isolate inside Worker thread (Anna Henningsen) [#26011](https://github.com/nodejs/node/pull/26011)
* \[[`1764aae193`](https://github.com/nodejs/node/commit/1764aae193)] - **worker**: pre-allocate thread id (Anna Henningsen) [#26011](https://github.com/nodejs/node/pull/26011)
* \[[`f63817fd38`](https://github.com/nodejs/node/commit/f63817fd38)] - **worker**: refactor thread id management (Anna Henningsen) [#25796](https://github.com/nodejs/node/pull/25796)
* \[[`8db6b8a95a`](https://github.com/nodejs/node/commit/8db6b8a95a)] - **worker**: move worker thread setup code into the main script (Joyee Cheung) [#25667](https://github.com/nodejs/node/pull/25667)
* \[[`5d2e064973`](https://github.com/nodejs/node/commit/5d2e064973)] - **worker**: no throw on property access/postMessage after termination (Christopher Jeffrey) [#25871](https://github.com/nodejs/node/pull/25871)
* \[[`508a2e7f0f`](https://github.com/nodejs/node/commit/508a2e7f0f)] - **worker**: use correct ctor for error serialization (Anna Henningsen) [#25951](https://github.com/nodejs/node/pull/25951)
* \[[`52d4b7a928`](https://github.com/nodejs/node/commit/52d4b7a928)] - **worker**: remove undocumented .onclose property (Rich Trott) [#25904](https://github.com/nodejs/node/pull/25904)
* \[[`e70aa30ebd`](https://github.com/nodejs/node/commit/e70aa30ebd)] - **worker**: add mutex lock to MessagePort ctor (Anna Henningsen) [#25911](https://github.com/nodejs/node/pull/25911)
* \[[`55c270253b`](https://github.com/nodejs/node/commit/55c270253b)] - **worker**: throw for duplicates in transfer list (Anna Henningsen) [#25815](https://github.com/nodejs/node/pull/25815)
* \[[`c959d60242`](https://github.com/nodejs/node/commit/c959d60242)] - **worker,etw**: only enable ETW on the main thread (Anna Henningsen) [#25907](https://github.com/nodejs/node/pull/25907)

## 2019-01-30, Version 11.9.0 (Current), @targos

### Notable Changes

* **deps**:
  * OpenSSL has been updated to 1.1.1a, which is API/ABI compatible with the
    previous OpenSSL 1.1.0j. Note that while OpenSSL 1.1.1a supports TLS1.3,
    Node.js still does not. [#25381](https://github.com/nodejs/node/pull/25381)

### Commits

* \[[`bc81a68f20`](https://github.com/nodejs/node/commit/bc81a68f20)] - **build**: make compress\_json python3 compatible (Sakthipriyan Vairamani (thefourtheye)) [#25582](https://github.com/nodejs/node/pull/25582)
* \[[`30949f8dba`](https://github.com/nodejs/node/commit/30949f8dba)] - **build**: make configure.py compatible with python 3 (Sakthipriyan Vairamani (thefourtheye)) [#25580](https://github.com/nodejs/node/pull/25580)
* \[[`d4ec110c65`](https://github.com/nodejs/node/commit/d4ec110c65)] - **(SEMVER-MINOR)** **deps**: update archs files for OpenSSL-1.1.1a (Sam Roberts) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`5225214d07`](https://github.com/nodejs/node/commit/5225214d07)] - **(SEMVER-MINOR)** **deps**: fix for non GNU assembler in AIX (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`ad04d7bea1`](https://github.com/nodejs/node/commit/ad04d7bea1)] - **(SEMVER-MINOR)** **deps**: add only avx2 configs for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`670f10053a`](https://github.com/nodejs/node/commit/670f10053a)] - **(SEMVER-MINOR)** **deps**: add s390 asm rules for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`0a0f15f768`](https://github.com/nodejs/node/commit/0a0f15f768)] - **(SEMVER-MINOR)** **deps**: fix MacOS and Win build for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`e2043999bd`](https://github.com/nodejs/node/commit/e2043999bd)] - **(SEMVER-MINOR)** **deps**: fix gyp/gypi for openssl-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`c581b9a253`](https://github.com/nodejs/node/commit/c581b9a253)] - **(SEMVER-MINOR)** **deps**: upgrade openssl sources to 1.1.1a (Sam Roberts) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`c82f2445e5`](https://github.com/nodejs/node/commit/c82f2445e5)] - **dns**: use IDNA 2008 to encode non-ascii hostnames (Ben Noordhuis) [#25679](https://github.com/nodejs/node/pull/25679)
* \[[`c56ddc7736`](https://github.com/nodejs/node/commit/c56ddc7736)] - **doc**: document uniqueness of worker.threadId (Anna Henningsen) [#25644](https://github.com/nodejs/node/pull/25644)
* \[[`7c8d57d4a9`](https://github.com/nodejs/node/commit/7c8d57d4a9)] - **doc**: revise breaking changes material in COLLABORATOR\_GUIDE (Rich Trott) [#25730](https://github.com/nodejs/node/pull/25730)
* \[[`edc9ceb16e`](https://github.com/nodejs/node/commit/edc9ceb16e)] - **doc**: fix issue with worker\_threads docs (Lee Byron) [#25712](https://github.com/nodejs/node/pull/25712)
* \[[`1d6e18b128`](https://github.com/nodejs/node/commit/1d6e18b128)] - **doc**: fix http.Agent timeout option description (Luigi Pinca) [#25489](https://github.com/nodejs/node/pull/25489)
* \[[`5d5c528120`](https://github.com/nodejs/node/commit/5d5c528120)] - **(SEMVER-MINOR)** **doc**: fix assembler requirement for OpenSSL-1.1.1 (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`34bc69d376`](https://github.com/nodejs/node/commit/34bc69d376)] - **doc**: fix file extension on ESM file example (Eric Whitebloom) [#25692](https://github.com/nodejs/node/pull/25692)
* \[[`b218b1204a`](https://github.com/nodejs/node/commit/b218b1204a)] - **doc**: remove outdated s\_client information in tls.md (Rich Trott) [#25678](https://github.com/nodejs/node/pull/25678)
* \[[`1aa7f4d72d`](https://github.com/nodejs/node/commit/1aa7f4d72d)] - **doc**: fix metadata for v11.8.0 doc changes (Richard Lau) [#25709](https://github.com/nodejs/node/pull/25709)
* \[[`3c5a7a2f97`](https://github.com/nodejs/node/commit/3c5a7a2f97)] - **doc**: fix keyObject.symmetricSize to be keyObject.symmetricKeySize (Filip Skokan) [#25670](https://github.com/nodejs/node/pull/25670)
* \[[`e47511943b`](https://github.com/nodejs/node/commit/e47511943b)] - **doc**: add metadata to report docs (Richard Lau) [#25708](https://github.com/nodejs/node/pull/25708)
* \[[`237ec396d0`](https://github.com/nodejs/node/commit/237ec396d0)] - **doc**: fix 11.8.0 changelog (Myles Borins) [#25705](https://github.com/nodejs/node/pull/25705)
* \[[`48149cfa3a`](https://github.com/nodejs/node/commit/48149cfa3a)] - **doc**: clarify what dns.setResolvers() affects (Sam Roberts) [#25570](https://github.com/nodejs/node/pull/25570)
* \[[`3488f0df3b`](https://github.com/nodejs/node/commit/3488f0df3b)] - **doc**: link nextTick docs to the nextTick guide (Sam Roberts) [#25619](https://github.com/nodejs/node/pull/25619)
* \[[`c93e5e1f65`](https://github.com/nodejs/node/commit/c93e5e1f65)] - **doc**: simplify process.binding() deprecation message (Rich Trott) [#25654](https://github.com/nodejs/node/pull/25654)
* \[[`0640b09243`](https://github.com/nodejs/node/commit/0640b09243)] - **lib**: refactor policy code for readability (Anna Henningsen) [#25629](https://github.com/nodejs/node/pull/25629)
* \[[`634cf131f4`](https://github.com/nodejs/node/commit/634cf131f4)] - **module**: do not use `process.exit()` (Anna Henningsen) [#25769](https://github.com/nodejs/node/pull/25769)
* \[[`143274af38`](https://github.com/nodejs/node/commit/143274af38)] - **module**: silence ModuleJob unhandled rejection warnings (Anna Henningsen) [#25769](https://github.com/nodejs/node/pull/25769)
* \[[`fc38b20c7c`](https://github.com/nodejs/node/commit/fc38b20c7c)] - **perf\_hooks**: clean up GC listeners (Anna Henningsen) [#25647](https://github.com/nodejs/node/pull/25647)
* \[[`f3179f7701`](https://github.com/nodejs/node/commit/f3179f7701)] - **policy**: ensure workers do not read fs for policy (Bradley Farias) [#25710](https://github.com/nodejs/node/pull/25710)
* \[[`ee61ab6894`](https://github.com/nodejs/node/commit/ee61ab6894)] - **repl**: improve doc for disabling REPL history on Windows (Samuel D. Leslie) [#25672](https://github.com/nodejs/node/pull/25672)
* \[[`ce28caf517`](https://github.com/nodejs/node/commit/ce28caf517)] - **report**: represent numbers as numbers (Anna Henningsen) [#25651](https://github.com/nodejs/node/pull/25651)
* \[[`1dfdbc6cf7`](https://github.com/nodejs/node/commit/1dfdbc6cf7)] - **report**: refactor JSON writer (Anna Henningsen) [#25651](https://github.com/nodejs/node/pull/25651)
* \[[`14bce1ea5a`](https://github.com/nodejs/node/commit/14bce1ea5a)] - **report**: do not use `uv_default_loop()` as fallback (Anna Henningsen) [#25652](https://github.com/nodejs/node/pull/25652)
* \[[`152d633366`](https://github.com/nodejs/node/commit/152d633366)] - **src**: remove unused env\_ field from env.h (Daniel Bevenius) [#25784](https://github.com/nodejs/node/pull/25784)
* \[[`c0951062b9`](https://github.com/nodejs/node/commit/c0951062b9)] - **src**: pass along errors from i18n converter instantiation (Anna Henningsen) [#25734](https://github.com/nodejs/node/pull/25734)
* \[[`deebf10bd5`](https://github.com/nodejs/node/commit/deebf10bd5)] - **src**: pass along errors from vm data wrapper creation (Anna Henningsen) [#25734](https://github.com/nodejs/node/pull/25734)
* \[[`8ee4810029`](https://github.com/nodejs/node/commit/8ee4810029)] - **src**: pass along errors from KeyObject instantiation (Anna Henningsen) [#25734](https://github.com/nodejs/node/pull/25734)
* \[[`ced4e71504`](https://github.com/nodejs/node/commit/ced4e71504)] - **src**: pass along errors from perf obj instantiation (Anna Henningsen) [#25734](https://github.com/nodejs/node/pull/25734)
* \[[`5add2b56ac`](https://github.com/nodejs/node/commit/5add2b56ac)] - **src**: pass along errors from process obj instantiation (Anna Henningsen) [#25734](https://github.com/nodejs/node/pull/25734)
* \[[`2928672679`](https://github.com/nodejs/node/commit/2928672679)] - **src**: pass along errors from stream obj instantiation (Anna Henningsen) [#25734](https://github.com/nodejs/node/pull/25734)
* \[[`ebcdbebcee`](https://github.com/nodejs/node/commit/ebcdbebcee)] - **src**: remove unused field in node\_http2.h (gengjiawen) [#25727](https://github.com/nodejs/node/pull/25727)
* \[[`6d9af41aef`](https://github.com/nodejs/node/commit/6d9af41aef)] - **src**: in-source comments and minor TLS cleanups (Sam Roberts) [#25713](https://github.com/nodejs/node/pull/25713)
* \[[`09a10858f7`](https://github.com/nodejs/node/commit/09a10858f7)] - **src**: remove unnecessary call to SSL\_get\_mode (Sam Roberts) [#25711](https://github.com/nodejs/node/pull/25711)
* \[[`86e79a521d`](https://github.com/nodejs/node/commit/86e79a521d)] - **src**: remove unused and unimplemented method in env.h (gengjiawen) [#25699](https://github.com/nodejs/node/pull/25699)
* \[[`021d1975ff`](https://github.com/nodejs/node/commit/021d1975ff)] - **src**: fix macro duplicate declaration in env.h (gengjiawen) [#25703](https://github.com/nodejs/node/pull/25703)
* \[[`845bcfa1ce`](https://github.com/nodejs/node/commit/845bcfa1ce)] - **src**: simplify inspector initialization in node::Start() (Joyee Cheung) [#25612](https://github.com/nodejs/node/pull/25612)
* \[[`797111a69b`](https://github.com/nodejs/node/commit/797111a69b)] - **src**: avoid race condition in tracing code (Anna Henningsen) [#25624](https://github.com/nodejs/node/pull/25624)
* \[[`b113332daf`](https://github.com/nodejs/node/commit/b113332daf)] - **src**: ensure no more platform foreground tasks after Deinit (Clemens Hammacher) [#25653](https://github.com/nodejs/node/pull/25653)
* \[[`7cc51531a7`](https://github.com/nodejs/node/commit/7cc51531a7)] - **src**: remove has\_experimental\_policy option (Anna Henningsen) [#25628](https://github.com/nodejs/node/pull/25628)
* \[[`4b43eeaf9a`](https://github.com/nodejs/node/commit/4b43eeaf9a)] - **src,test**: fix JSON escaping in node-report (Denys Otrishko) [#25626](https://github.com/nodejs/node/pull/25626)
* \[[`af9592d6b1`](https://github.com/nodejs/node/commit/af9592d6b1)] - **test**: refactor test/common/report.js (cjihrig) [#25754](https://github.com/nodejs/node/pull/25754)
* \[[`e2ee031060`](https://github.com/nodejs/node/commit/e2ee031060)] - **test**: move client renegotiation tests to parallel (Rich Trott) [#25757](https://github.com/nodejs/node/pull/25757)
* \[[`b174dd7280`](https://github.com/nodejs/node/commit/b174dd7280)] - **test**: use fipsMode in test-crypto-fips (Daniel Bevenius) [#25563](https://github.com/nodejs/node/pull/25563)
* \[[`fa2a857e6a`](https://github.com/nodejs/node/commit/fa2a857e6a)] - **test**: refactor test-http-client-timeout-option-with-agent (Rich Trott) [#25752](https://github.com/nodejs/node/pull/25752)
* \[[`15f6b8e25d`](https://github.com/nodejs/node/commit/15f6b8e25d)] - **test**: add test for `worker.terminate()` + timeout fns (Anna Henningsen) [#25735](https://github.com/nodejs/node/pull/25735)
* \[[`c2136348a1`](https://github.com/nodejs/node/commit/c2136348a1)] - **test**: move heapdump tests to pummel (Rich Trott) [#25181](https://github.com/nodejs/node/pull/25181)
* \[[`ae19f944f8`](https://github.com/nodejs/node/commit/ae19f944f8)] - **test**: exit sequence sanity tests (Gireesh Punathil) [#25083](https://github.com/nodejs/node/pull/25083)
* \[[`af6e439ad8`](https://github.com/nodejs/node/commit/af6e439ad8)] - **test**: enable marking of failing coverage tests (Michael Dawson) [#25671](https://github.com/nodejs/node/pull/25671)
* \[[`6203d05a3c`](https://github.com/nodejs/node/commit/6203d05a3c)] - **test**: fix zlib-brotli output assumptions (Adam Majer) [#25697](https://github.com/nodejs/node/pull/25697)
* \[[`77274d07d2`](https://github.com/nodejs/node/commit/77274d07d2)] - **test**: rewrite fs {f}utimes test file (Jeremiah Senkpiel) [#25656](https://github.com/nodejs/node/pull/25656)
* \[[`29002ceb4e`](https://github.com/nodejs/node/commit/29002ceb4e)] - **(SEMVER-MINOR)** **test**: assert on client and server side seperately (Sam Roberts) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`c7dbb72530`](https://github.com/nodejs/node/commit/c7dbb72530)] - **test**: remove pummel/test-exec (Rich Trott) [#25722](https://github.com/nodejs/node/pull/25722)
* \[[`4b2a1eadbd`](https://github.com/nodejs/node/commit/4b2a1eadbd)] - **test**: replace s\_client in test-https-ci-reneg-attack (Rich Trott) [#25720](https://github.com/nodejs/node/pull/25720)
* \[[`7d682234a6`](https://github.com/nodejs/node/commit/7d682234a6)] - **test**: remove unused uncaughtException handler (Anna Henningsen) [#25641](https://github.com/nodejs/node/pull/25641)
* \[[`271126ad3b`](https://github.com/nodejs/node/commit/271126ad3b)] - **test**: remove s\_client from test-tls-ci-reneg-attack (Rich Trott) [#25700](https://github.com/nodejs/node/pull/25700)
* \[[`190c063ecb`](https://github.com/nodejs/node/commit/190c063ecb)] - **test**: replace Google servers with localhost (Rich Trott) [#25694](https://github.com/nodejs/node/pull/25694)
* \[[`f33d705033`](https://github.com/nodejs/node/commit/f33d705033)] - **test**: fix sequential/test-performance delay (Anatoli Papirovski) [#25695](https://github.com/nodejs/node/pull/25695)
* \[[`1905f8ef55`](https://github.com/nodejs/node/commit/1905f8ef55)] - **test**: remove common.isOSXMojave (Rich Trott) [#25658](https://github.com/nodejs/node/pull/25658)
* \[[`9f1b5c6193`](https://github.com/nodejs/node/commit/9f1b5c6193)] - **test**: remove known\_issues/test-cluster-bind-privileged-port (Rich Trott) [#25649](https://github.com/nodejs/node/pull/25649)
* \[[`d0705bd24b`](https://github.com/nodejs/node/commit/d0705bd24b)] - **timers**: truncate decimal values (Jeremiah Senkpiel) [#24819](https://github.com/nodejs/node/pull/24819)
* \[[`d5b2135dde`](https://github.com/nodejs/node/commit/d5b2135dde)] - **tls**: fix malloc mismatch in SSL\_set\_tlsext\_status\_ocsp\_resp call (David Benjamin) [#25706](https://github.com/nodejs/node/pull/25706)
* \[[`6e80f6d9a1`](https://github.com/nodejs/node/commit/6e80f6d9a1)] - **(SEMVER-MINOR)** **tls**: workaround handshakedone in renegotiation (Shigeki Ohtsu) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`c34c5694eb`](https://github.com/nodejs/node/commit/c34c5694eb)] - **(SEMVER-MINOR)** **tls**: make ossl 1.1.1 cipher list throw error (Sam Roberts) [#25381](https://github.com/nodejs/node/pull/25381)
* \[[`8032969c69`](https://github.com/nodejs/node/commit/8032969c69)] - **tools**: make trailing commas consistent in .eslintrc (Rich Trott) [#25739](https://github.com/nodejs/node/pull/25739)
* \[[`7ba66505e3`](https://github.com/nodejs/node/commit/7ba66505e3)] - **tools**: make test.py Queue part Python 3 compatible (gengjiawen) [#25701](https://github.com/nodejs/node/pull/25701)
* \[[`e6ad7f4c9c`](https://github.com/nodejs/node/commit/e6ad7f4c9c)] - **tools**: make mkssldef.py Python 3 compatible (Sakthipriyan Vairamani (thefourtheye)) [#25584](https://github.com/nodejs/node/pull/25584)
* \[[`bc81fef988`](https://github.com/nodejs/node/commit/bc81fef988)] - **vm**: mark scripts as shareable cross-origin (Jeremy Apthorp) [#25380](https://github.com/nodejs/node/pull/25380)
* \[[`fb69b2bf14`](https://github.com/nodejs/node/commit/fb69b2bf14)] - **worker**: export workerData to ESM workers (Anna Henningsen) [#25768](https://github.com/nodejs/node/pull/25768)

## 2019-01-24, Version 11.8.0 (Current), @MylesBorins

### Notable Changes

* **events**:
  * For unhandled `error` events with an argument that is not an `Error` object, the resulting exeption will have more information about the argument. [nodejs/node#25621](https://github.com/nodejs/node/pull/25621)
* **child\_process**:
  * When the `maxBuffer` option is passed, `stdout` and `stderr` will be truncated rather than unavailable in case of an error. [nodejs/node#24951](https://github.com/nodejs/node/pull/24951)
* **policy**:
  * Experimental support for module integrity checks through a manifest file is implemented now. [nodejs/node#23834](https://github.com/nodejs/node/pull/23834)
* **n-api**:
  * The `napi_threadsafe_function` feature is now stable. [nodejs/node#25556](https://github.com/nodejs/node/pull/25556)
* **report**:
  * An experimental diagnostic API for capturing process state is available as `process.report` and through command line flags. [nodejs/node#22712](https://github.com/nodejs/node/pull/22712)
* **tls**:
  * `tls.connect()` takes a `timeout` option analogous to the `net.connect()` one. [nodejs/node#25517](https://github.com/nodejs/node/pull/25517)
* **worker**:
  * `process.umask()` is available as a read-only function inside Worker threads now [nodejs/node#25526](https://github.com/nodejs/node/pull/25526)
  * An `execArgv` option that supports a subset of Node.js command line options is supported now. [nodejs/node#25467](https://github.com/nodejs/node/pull/25467)

### Commits

* \[[`5fab92c88a`](https://github.com/nodejs/node/commit/5fab92c88a)] - **build**: remove AIX/ppc (32bit) dead code (Refael Ackermann) [#25523](https://github.com/nodejs/node/pull/25523)
* \[[`34da9a3089`](https://github.com/nodejs/node/commit/34da9a3089)] - **build**: make install.py python 3 compatiable (Sakthipriyan Vairamani (thefourtheye)) [#25583](https://github.com/nodejs/node/pull/25583)
* \[[`8cc936a8ea`](https://github.com/nodejs/node/commit/8cc936a8ea)] - **build**: remove erroneous duplicate declaration from node\_inspector.gypi (Refael Ackermann) [#25586](https://github.com/nodejs/node/pull/25586)
* \[[`28894af902`](https://github.com/nodejs/node/commit/28894af902)] - **build**: do not lint python scripts under test/fixtures (Joyee Cheung) [#25639](https://github.com/nodejs/node/pull/25639)
* \[[`47d040dd77`](https://github.com/nodejs/node/commit/47d040dd77)] - **build**: introduce --openssl-is-fips flag (Daniel Bevenius) [#25412](https://github.com/nodejs/node/pull/25412)
* \[[`ac5fa2c7f6`](https://github.com/nodejs/node/commit/ac5fa2c7f6)] - **child\_process**: truncate output when maxBuffer is exceeded (Jeremiah Senkpiel) [#24951](https://github.com/nodejs/node/pull/24951)
* \[[`3c661f0aa6`](https://github.com/nodejs/node/commit/3c661f0aa6)] - **console**: refactor inspector console extension installation (Joyee Cheung) [#25450](https://github.com/nodejs/node/pull/25450)
* \[[`f415069c65`](https://github.com/nodejs/node/commit/f415069c65)] - **crypto**: add crypto modules to cannotUseCache (Daniel Bevenius) [#25606](https://github.com/nodejs/node/pull/25606)
* \[[`bb7f71ad8a`](https://github.com/nodejs/node/commit/bb7f71ad8a)] - **crypto**: fix key handle extraction (Tobias Nießen) [#25562](https://github.com/nodejs/node/pull/25562)
* \[[`c0859d7176`](https://github.com/nodejs/node/commit/c0859d7176)] - **deps**: upgrade to libuv 1.25.0 (cjihrig) [#25571](https://github.com/nodejs/node/pull/25571)
* \[[`9d8a225c6c`](https://github.com/nodejs/node/commit/9d8a225c6c)] - **doc**: add note regarding pushing release tags (Myles Borins) [#25569](https://github.com/nodejs/node/pull/25569)
* \[[`5440f9d4bc`](https://github.com/nodejs/node/commit/5440f9d4bc)] - **doc**: use correct placeholder for policy docs (Anna Henningsen) [#25627](https://github.com/nodejs/node/pull/25627)
* \[[`4f38106ef5`](https://github.com/nodejs/node/commit/4f38106ef5)] - **(SEMVER-MINOR)** **doc**: add node-report documentation (Vipin Menon) [#22712](https://github.com/nodejs/node/pull/22712)
* \[[`eac438acc8`](https://github.com/nodejs/node/commit/eac438acc8)] - **doc**: running coverage for individual suites (Benjamin Coe) [#25622](https://github.com/nodejs/node/pull/25622)
* \[[`65478faa7b`](https://github.com/nodejs/node/commit/65478faa7b)] - **doc**: hyperlink reference to process.nextTick (Sam Roberts) [#25615](https://github.com/nodejs/node/pull/25615)
* \[[`c5d89e6333`](https://github.com/nodejs/node/commit/c5d89e6333)] - **doc**: reword stream docs to clarify that decodeStrings encodes strings (Daniel George Holz) [#25468](https://github.com/nodejs/node/pull/25468)
* \[[`0c046e8e68`](https://github.com/nodejs/node/commit/0c046e8e68)] - **doc**: correct my wrong note about buf.fill() (Vse Mozhet Byt) [#25585](https://github.com/nodejs/node/pull/25585)
* \[[`10bff7a58c`](https://github.com/nodejs/node/commit/10bff7a58c)] - **doc**: add a note to `buf.fill()` description (Vse Mozhet Byt) [#25547](https://github.com/nodejs/node/pull/25547)
* \[[`688fb8d619`](https://github.com/nodejs/node/commit/688fb8d619)] - **doc**: fix typo in Buffer API (H1Gdev) [#25544](https://github.com/nodejs/node/pull/25544)
* \[[`417023046e`](https://github.com/nodejs/node/commit/417023046e)] - **doc**: add Rich back to TSC list (Michael Dawson) [#25535](https://github.com/nodejs/node/pull/25535)
* \[[`26c5bd8a5c`](https://github.com/nodejs/node/commit/26c5bd8a5c)] - **doc**: add metadata about ecdh curve options (Sam Roberts) [#25502](https://github.com/nodejs/node/pull/25502)
* \[[`593714e4bd`](https://github.com/nodejs/node/commit/593714e4bd)] - **events**: show inspected error in uncaught 'error' message (Anna Henningsen) [#25621](https://github.com/nodejs/node/pull/25621)
* \[[`d6b50c66cc`](https://github.com/nodejs/node/commit/d6b50c66cc)] - **http**: make ClientRequest#setTimeout() noop at end (Tim De Pauw) [#25536](https://github.com/nodejs/node/pull/25536)
* \[[`e55c5c341d`](https://github.com/nodejs/node/commit/e55c5c341d)] - **http**: reuse noop function in socketOnError() (cjihrig) [#25566](https://github.com/nodejs/node/pull/25566)
* \[[`9a410a189e`](https://github.com/nodejs/node/commit/9a410a189e)] - **http2**: allow fully synchronous `_final()` (Anna Henningsen) [#25609](https://github.com/nodejs/node/pull/25609)
* \[[`f688e73984`](https://github.com/nodejs/node/commit/f688e73984)] - **n-api**: change #ifdef to #if in node\_api\_types (Daniel Bevenius) [#25635](https://github.com/nodejs/node/pull/25635)
* \[[`2b1858298a`](https://github.com/nodejs/node/commit/2b1858298a)] - **(SEMVER-MINOR)** **n-api**: mark thread-safe function as stable (Gabriel Schulhof) [#25556](https://github.com/nodejs/node/pull/25556)
* \[[`0ebe6ebbb1`](https://github.com/nodejs/node/commit/0ebe6ebbb1)] - **os**: implement os.release() using uv\_os\_uname() (cjihrig) [#25600](https://github.com/nodejs/node/pull/25600)
* \[[`da8c526888`](https://github.com/nodejs/node/commit/da8c526888)] - **(SEMVER-MINOR)** **policy**: manifest with subresource integrity checks (Bradley Farias) [#23834](https://github.com/nodejs/node/pull/23834)
* \[[`647a37f5d8`](https://github.com/nodejs/node/commit/647a37f5d8)] - **process**: clarify the pre- and post-condition of esm setup (Joyee Cheung) [#25530](https://github.com/nodejs/node/pull/25530)
* \[[`b2834ce65b`](https://github.com/nodejs/node/commit/b2834ce65b)] - **process**: fix call process.reallyExit, vs., binding (Benjamin Coe) [#25655](https://github.com/nodejs/node/pull/25655)
* \[[`92dd8998e7`](https://github.com/nodejs/node/commit/92dd8998e7)] - **process**: check env->EmitProcessEnvWarning() last (Benjamin) [#25575](https://github.com/nodejs/node/pull/25575)
* \[[`07f1bb001c`](https://github.com/nodejs/node/commit/07f1bb001c)] - **process**: allow reading umask in workers (cjihrig) [#25526](https://github.com/nodejs/node/pull/25526)
* \[[`f3d0591abf`](https://github.com/nodejs/node/commit/f3d0591abf)] - **report**: use `uv_handle_type_name()` to get handle type (Anna Henningsen) [#25610](https://github.com/nodejs/node/pull/25610)
* \[[`03ba34401b`](https://github.com/nodejs/node/commit/03ba34401b)] - **report**: downgrade reinterpret\_cast to static\_cast (Anna Henningsen) [#25610](https://github.com/nodejs/node/pull/25610)
* \[[`07a0dc89ad`](https://github.com/nodejs/node/commit/07a0dc89ad)] - **report**: roll extra loop iteration in `PrintNativeStack()` (Anna Henningsen) [#25610](https://github.com/nodejs/node/pull/25610)
* \[[`64959b6668`](https://github.com/nodejs/node/commit/64959b6668)] - **report**: remove `internalBinding('config').hasReport` (Anna Henningsen) [#25610](https://github.com/nodejs/node/pull/25610)
* \[[`4031b5c267`](https://github.com/nodejs/node/commit/4031b5c267)] - **report**: remove `InitializeReport()` (Anna Henningsen) [#25598](https://github.com/nodejs/node/pull/25598)
* \[[`0f91e0355a`](https://github.com/nodejs/node/commit/0f91e0355a)] - **report**: simplify rlimit to JSON logic (cjihrig) [#25597](https://github.com/nodejs/node/pull/25597)
* \[[`a02b621312`](https://github.com/nodejs/node/commit/a02b621312)] - **report**: simplify option checking (cjihrig) [#25597](https://github.com/nodejs/node/pull/25597)
* \[[`c598d98970`](https://github.com/nodejs/node/commit/c598d98970)] - **report**: use uv\_pid\_t instead of custom PID\_TYPE (cjihrig) [#25597](https://github.com/nodejs/node/pull/25597)
* \[[`213eddd323`](https://github.com/nodejs/node/commit/213eddd323)] - **report**: remove unnecessary includes (cjihrig) [#25597](https://github.com/nodejs/node/pull/25597)
* \[[`42bbe58c47`](https://github.com/nodejs/node/commit/42bbe58c47)] - **report**: remove unnecessary intermediate variable (cjihrig) [#25597](https://github.com/nodejs/node/pull/25597)
* \[[`a161a9b9c3`](https://github.com/nodejs/node/commit/a161a9b9c3)] - **src**: remove unnecessary `filename` variable (Anna Henningsen) [#25610](https://github.com/nodejs/node/pull/25610)
* \[[`c59edcadc1`](https://github.com/nodejs/node/commit/c59edcadc1)] - **src**: remove using v8::Function in node\_os.cc (cjihrig) [#25640](https://github.com/nodejs/node/pull/25640)
* \[[`dbecc82524`](https://github.com/nodejs/node/commit/dbecc82524)] - **src**: remove outdated `Neuter()` call in `node_buffer.cc` (Anna Henningsen) [#25479](https://github.com/nodejs/node/pull/25479)
* \[[`8f42c9efe9`](https://github.com/nodejs/node/commit/8f42c9efe9)] - **src**: silence compiler warning in node\_report.cc (Daniel Bevenius) [#25557](https://github.com/nodejs/node/pull/25557)
* \[[`549216a138`](https://github.com/nodejs/node/commit/549216a138)] - **(SEMVER-MINOR)** **src**: merge into core (Gireesh Punathil) [#22712](https://github.com/nodejs/node/pull/22712)
* \[[`55768c0079`](https://github.com/nodejs/node/commit/55768c0079)] - **src**: restrict unloading addons to Worker threads (Anna Henningsen) [#25577](https://github.com/nodejs/node/pull/25577)
* \[[`d9a8113a5b`](https://github.com/nodejs/node/commit/d9a8113a5b)] - **src**: pass along errors from `--security-reverts` (Anna Henningsen) [#25466](https://github.com/nodejs/node/pull/25466)
* \[[`291cedf25d`](https://github.com/nodejs/node/commit/291cedf25d)] - **src**: reduce includes of node\_internals.h (Joyee Cheung) [#25507](https://github.com/nodejs/node/pull/25507)
* \[[`03e05cb4fb`](https://github.com/nodejs/node/commit/03e05cb4fb)] - **src**: fix FIPS section in Sign::SignFinal (Daniel Bevenius) [#25412](https://github.com/nodejs/node/pull/25412)
* \[[`0897504adc`](https://github.com/nodejs/node/commit/0897504adc)] - **src**: call `Environment::Exit()` for fatal exceptions (Anna Henningsen) [#25472](https://github.com/nodejs/node/pull/25472)
* \[[`7ffa8ec756`](https://github.com/nodejs/node/commit/7ffa8ec756)] - **src**: reset `StopTracingAgent()` before platform teardown (Anna Henningsen) [#25472](https://github.com/nodejs/node/pull/25472)
* \[[`a9ffce908d`](https://github.com/nodejs/node/commit/a9ffce908d)] - **test**: fix pummel/test-exec (Rich Trott) [#25677](https://github.com/nodejs/node/pull/25677)
* \[[`08ade9b0d3`](https://github.com/nodejs/node/commit/08ade9b0d3)] - **test**: clarify the path relativeness of WPT runner classes (Joyee Cheung) [#25616](https://github.com/nodejs/node/pull/25616)
* \[[`74ee8d3b72`](https://github.com/nodejs/node/commit/74ee8d3b72)] - **test**: run html/webappapis/microtask-queuing WPT (Joyee Cheung) [#25616](https://github.com/nodejs/node/pull/25616)
* \[[`572a70feae`](https://github.com/nodejs/node/commit/572a70feae)] - **test**: pull html/webappapis/microtask-queuing WPT (Joyee Cheung) [#25616](https://github.com/nodejs/node/pull/25616)
* \[[`90a64ab280`](https://github.com/nodejs/node/commit/90a64ab280)] - **test**: add stdio checks to cp-exec-maxBuffer (Jeremiah Senkpiel) [#24951](https://github.com/nodejs/node/pull/24951)
* \[[`0800f91dcc`](https://github.com/nodejs/node/commit/0800f91dcc)] - **(SEMVER-MINOR)** **test**: add node-report tests (LakshmiSwethaG) [#22712](https://github.com/nodejs/node/pull/22712)
* \[[`7490fc880e`](https://github.com/nodejs/node/commit/7490fc880e)] - **test**: switch to native v8 coverage (Benjamin Coe) [#25157](https://github.com/nodejs/node/pull/25157)
* \[[`ecd358b1fd`](https://github.com/nodejs/node/commit/ecd358b1fd)] - **test**: revoke flaky designation for tests (Gireesh Punathil) [#25611](https://github.com/nodejs/node/pull/25611)
* \[[`5a0332ed31`](https://github.com/nodejs/node/commit/5a0332ed31)] - **test**: remove potential race condition in https renegotiation test (Rich Trott) [#25601](https://github.com/nodejs/node/pull/25601)
* \[[`6881454d92`](https://github.com/nodejs/node/commit/6881454d92)] - **test**: replace common.PORT with `0` in https renegotiation test (Rich Trott) [#25599](https://github.com/nodejs/node/pull/25599)
* \[[`5684da5360`](https://github.com/nodejs/node/commit/5684da5360)] - **test**: changed function to arrow function (yathamravali) [#25441](https://github.com/nodejs/node/pull/25441)
* \[[`efe089e01a`](https://github.com/nodejs/node/commit/efe089e01a)] - **test**: use stronger curves for keygen (Daniel Bevenius) [#25564](https://github.com/nodejs/node/pull/25564)
* \[[`3dcdf27399`](https://github.com/nodejs/node/commit/3dcdf27399)] - **test**: change ciphers from RC4 to no-such-cipher (Daniel Bevenius) [#25534](https://github.com/nodejs/node/pull/25534)
* \[[`faa1776048`](https://github.com/nodejs/node/commit/faa1776048)] - **test**: relax chunk count expectations (Gireesh Punathil) [#25415](https://github.com/nodejs/node/pull/25415)
* \[[`b8d780c0ee`](https://github.com/nodejs/node/commit/b8d780c0ee)] - **test**: ensure npm version is not release candidate (Myles Borins) [#25538](https://github.com/nodejs/node/pull/25538)
* \[[`2112b707e6`](https://github.com/nodejs/node/commit/2112b707e6)] - **test**: improve code coverage for i18n (Michael Dawson) [#25428](https://github.com/nodejs/node/pull/25428)
* \[[`4e52b07fb7`](https://github.com/nodejs/node/commit/4e52b07fb7)] - **test**: use fipsMode instead of common.hasFipsCrypto (Daniel Bevenius) [#25510](https://github.com/nodejs/node/pull/25510)
* \[[`4c207d9b84`](https://github.com/nodejs/node/commit/4c207d9b84)] - **test**: do not use uninitialized memory in common flags check (Anna Henningsen) [#25475](https://github.com/nodejs/node/pull/25475)
* \[[`cfcb759e5d`](https://github.com/nodejs/node/commit/cfcb759e5d)] - **test**: prepare test-hash-seed for CI (Rich Trott) [#25522](https://github.com/nodejs/node/pull/25522)
* \[[`35240cab05`](https://github.com/nodejs/node/commit/35240cab05)] - **test**: refactor min() in test-hash-seed (Rich Trott) [#25522](https://github.com/nodejs/node/pull/25522)
* \[[`779ce29f39`](https://github.com/nodejs/node/commit/779ce29f39)] - **test**: add check for wrk to test-keep-alive (Rich Trott) [#25516](https://github.com/nodejs/node/pull/25516)
* \[[`ab861433c9`](https://github.com/nodejs/node/commit/ab861433c9)] - **test**: fix test-repl timeout and tmpdir refresh (Brian White) [#25425](https://github.com/nodejs/node/pull/25425)
* \[[`6347940e9f`](https://github.com/nodejs/node/commit/6347940e9f)] - **test**: refactor pummel/test-net-pingpong (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`307da2d3e7`](https://github.com/nodejs/node/commit/307da2d3e7)] - **test**: refactor pummel/test-net-many-clients (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`69c0841a5a`](https://github.com/nodejs/node/commit/69c0841a5a)] - **test**: refactor pummel/test-net-connect-econnrefused (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`817b44db54`](https://github.com/nodejs/node/commit/817b44db54)] - **test**: refactor pummel/test-keep-alive (Rich Trott) [#25485](https://github.com/nodejs/node/pull/25485)
* \[[`aa9a86aa32`](https://github.com/nodejs/node/commit/aa9a86aa32)] - **test,worker**: verify that `.terminate()` breaks microtask queue (Anna Henningsen) [#25480](https://github.com/nodejs/node/pull/25480)
* \[[`c3409f57fd`](https://github.com/nodejs/node/commit/c3409f57fd)] - **tls**: do not free cert in `.getCertificate()` (Anna Henningsen) [#25490](https://github.com/nodejs/node/pull/25490)
* \[[`58952a1a96`](https://github.com/nodejs/node/commit/58952a1a96)] - **(SEMVER-MINOR)** **tls**: make tls.connect() accept a timeout option (Luigi Pinca) [#25517](https://github.com/nodejs/node/pull/25517)
* \[[`1cbadd8d1c`](https://github.com/nodejs/node/commit/1cbadd8d1c)] - **tools**: improve valgrind support (Anna Henningsen) [#25498](https://github.com/nodejs/node/pull/25498)
* \[[`d9da4af245`](https://github.com/nodejs/node/commit/d9da4af245)] - **tools**: update ESLint to 5.12.1 (cjihrig) [#25573](https://github.com/nodejs/node/pull/25573)
* \[[`338f456107`](https://github.com/nodejs/node/commit/338f456107)] - **util**: fix iterable types with special prototype (Ruben Bridgewater) [#25457](https://github.com/nodejs/node/pull/25457)
* \[[`219b1b8ce1`](https://github.com/nodejs/node/commit/219b1b8ce1)] - **(SEMVER-MINOR)** **worker**: enable passing command line flags (Yael Hermon) [#25467](https://github.com/nodejs/node/pull/25467)

## 2019-01-17, Version 11.7.0 (Current), @BridgeAR

### Notable Changes

* **compression / zlib**:
  * Added brotli support (Anna Henningsen and Zach Vacura) [#24938](https://github.com/nodejs/node/pull/24938)
* **console**:
  * Added `inspectOptions` option (Ruben Bridgewater) [#24978](https://github.com/nodejs/node/pull/24978)
* **crypto**:
  * Always accept private keys as public keys (Tobias Nießen) [#25217](https://github.com/nodejs/node/pull/25217)
* **deps**:
  * Upgrade npm to v6.5.0 (Jordan Harband) [#25234](https://github.com/nodejs/node/pull/25234)
* **fs**:
  * Use internalBinding('fs') internally instead of process.binding('fs') (Masashi Hirano) [#22478](https://github.com/nodejs/node/pull/22478)
* **http(s)**:
  * Support overriding http\s.globalAgent (Roy Sommer) [#25170](https://github.com/nodejs/node/pull/25170)
* **util**:
  * Inspect ArrayBuffers contents closely (Ruben Bridgewater) [#25006](https://github.com/nodejs/node/pull/25006)
* **worker**:
  * Expose workers by default and remove `--experimental-worker` flag (Anna Henningsen) [#25361](https://github.com/nodejs/node/pull/25361)

### Commits

* \[[`e09dd0c5f0`](https://github.com/nodejs/node/commit/e09dd0c5f0)] - **assert**: make `actual` and `expected` getters (Ruben Bridgewater) [#25250](https://github.com/nodejs/node/pull/25250)
* \[[`516f75fda8`](https://github.com/nodejs/node/commit/516f75fda8)] - **benchmark**: fix net-wrap-js-stream-passthrough (Rich Trott) [#25273](https://github.com/nodejs/node/pull/25273)
* \[[`9a627a4694`](https://github.com/nodejs/node/commit/9a627a4694)] - **(SEMVER-MINOR)** **benchmark,test**: add brotli (Anna Henningsen) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`8e84ccb502`](https://github.com/nodejs/node/commit/8e84ccb502)] - **buffer**: move Buffer prototype wiring into internal/buffer.js (Joyee Cheung) [#25292](https://github.com/nodejs/node/pull/25292)
* \[[`042d20ab47`](https://github.com/nodejs/node/commit/042d20ab47)] - **buffer**: move initialization of buffer prototype into node.js (Joyee Cheung) [#25292](https://github.com/nodejs/node/pull/25292)
* \[[`68014fbc22`](https://github.com/nodejs/node/commit/68014fbc22)] - **buffer**: inspect extra properties (Ruben Bridgewater) [#25150](https://github.com/nodejs/node/pull/25150)
* \[[`1d4940888d`](https://github.com/nodejs/node/commit/1d4940888d)] - **buffer**: refactor checks for SlowBuffer creation (P. Mike) [#25266](https://github.com/nodejs/node/pull/25266)
* \[[`7dc4c3be03`](https://github.com/nodejs/node/commit/7dc4c3be03)] - **buffer**: fix crash for invalid index types (Anna Henningsen) [#25154](https://github.com/nodejs/node/pull/25154)
* \[[`a4f50a62d5`](https://github.com/nodejs/node/commit/a4f50a62d5)] - **build**: set `-blibpath:` for AIX (Richard Lau) [#25447](https://github.com/nodejs/node/pull/25447)
* \[[`07ffa3f189`](https://github.com/nodejs/node/commit/07ffa3f189)] - **build**: add check for empty openssl-fips flag (Daniel Bevenius) [#25391](https://github.com/nodejs/node/pull/25391)
* \[[`a2cc4bad0e`](https://github.com/nodejs/node/commit/a2cc4bad0e)] - **build**: fix Windows shared lib build (Richard Lau) [#25166](https://github.com/nodejs/node/pull/25166)
* \[[`56e7e4f0cd`](https://github.com/nodejs/node/commit/56e7e4f0cd)] - **child\_process**: simplify argument handling (cjihrig) [#25194](https://github.com/nodejs/node/pull/25194)
* \[[`272ddb1765`](https://github.com/nodejs/node/commit/272ddb1765)] - **console**: improve inspectOptions validation (cjihrig) [#25090](https://github.com/nodejs/node/pull/25090)
* \[[`65d485b880`](https://github.com/nodejs/node/commit/65d485b880)] - **(SEMVER-MINOR)** **console**: add `inspectOptions` option (Ruben Bridgewater) [#24978](https://github.com/nodejs/node/pull/24978)
* \[[`57323e8048`](https://github.com/nodejs/node/commit/57323e8048)] - **console**: move the inspector console wrapping in a separate file (Joyee Cheung) [#24709](https://github.com/nodejs/node/pull/24709)
* \[[`b549058cc4`](https://github.com/nodejs/node/commit/b549058cc4)] - **console**: split console into global.js and constructor.js (Joyee Cheung) [#24709](https://github.com/nodejs/node/pull/24709)
* \[[`4052aec321`](https://github.com/nodejs/node/commit/4052aec321)] - **console**: lazy load process.stderr and process.stdout (Joyee Cheung) [#24534](https://github.com/nodejs/node/pull/24534)
* \[[`7f5bb9d3bf`](https://github.com/nodejs/node/commit/7f5bb9d3bf)] - **console**: bind methods from the prototype chain in Console (Joyee Cheung) [#24047](https://github.com/nodejs/node/pull/24047)
* \[[`b2b0645805`](https://github.com/nodejs/node/commit/b2b0645805)] - **console**: create the global console from Console constructor (Joyee Cheung) [#25420](https://github.com/nodejs/node/pull/25420)
* \[[`561c2689ef`](https://github.com/nodejs/node/commit/561c2689ef)] - **console**: use spread notation instead of Object.assign (Ruben Bridgewater) [#25149](https://github.com/nodejs/node/pull/25149)
* \[[`63fbd00834`](https://github.com/nodejs/node/commit/63fbd00834)] - **coverage**: pass cwd to path.resolve() in setup (cjihrig) [#25289](https://github.com/nodejs/node/pull/25289)
* \[[`daca3188af`](https://github.com/nodejs/node/commit/daca3188af)] - **coverage**: use process.\_rawDebug() during setup (cjihrig) [#25289](https://github.com/nodejs/node/pull/25289)
* \[[`eaaaa0d479`](https://github.com/nodejs/node/commit/eaaaa0d479)] - **(SEMVER-MINOR)** **crypto**: always accept private keys as public keys (Tobias Nießen) [#25217](https://github.com/nodejs/node/pull/25217)
* \[[`32e45b20da`](https://github.com/nodejs/node/commit/32e45b20da)] - **crypto**: fix key object wrapping in sync keygen (Tobias Nießen) [#25326](https://github.com/nodejs/node/pull/25326)
* \[[`bc6f4bc0c5`](https://github.com/nodejs/node/commit/bc6f4bc0c5)] - **crypto**: add crypto/keys to cannotUseCache (Daniel Bevenius) [#25237](https://github.com/nodejs/node/pull/25237)
* \[[`f3ebc391a3`](https://github.com/nodejs/node/commit/f3ebc391a3)] - **crypto**: fix zero byte allocation assertion failure (Tobias Nießen) [#25248](https://github.com/nodejs/node/pull/25248)
* \[[`e1d4f4384a`](https://github.com/nodejs/node/commit/e1d4f4384a)] - **deps**: cherry-pick d9fbfeb from upstream V8 (Alexey Kozyatinskiy) [#25331](https://github.com/nodejs/node/pull/25331)
* \[[`91015918d8`](https://github.com/nodejs/node/commit/91015918d8)] - **deps**: upgrade npm to v6.5.0 (Jordan Harband) [#25234](https://github.com/nodejs/node/pull/25234)
* \[[`11c01a6a69`](https://github.com/nodejs/node/commit/11c01a6a69)] - **(SEMVER-MINOR)** **deps**: add brotli (Hackzzila) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`f2abe7bf76`](https://github.com/nodejs/node/commit/f2abe7bf76)] - **deps**: V8: backport 3e010af (Ruben Bridgewater) [#25101](https://github.com/nodejs/node/pull/25101)
* \[[`201cf97fcb`](https://github.com/nodejs/node/commit/201cf97fcb)] - **deps**: V8: backport bf84766 (Ruben Bridgewater) [#25101](https://github.com/nodejs/node/pull/25101)
* \[[`ec87b6c994`](https://github.com/nodejs/node/commit/ec87b6c994)] - **(SEMVER-MINOR)** **deps,tools**: update license-builder.sh and LICENSE (Hackzzila) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`5b4fab1a40`](https://github.com/nodejs/node/commit/5b4fab1a40)] - **dns**: fix TTL value for AAAA replies to `resolveAny()` (Anna Henningsen) [#25187](https://github.com/nodejs/node/pull/25187)
* \[[`edab2d61fd`](https://github.com/nodejs/node/commit/edab2d61fd)] - **doc**: revert incorrect change on readable.\_read (Matteo Collina) [#25442](https://github.com/nodejs/node/pull/25442)
* \[[`2172dbfce4`](https://github.com/nodejs/node/commit/2172dbfce4)] - **doc**: add TLSSocket.isSessionReused() docs (Sam Roberts) [#25423](https://github.com/nodejs/node/pull/25423)
* \[[`7123167e31`](https://github.com/nodejs/node/commit/7123167e31)] - **doc**: improve Sign/Verify examples and docs (Sam Roberts) [#25452](https://github.com/nodejs/node/pull/25452)
* \[[`9a61a7abb3`](https://github.com/nodejs/node/commit/9a61a7abb3)] - **doc**: fix section order in vm.md (Vse Mozhet Byt) [#25374](https://github.com/nodejs/node/pull/25374)
* \[[`2b0c8538ef`](https://github.com/nodejs/node/commit/2b0c8538ef)] - **doc**: fix sorting in buffer.md (Vse Mozhet Byt) [#25477](https://github.com/nodejs/node/pull/25477)
* \[[`f8bb544bfb`](https://github.com/nodejs/node/commit/f8bb544bfb)] - **doc**: fix `napi_open_callback_scope` description (Philipp Renoth) [#25366](https://github.com/nodejs/node/pull/25366)
* \[[`b67c4b4f99`](https://github.com/nodejs/node/commit/b67c4b4f99)] - **doc**: document that stream.on('close') was changed in Node 10 (Matteo Collina) [#25413](https://github.com/nodejs/node/pull/25413)
* \[[`3db7a9ffba`](https://github.com/nodejs/node/commit/3db7a9ffba)] - **doc**: fix, unify, formalize, and amplify vm.md (Vse Mozhet Byt) [#25422](https://github.com/nodejs/node/pull/25422)
* \[[`ebd202736c`](https://github.com/nodejs/node/commit/ebd202736c)] - **doc**: fix the path to postMessage() (Mitar) [#25332](https://github.com/nodejs/node/pull/25332)
* \[[`177635b320`](https://github.com/nodejs/node/commit/177635b320)] - **doc**: update `os.networkInterfaces()` example (jvelezpo) [#25417](https://github.com/nodejs/node/pull/25417)
* \[[`67782613bb`](https://github.com/nodejs/node/commit/67782613bb)] - **doc**: make sure that calls to .read() are looped (Matteo Collina) [#25375](https://github.com/nodejs/node/pull/25375)
* \[[`f58b5300cd`](https://github.com/nodejs/node/commit/f58b5300cd)] - **doc**: wrap and punctuate YAML description text (Sam Roberts) [#25419](https://github.com/nodejs/node/pull/25419)
* \[[`8380bd46a0`](https://github.com/nodejs/node/commit/8380bd46a0)] - **doc**: add history to http.request.setTimeout() (James Bunton) [#25121](https://github.com/nodejs/node/pull/25121)
* \[[`8bc1651249`](https://github.com/nodejs/node/commit/8bc1651249)] - **doc**: add clarification for exception behaviour (Michael Dawson) [#25339](https://github.com/nodejs/node/pull/25339)
* \[[`f3d86391d9`](https://github.com/nodejs/node/commit/f3d86391d9)] - **doc**: clarify timing of socket.connecting (Sam Roberts) [#25333](https://github.com/nodejs/node/pull/25333)
* \[[`7d46437c45`](https://github.com/nodejs/node/commit/7d46437c45)] - **doc**: update benchmark doc (Kazushi Kitaya) [#25367](https://github.com/nodejs/node/pull/25367)
* \[[`071f84e80a`](https://github.com/nodejs/node/commit/071f84e80a)] - **doc**: use lowercase for zlib (Rich Trott) [#25371](https://github.com/nodejs/node/pull/25371)
* \[[`7d1d26191d`](https://github.com/nodejs/node/commit/7d1d26191d)] - **doc**: fix heading in cpp style guide (Kazushi Kitaya) [#25303](https://github.com/nodejs/node/pull/25303)
* \[[`354fba1b26`](https://github.com/nodejs/node/commit/354fba1b26)] - **doc**: fix process.stdin example (Anna Henningsen) [#25344](https://github.com/nodejs/node/pull/25344)
* \[[`1e20c5e440`](https://github.com/nodejs/node/commit/1e20c5e440)] - **doc**: make modules.md more accurate (Vse Mozhet Byt) [#25357](https://github.com/nodejs/node/pull/25357)
* \[[`f8dcbba563`](https://github.com/nodejs/node/commit/f8dcbba563)] - **doc**: fs.mkdir('/') throws EPERM on Windows (Corey Farrell) [#25340](https://github.com/nodejs/node/pull/25340)
* \[[`b9b2ba22ec`](https://github.com/nodejs/node/commit/b9b2ba22ec)] - **doc**: document key encryption options (Tobias Nießen) [#23632](https://github.com/nodejs/node/pull/23632)
* \[[`f5008fd1ef`](https://github.com/nodejs/node/commit/f5008fd1ef)] - **doc**: simplify DEP0119 wording (cjihrig) [#25276](https://github.com/nodejs/node/pull/25276)
* \[[`1c5a99797b`](https://github.com/nodejs/node/commit/1c5a99797b)] - **(SEMVER-MINOR)** **doc**: add documentation for brotli support (Anna Henningsen) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`be45469744`](https://github.com/nodejs/node/commit/be45469744)] - **doc**: edit and simplify util.inspect() docs (cjihrig) [#25195](https://github.com/nodejs/node/pull/25195)
* \[[`8a701c3fce`](https://github.com/nodejs/node/commit/8a701c3fce)] - **doc**: include license for src/large\_pages in LICENSE (Ujjwal Sharma) [#25246](https://github.com/nodejs/node/pull/25246)
* \[[`e6da77b12c`](https://github.com/nodejs/node/commit/e6da77b12c)] - **doc**: describe TLS session resumption (Sam Roberts) [#25174](https://github.com/nodejs/node/pull/25174)
* \[[`3af173df00`](https://github.com/nodejs/node/commit/3af173df00)] - **doc**: link and expand --tls-cipher-list docs (Sam Roberts) [#25174](https://github.com/nodejs/node/pull/25174)
* \[[`39b3fd1b61`](https://github.com/nodejs/node/commit/39b3fd1b61)] - **doc**: revise "Breaking Changes to Internal Elements" (Rich Trott) [#25190](https://github.com/nodejs/node/pull/25190)
* \[[`2c50bcda8a`](https://github.com/nodejs/node/commit/2c50bcda8a)] - **doc**: fix NAPI typo (Philipp Renoth) [#25216](https://github.com/nodejs/node/pull/25216)
* \[[`1697604ae0`](https://github.com/nodejs/node/commit/1697604ae0)] - **doc,worker**: revise worker\_threads.md (Rich Trott) [#25402](https://github.com/nodejs/node/pull/25402)
* \[[`dd0381fe4e`](https://github.com/nodejs/node/commit/dd0381fe4e)] - **(SEMVER-MAJOR)** **fs**: make process.binding('fs') internal (Masashi Hirano) [#22478](https://github.com/nodejs/node/pull/22478)
* \[[`ca7adcafda`](https://github.com/nodejs/node/commit/ca7adcafda)] - **fs**: extract start and end check into checkPosition (ZYSzys) [#25264](https://github.com/nodejs/node/pull/25264)
* \[[`26f2eb8b12`](https://github.com/nodejs/node/commit/26f2eb8b12)] - **http2**: add test case for goaway (Anto Aravinth) [#24054](https://github.com/nodejs/node/pull/24054)
* \[[`445ba9f283`](https://github.com/nodejs/node/commit/445ba9f283)] - **inspector**: move process.binding to internalBinding (Beni von Cheni) [#24931](https://github.com/nodejs/node/pull/24931)
* \[[`8cc97571a4`](https://github.com/nodejs/node/commit/8cc97571a4)] - _**Revert**_ "**inspector**: move process.binding to internalBinding" (Joyee Cheung) [#25446](https://github.com/nodejs/node/pull/25446)
* \[[`4794cf601e`](https://github.com/nodejs/node/commit/4794cf601e)] - **inspector**: move process.binding to internalBinding (Beni von Cheni) [#24931](https://github.com/nodejs/node/pull/24931)
* \[[`cb73fed430`](https://github.com/nodejs/node/commit/cb73fed430)] - **inspector, test**: verify reported console message (Eugene Ostroukhov) [#25455](https://github.com/nodejs/node/pull/25455)
* \[[`6528ce6176`](https://github.com/nodejs/node/commit/6528ce6176)] - **lib**: expose all type checks from the internal types module (Ruben Bridgewater) [#25149](https://github.com/nodejs/node/pull/25149)
* \[[`207612c723`](https://github.com/nodejs/node/commit/207612c723)] - **lib**: remove internalBinding('config').pendingDeprecation (Joyee Cheung) [#24962](https://github.com/nodejs/node/pull/24962)
* \[[`d8ba520622`](https://github.com/nodejs/node/commit/d8ba520622)] - **lib**: remove unused NativeModule/NativeModule wraps (Joyee Cheung) [#24904](https://github.com/nodejs/node/pull/24904)
* \[[`87a58beed7`](https://github.com/nodejs/node/commit/87a58beed7)] - **lib**: remove duplicated noop function (ZYSzys) [#24770](https://github.com/nodejs/node/pull/24770)
* \[[`d7d772b2f8`](https://github.com/nodejs/node/commit/d7d772b2f8)] - _**Revert**_ "**lib**: remove duplicated noop function" (Joyee Cheung) [#25446](https://github.com/nodejs/node/pull/25446)
* \[[`42a7eaf9d4`](https://github.com/nodejs/node/commit/42a7eaf9d4)] - _**Revert**_ "**lib**: remove unused NativeModule/NativeModule wraps" (Joyee Cheung) [#25446](https://github.com/nodejs/node/pull/25446)
* \[[`b48865f03f`](https://github.com/nodejs/node/commit/b48865f03f)] - **lib**: move lib/console.js to lib/internal/console/constructor.js (Joyee Cheung) [#24709](https://github.com/nodejs/node/pull/24709)
* \[[`3350230e20`](https://github.com/nodejs/node/commit/3350230e20)] - **lib**: remove internal `util._extends()` usage (Ruben Bridgewater) [#25105](https://github.com/nodejs/node/pull/25105)
* \[[`73c3a3d5ed`](https://github.com/nodejs/node/commit/73c3a3d5ed)] - **(SEMVER-MAJOR)** **lib**: make the global console \[\[Prototype]] an empty object (Joyee Cheung) [#23509](https://github.com/nodejs/node/pull/23509)
* \[[`8d0c638583`](https://github.com/nodejs/node/commit/8d0c638583)] - **(SEMVER-MINOR)** **lib**: support overriding http\s.globalAgent (Roy Sommer) [#25170](https://github.com/nodejs/node/pull/25170)
* \[[`217bb0e5f0`](https://github.com/nodejs/node/commit/217bb0e5f0)] - **lib**: simplify several debug() calls (cjihrig) [#25241](https://github.com/nodejs/node/pull/25241)
* \[[`e14f8646e2`](https://github.com/nodejs/node/commit/e14f8646e2)] - **lib,test**: remove lib/internal/test/unicode.js (Rich Trott) [#25298](https://github.com/nodejs/node/pull/25298)
* \[[`c13e5be740`](https://github.com/nodejs/node/commit/c13e5be740)] - **net**: use decodeStrings public API for writable stream (Rich Trott) [#25201](https://github.com/nodejs/node/pull/25201)
* \[[`9ac8d41925`](https://github.com/nodejs/node/commit/9ac8d41925)] - **net**: check for close on stream, not parent (David Halls) [#25026](https://github.com/nodejs/node/pull/25026)
* \[[`3bd8e4b6a3`](https://github.com/nodejs/node/commit/3bd8e4b6a3)] - **os**: add fallback for undefined CPUs (Minwoo Jung) [#25493](https://github.com/nodejs/node/pull/25493)
* \[[`840ec230f1`](https://github.com/nodejs/node/commit/840ec230f1)] - **os**: improve networkInterfaces() performance (Brian White) [#25410](https://github.com/nodejs/node/pull/25410)
* \[[`d197105476`](https://github.com/nodejs/node/commit/d197105476)] - **os**: move process.binding('os') to internalBinding (briete) [#25087](https://github.com/nodejs/node/pull/25087)
* \[[`f64e5ec148`](https://github.com/nodejs/node/commit/f64e5ec148)] - _**Revert**_ "**os**: move process.binding('os') to internalBinding" (Joyee Cheung) [#25446](https://github.com/nodejs/node/pull/25446)
* \[[`55d185f0dd`](https://github.com/nodejs/node/commit/55d185f0dd)] - **os**: move process.binding('os') to internalBinding (briete) [#25087](https://github.com/nodejs/node/pull/25087)
* \[[`c718592147`](https://github.com/nodejs/node/commit/c718592147)] - **process**: register the inspector async hooks in bootstrap/node.js (Joyee Cheung) [#25443](https://github.com/nodejs/node/pull/25443)
* \[[`b524a7bed0`](https://github.com/nodejs/node/commit/b524a7bed0)] - **process**: refactor coverage setup during bootstrap (Joyee Cheung) [#25398](https://github.com/nodejs/node/pull/25398)
* \[[`83900148e6`](https://github.com/nodejs/node/commit/83900148e6)] - **process**: allow StartExecution() to take a main script ID (Joyee Cheung) [#25474](https://github.com/nodejs/node/pull/25474)
* \[[`28baf266c7`](https://github.com/nodejs/node/commit/28baf266c7)] - **process**: move C++ process events into node\_process\_events.cc (Joyee Cheung) [#25397](https://github.com/nodejs/node/pull/25397)
* \[[`5eada9dce4`](https://github.com/nodejs/node/commit/5eada9dce4)] - **process**: move --help and --bash-completeion handling to startExecution (Joyee Cheung) [#25262](https://github.com/nodejs/node/pull/25262)
* \[[`743056e3af`](https://github.com/nodejs/node/commit/743056e3af)] - **process**: move process.features initialization into node.js (Joyee Cheung) [#25239](https://github.com/nodejs/node/pull/25239)
* \[[`c07b12da42`](https://github.com/nodejs/node/commit/c07b12da42)] - **process**: make tick callback and promise rejection callback more robust (Joyee Cheung) [#25200](https://github.com/nodejs/node/pull/25200)
* \[[`655c1c9232`](https://github.com/nodejs/node/commit/655c1c9232)] - **process**: move worker bootstrap code into worker\_thread\_only.js (Joyee Cheung) [#25199](https://github.com/nodejs/node/pull/25199)
* \[[`9480e1b795`](https://github.com/nodejs/node/commit/9480e1b795)] - **process**: split worker IO into internal/worker/io.js (Joyee Cheung) [#25199](https://github.com/nodejs/node/pull/25199)
* \[[`456b1b55b1`](https://github.com/nodejs/node/commit/456b1b55b1)] - **process**: move eval and exception bootstrap ito process/execution.js (Joyee Cheung) [#25199](https://github.com/nodejs/node/pull/25199)
* \[[`f32e6a81a6`](https://github.com/nodejs/node/commit/f32e6a81a6)] - **process**: make internal/queue\_microtask.js more self-contained (Joyee Cheung) [#25189](https://github.com/nodejs/node/pull/25189)
* \[[`6b5c962a0a`](https://github.com/nodejs/node/commit/6b5c962a0a)] - **process**: move child process IPC setup condition into node.js (Joyee Cheung) [#25130](https://github.com/nodejs/node/pull/25130)
* \[[`e93dd4dad6`](https://github.com/nodejs/node/commit/e93dd4dad6)] - **process**: move POSIX credential accessors into node\_credentials.cc (Joyee Cheung) [#25066](https://github.com/nodejs/node/pull/25066)
* \[[`0e2fbe4ff4`](https://github.com/nodejs/node/commit/0e2fbe4ff4)] - **process**: specialize building and storage of process.config (Joyee Cheung) [#24816](https://github.com/nodejs/node/pull/24816)
* \[[`18052364ce`](https://github.com/nodejs/node/commit/18052364ce)] - **process**: provide dummy stdio for non-console Windows apps (Anna Henningsen) [#20640](https://github.com/nodejs/node/pull/20640)
* \[[`1ccaf9a8f1`](https://github.com/nodejs/node/commit/1ccaf9a8f1)] - **repl**: indicate if errors are thrown or not (Ruben Bridgewater) [#25253](https://github.com/nodejs/node/pull/25253)
* \[[`2ed3fa187e`](https://github.com/nodejs/node/commit/2ed3fa187e)] - **src**: declare process-related C++ methods in node\_process.h (Joyee Cheung) [#25397](https://github.com/nodejs/node/pull/25397)
* \[[`49ac9688f3`](https://github.com/nodejs/node/commit/49ac9688f3)] - **src**: move process object creation into node\_process\_object.cc (Joyee Cheung) [#25397](https://github.com/nodejs/node/pull/25397)
* \[[`299aefd81a`](https://github.com/nodejs/node/commit/299aefd81a)] - **src**: clean up `node::Init()` wrt embedder scenarios (Anna Henningsen) [#25370](https://github.com/nodejs/node/pull/25370)
* \[[`dca6741b9b`](https://github.com/nodejs/node/commit/dca6741b9b)] - **src**: move InternalMakeCallback and MakeCallback (Joyee Cheung) [#25299](https://github.com/nodejs/node/pull/25299)
* \[[`81924ffa4f`](https://github.com/nodejs/node/commit/81924ffa4f)] - **src**: remove unused isolate variable (Daniel Bevenius) [#25368](https://github.com/nodejs/node/pull/25368)
* \[[`8e6175e001`](https://github.com/nodejs/node/commit/8e6175e001)] - **src**: use generic helper for splitting strings (Anna Henningsen) [#25363](https://github.com/nodejs/node/pull/25363)
* \[[`6cdaf038ce`](https://github.com/nodejs/node/commit/6cdaf038ce)] - **src**: split `LoadEnvironment()` at `startExecution()` (Anna Henningsen) [#25320](https://github.com/nodejs/node/pull/25320)
* \[[`c6adf4b44f`](https://github.com/nodejs/node/commit/c6adf4b44f)] - **src**: move per-process global variables into node::per\_process (Joyee Cheung) [#25302](https://github.com/nodejs/node/pull/25302)
* \[[`69d8e60596`](https://github.com/nodejs/node/commit/69d8e60596)] - **src**: use `internalBinding('config').hasInspector` in JS land (Joyee Cheung) [#25291](https://github.com/nodejs/node/pull/25291)
* \[[`c5ab3408b1`](https://github.com/nodejs/node/commit/c5ab3408b1)] - **src**: refactor tickInfo access (Joyee Cheung) [#25200](https://github.com/nodejs/node/pull/25200)
* \[[`2e33ad1caa`](https://github.com/nodejs/node/commit/2e33ad1caa)] - **src**: move process.nextTick and promise setup into node\_task\_queue.cc (Joyee Cheung) [#25163](https://github.com/nodejs/node/pull/25163)
* \[[`fa74cd352f`](https://github.com/nodejs/node/commit/fa74cd352f)] - **src**: move symbols binding into node\_symbols.cc (Joyee Cheung) [#25163](https://github.com/nodejs/node/pull/25163)
* \[[`57a0cd4d48`](https://github.com/nodejs/node/commit/57a0cd4d48)] - **src**: move node::errno\_string into node\_errors.h/cc (Joyee Cheung) [#25396](https://github.com/nodejs/node/pull/25396)
* \[[`f8ba4880ab`](https://github.com/nodejs/node/commit/f8ba4880ab)] - **src**: fix compiler warnings (cjihrig) [#25165](https://github.com/nodejs/node/pull/25165)
* \[[`dde71520ba`](https://github.com/nodejs/node/commit/dde71520ba)] - **src**: move more process methods initialization in bootstrap/node.js (Joyee Cheung) [#25127](https://github.com/nodejs/node/pull/25127)
* \[[`5fe774104f`](https://github.com/nodejs/node/commit/5fe774104f)] - **src**: dispose of V8 platform in `process.exit()` (Anna Henningsen) [#25061](https://github.com/nodejs/node/pull/25061)
* \[[`e9b4d24eda`](https://github.com/nodejs/node/commit/e9b4d24eda)] - **src**: move arch, platform and release into node\_metadata.cc (Joyee Cheung) [#25293](https://github.com/nodejs/node/pull/25293)
* \[[`43535f56fd`](https://github.com/nodejs/node/commit/43535f56fd)] - **src**: simplify JS Array creation (Anna Henningsen) [#25288](https://github.com/nodejs/node/pull/25288)
* \[[`de6f1f5e4d`](https://github.com/nodejs/node/commit/de6f1f5e4d)] - **src**: initialize ICU version in per\_process::metadata.versions (Joyee Cheung) [#25115](https://github.com/nodejs/node/pull/25115)
* \[[`e5b4af43fd`](https://github.com/nodejs/node/commit/e5b4af43fd)] - **src**: move the declaration of http parser versions into node\_metadata.h (Joyee Cheung) [#25115](https://github.com/nodejs/node/pull/25115)
* \[[`64c713a2e7`](https://github.com/nodejs/node/commit/64c713a2e7)] - **src**: move GetOpenSSLVersion into node\_metadata.cc (Joyee Cheung) [#25115](https://github.com/nodejs/node/pull/25115)
* \[[`b1500d9a7f`](https://github.com/nodejs/node/commit/b1500d9a7f)] - **src**: pass isMainThread into bootstrap/node.js directly (Joyee Cheung) [#25017](https://github.com/nodejs/node/pull/25017)
* \[[`ee461feaee`](https://github.com/nodejs/node/commit/ee461feaee)] - **src**: always compile and store code cache for native modules (Joyee Cheung) [#24950](https://github.com/nodejs/node/pull/24950)
* \[[`fd913fe365`](https://github.com/nodejs/node/commit/fd913fe365)] - **src**: remove code cache integrity check (Joyee Cheung) [#24950](https://github.com/nodejs/node/pull/24950)
* \[[`d245c4cd50`](https://github.com/nodejs/node/commit/d245c4cd50)] - **src**: use NativeModuleLoader to compile all the bootstrappers (Joyee Cheung) [#24775](https://github.com/nodejs/node/pull/24775)
* \[[`d1ff107b51`](https://github.com/nodejs/node/commit/d1ff107b51)] - **src**: initialize `Environment` members in class definition (Anna Henningsen) [#25369](https://github.com/nodejs/node/pull/25369)
* \[[`5b933565ac`](https://github.com/nodejs/node/commit/5b933565ac)] - **src**: check curve ID existence instead of asn flags (Sam Roberts) [#25345](https://github.com/nodejs/node/pull/25345)
* \[[`807e732832`](https://github.com/nodejs/node/commit/807e732832)] - **src**: trace\_events: fix race with metadata events (Ali Ijaz Sheikh) [#25235](https://github.com/nodejs/node/pull/25235)
* \[[`1e60e0afcb`](https://github.com/nodejs/node/commit/1e60e0afcb)] - **src**: remove unused method declaration (Ben Noordhuis) [#25329](https://github.com/nodejs/node/pull/25329)
* \[[`f6e341a546`](https://github.com/nodejs/node/commit/f6e341a546)] - **src**: improve ToV8Value() functions (Anna Henningsen) [#25288](https://github.com/nodejs/node/pull/25288)
* \[[`465d02b817`](https://github.com/nodejs/node/commit/465d02b817)] - **src**: add NAPI\_VERSION\_EXPERIMENTAL (Michael Dawson) [#25319](https://github.com/nodejs/node/pull/25319)
* \[[`d7186252df`](https://github.com/nodejs/node/commit/d7186252df)] - **src**: unload addons when environment quits (Gabriel Schulhof) [#24861](https://github.com/nodejs/node/pull/24861)
* \[[`f62e35fd05`](https://github.com/nodejs/node/commit/f62e35fd05)] - **src**: fix warning in cares\_wrap.cc (cjihrig) [#25230](https://github.com/nodejs/node/pull/25230)
* \[[`2f5c8b5041`](https://github.com/nodejs/node/commit/2f5c8b5041)] - **src**: remove unused variable from string\_search.h (Anna Henningsen) [#25139](https://github.com/nodejs/node/pull/25139)
* \[[`e00b326f33`](https://github.com/nodejs/node/commit/e00b326f33)] - **src**: pass along MaybeLocal<> state from `URL::ToObject()` (Anna Henningsen) [#25141](https://github.com/nodejs/node/pull/25141)
* \[[`ae86192732`](https://github.com/nodejs/node/commit/ae86192732)] - **src**: ignore termination exceptions in fatal TryCatch (Anna Henningsen) [#25141](https://github.com/nodejs/node/pull/25141)
* \[[`c9d49d65a4`](https://github.com/nodejs/node/commit/c9d49d65a4)] - **src**: fulfill Maybe contract in InlineDecoder (Anna Henningsen) [#25140](https://github.com/nodejs/node/pull/25140)
* \[[`dd6667d05e`](https://github.com/nodejs/node/commit/dd6667d05e)] - **src**: lazily load internalBinding('uv') and build the errmap lazily (Joyee Cheung) [#25143](https://github.com/nodejs/node/pull/25143)
* \[[`bc66356093`](https://github.com/nodejs/node/commit/bc66356093)] - **src**: use consistent names for JSStream (Sam Roberts) [#25153](https://github.com/nodejs/node/pull/25153)
* \[[`99a5af65df`](https://github.com/nodejs/node/commit/99a5af65df)] - **src**: introduce DCHECK macro (cjihrig) [#25207](https://github.com/nodejs/node/pull/25207)
* \[[`e2a01ca061`](https://github.com/nodejs/node/commit/e2a01ca061)] - **src**: use DCHECK\_\* macros where possible (cjihrig) [#25207](https://github.com/nodejs/node/pull/25207)
* \[[`73ccfc81c9`](https://github.com/nodejs/node/commit/73ccfc81c9)] - **src**: fix compiler warnings in node\_crypto.cc (cjihrig) [#25205](https://github.com/nodejs/node/pull/25205)
* \[[`7365b00929`](https://github.com/nodejs/node/commit/7365b00929)] - **src**: do not leak NodeTraceStateObserver (Anna Henningsen) [#25180](https://github.com/nodejs/node/pull/25180)
* \[[`37ba20112a`](https://github.com/nodejs/node/commit/37ba20112a)] - **src,lib**: prefer internal/options over process.\_foo (Anna Henningsen) [#25063](https://github.com/nodejs/node/pull/25063)
* \[[`7480864c51`](https://github.com/nodejs/node/commit/7480864c51)] - **src,lib**: make process.binding('config') internal (Masashi Hirano) [#23400](https://github.com/nodejs/node/pull/23400)
* \[[`577da835d2`](https://github.com/nodejs/node/commit/577da835d2)] - _**Revert**_ "**src,lib**: make process.binding('config') internal" (Joyee Cheung) [#25446](https://github.com/nodejs/node/pull/25446)
* \[[`d7bc03e2ca`](https://github.com/nodejs/node/commit/d7bc03e2ca)] - **test**: improve known\_issues/test-vm-timeout-escape-queuemicrotask (Rich Trott) [#25503](https://github.com/nodejs/node/pull/25503)
* \[[`3afb4813c8`](https://github.com/nodejs/node/commit/3afb4813c8)] - **test**: add test for fs.lchmod (ZYSzys) [#25439](https://github.com/nodejs/node/pull/25439)
* \[[`067d38fb07`](https://github.com/nodejs/node/commit/067d38fb07)] - **test**: make test-v8-coverage.js more strict (cjihrig) [#25289](https://github.com/nodejs/node/pull/25289)
* \[[`f6c14bd1e2`](https://github.com/nodejs/node/commit/f6c14bd1e2)] - **test**: rework ephemeralkeyinfo to run in parallel (Sam Roberts) [#25409](https://github.com/nodejs/node/pull/25409)
* \[[`29b89badb5`](https://github.com/nodejs/node/commit/29b89badb5)] - **test**: check for tls renegotiation errors (Sam Roberts) [#25437](https://github.com/nodejs/node/pull/25437)
* \[[`23d41fbf01`](https://github.com/nodejs/node/commit/23d41fbf01)] - **test**: fix test-net-connect-econnrefused (again) (Rich Trott) [#25438](https://github.com/nodejs/node/pull/25438)
* \[[`d86a3e8245`](https://github.com/nodejs/node/commit/d86a3e8245)] - **test**: remove unnecessary skipIfWorker() (Rich Trott) [#25427](https://github.com/nodejs/node/pull/25427)
* \[[`82fc9a8889`](https://github.com/nodejs/node/commit/82fc9a8889)] - **test**: fix module loading error for AIX 7.1 (Richard Lau) [#25418](https://github.com/nodejs/node/pull/25418)
* \[[`3f661097d1`](https://github.com/nodejs/node/commit/3f661097d1)] - **test**: improve test coverage of native crypto code (Tobias Nießen) [#25400](https://github.com/nodejs/node/pull/25400)
* \[[`fe9b6ee88b`](https://github.com/nodejs/node/commit/fe9b6ee88b)] - **test**: move require('https') to after crypto check (Daniel Bevenius) [#25388](https://github.com/nodejs/node/pull/25388)
* \[[`b545b4c1e9`](https://github.com/nodejs/node/commit/b545b4c1e9)] - **test**: fix test-net-connect-econnrefused (Rich Trott) [#25389](https://github.com/nodejs/node/pull/25389)
* \[[`0f290e8f62`](https://github.com/nodejs/node/commit/0f290e8f62)] - **test**: remove test/pummel/test-http-client-reconnect-bug.js (Rich Trott) [#25387](https://github.com/nodejs/node/pull/25387)
* \[[`58de81faa7`](https://github.com/nodejs/node/commit/58de81faa7)] - **test**: remove duplicate encoding tests in favor of WPT (Joyee Cheung) [#25321](https://github.com/nodejs/node/pull/25321)
* \[[`da34c6c575`](https://github.com/nodejs/node/commit/da34c6c575)] - **test**: use WPT runner to run encoding tests (Joyee Cheung) [#25321](https://github.com/nodejs/node/pull/25321)
* \[[`8d8c30599a`](https://github.com/nodejs/node/commit/8d8c30599a)] - **test**: support more icu requirements in the WPT status file (Joyee Cheung) [#25321](https://github.com/nodejs/node/pull/25321)
* \[[`d9adceecb6`](https://github.com/nodejs/node/commit/d9adceecb6)] - **test**: pull enconding WPT test fixtures (Joyee Cheung) [#25321](https://github.com/nodejs/node/pull/25321)
* \[[`837ca76a0d`](https://github.com/nodejs/node/commit/837ca76a0d)] - **test**: refactor test-fs-watch-non-recursive (Rich Trott) [#25386](https://github.com/nodejs/node/pull/25386)
* \[[`65dfeeb9a9`](https://github.com/nodejs/node/commit/65dfeeb9a9)] - **test**: fix test/pummel/test-fs-watch-non-recursive.js (Rich Trott) [#25386](https://github.com/nodejs/node/pull/25386)
* \[[`bdcf8f4784`](https://github.com/nodejs/node/commit/bdcf8f4784)] - **test**: fix test/pummel/test-fs-watch-file.js (Rich Trott) [#25384](https://github.com/nodejs/node/pull/25384)
* \[[`be16cc9fd6`](https://github.com/nodejs/node/commit/be16cc9fd6)] - **test**: set umask for tests (Rich Trott) [#25229](https://github.com/nodejs/node/pull/25229)
* \[[`3bebcf0180`](https://github.com/nodejs/node/commit/3bebcf0180)] - **test**: fix failing assertion (Ruben Bridgewater) [#25250](https://github.com/nodejs/node/pull/25250)
* \[[`201a8d9dc2`](https://github.com/nodejs/node/commit/201a8d9dc2)] - **test**: refactor `common.expectWarning()` (Ruben Bridgewater) [#25251](https://github.com/nodejs/node/pull/25251)
* \[[`f0202a7604`](https://github.com/nodejs/node/commit/f0202a7604)] - **test**: fix test/pummel/test-fs-largefile.js (Rich Trott) [#25372](https://github.com/nodejs/node/pull/25372)
* \[[`fc22df9552`](https://github.com/nodejs/node/commit/fc22df9552)] - **test**: more tests for internal/util/types (ZYSzys) [#25225](https://github.com/nodejs/node/pull/25225)
* \[[`c826af781f`](https://github.com/nodejs/node/commit/c826af781f)] - **test**: clean up wasm fixtures (Gus Caplan) [#25360](https://github.com/nodejs/node/pull/25360)
* \[[`c1aa5f0dae`](https://github.com/nodejs/node/commit/c1aa5f0dae)] - **test**: tune test-uv-threadpool-schedule (Rich Trott) [#25358](https://github.com/nodejs/node/pull/25358)
* \[[`f80fbd2c16`](https://github.com/nodejs/node/commit/f80fbd2c16)] - **test**: remove redundant fchmod test (ZYSzys) [#25282](https://github.com/nodejs/node/pull/25282)
* \[[`ce7bbd2ad9`](https://github.com/nodejs/node/commit/ce7bbd2ad9)] - **test**: move test-tls-securepair-client out of pummel (Rich Trott) [#25222](https://github.com/nodejs/node/pull/25222)
* \[[`7ac1db2c31`](https://github.com/nodejs/node/commit/7ac1db2c31)] - **test**: fix test-tls-securepair-client (Rich Trott) [#25222](https://github.com/nodejs/node/pull/25222)
* \[[`239d5ec92c`](https://github.com/nodejs/node/commit/239d5ec92c)] - **test**: http2 origin length ERR\_HTTP2\_ORIGIN\_LENGTH (Furqan Shaikh) [#25296](https://github.com/nodejs/node/pull/25296)
* \[[`456f76a48b`](https://github.com/nodejs/node/commit/456f76a48b)] - **test**: remove flag for test-addon-uv-handle-leak (Rich Trott) [#25327](https://github.com/nodejs/node/pull/25327)
* \[[`523872b37f`](https://github.com/nodejs/node/commit/523872b37f)] - **test**: fix test-benchmark-zlib (Rich Trott) [#25365](https://github.com/nodejs/node/pull/25365)
* \[[`379260e4bd`](https://github.com/nodejs/node/commit/379260e4bd)] - **test**: replace internals with public API (Rich Trott) [#25309](https://github.com/nodejs/node/pull/25309)
* \[[`973b32d3c3`](https://github.com/nodejs/node/commit/973b32d3c3)] - **test**: set umask explicitly (Thomas Chung) [#25213](https://github.com/nodejs/node/pull/25213)
* \[[`c10b131ec9`](https://github.com/nodejs/node/commit/c10b131ec9)] - **test**: make sure tmpdir is created before using it (Joyee Cheung) [#25224](https://github.com/nodejs/node/pull/25224)
* \[[`5a5bc58b4f`](https://github.com/nodejs/node/commit/5a5bc58b4f)] - **test**: remove unused --expose-native-as V8 flag (peterwmwong) [#25275](https://github.com/nodejs/node/pull/25275)
* \[[`61fc3bfd8e`](https://github.com/nodejs/node/commit/61fc3bfd8e)] - **test**: mark test-util-callbackify flaky on AIX (Rich Trott) [#25284](https://github.com/nodejs/node/pull/25284)
* \[[`ee8a4a291d`](https://github.com/nodejs/node/commit/ee8a4a291d)] - **test**: remove unnecessary test flags (cjihrig) [#25277](https://github.com/nodejs/node/pull/25277)
* \[[`4ca4b546ab`](https://github.com/nodejs/node/commit/4ca4b546ab)] - **test**: remove `util.inherits()` usage (ZYSzys) [#25245](https://github.com/nodejs/node/pull/25245)
* \[[`11c9a82f0f`](https://github.com/nodejs/node/commit/11c9a82f0f)] - **test**: slightly refactor test-child-process-execsync (Denys Otrishko) [#25227](https://github.com/nodejs/node/pull/25227)
* \[[`05d1a536cc`](https://github.com/nodejs/node/commit/05d1a536cc)] - **test**: remove try/catch in common.isMainThread (Rich Trott) [#25249](https://github.com/nodejs/node/pull/25249)
* \[[`b0b1414ad7`](https://github.com/nodejs/node/commit/b0b1414ad7)] - **test**: regression test for uv threadpool congestion (Gireesh Punathil) [#23099](https://github.com/nodejs/node/pull/23099)
* \[[`c7d2dbd5da`](https://github.com/nodejs/node/commit/c7d2dbd5da)] - **test**: add TODO to encoding tests that can be replaced with WPT (Joyee Cheung) [#25155](https://github.com/nodejs/node/pull/25155)
* \[[`b45be671db`](https://github.com/nodejs/node/commit/b45be671db)] - **test**: rename custom encoding tests that cannot be replaced by WPT (Joyee Cheung) [#25155](https://github.com/nodejs/node/pull/25155)
* \[[`be421823e5`](https://github.com/nodejs/node/commit/be421823e5)] - **test**: split encoding tests where some cases can be run without ICU (Joyee Cheung) [#25155](https://github.com/nodejs/node/pull/25155)
* \[[`deceb26238`](https://github.com/nodejs/node/commit/deceb26238)] - **test**: split test-whatwg-encoding-textdecoder-fatal.js (Joyee Cheung) [#25155](https://github.com/nodejs/node/pull/25155)
* \[[`a8f5191eb9`](https://github.com/nodejs/node/commit/a8f5191eb9)] - **test**: split test-whatwg-encoding-textdecoder.js (Joyee Cheung) [#25155](https://github.com/nodejs/node/pull/25155)
* \[[`7e2ae75a6b`](https://github.com/nodejs/node/commit/7e2ae75a6b)] - **test**: mark two tests as flaky in AIX (Gireesh Punathil) [#25126](https://github.com/nodejs/node/pull/25126)
* \[[`e182ca9bdc`](https://github.com/nodejs/node/commit/e182ca9bdc)] - **test**: add more inspect subclassing tests (Ruben Bridgewater) [#25192](https://github.com/nodejs/node/pull/25192)
* \[[`58af085d9f`](https://github.com/nodejs/node/commit/58af085d9f)] - **test**: refactor stdio handling in test-esm-cjs-main (Richard Lau) [#25169](https://github.com/nodejs/node/pull/25169)
* \[[`91d1aea311`](https://github.com/nodejs/node/commit/91d1aea311)] - **test**: refactor test-esm-namespace.mjs (Rich Trott) [#25117](https://github.com/nodejs/node/pull/25117)
* \[[`b7b1d7eb88`](https://github.com/nodejs/node/commit/b7b1d7eb88)] - **test**: fix test-repl-envvars (Anna Henningsen) [#25226](https://github.com/nodejs/node/pull/25226)
* \[[`95353c7c20`](https://github.com/nodejs/node/commit/95353c7c20)] - **test,doc**: add tests and docs for addon unloading (Anna Henningsen) [#24861](https://github.com/nodejs/node/pull/24861)
* \[[`a29adef252`](https://github.com/nodejs/node/commit/a29adef252)] - **test,worker**: simplify common.isMainThread (Rich Trott) [#25426](https://github.com/nodejs/node/pull/25426)
* \[[`a6df7278d8`](https://github.com/nodejs/node/commit/a6df7278d8)] - **test,worker**: refactor test-worker-cleanup-handles (Rich Trott) [#25401](https://github.com/nodejs/node/pull/25401)
* \[[`453bd18969`](https://github.com/nodejs/node/commit/453bd18969)] - **tls**: do not confuse TLSSocket and Socket (Sam Roberts) [#25153](https://github.com/nodejs/node/pull/25153)
* \[[`f6b2ea8bb9`](https://github.com/nodejs/node/commit/f6b2ea8bb9)] - **tls**: do not confuse session and session ID (Sam Roberts) [#25153](https://github.com/nodejs/node/pull/25153)
* \[[`d5ba121e74`](https://github.com/nodejs/node/commit/d5ba121e74)] - **tls**: fix initRead socket argument name (Sam Roberts) [#25153](https://github.com/nodejs/node/pull/25153)
* \[[`acf7802fe3`](https://github.com/nodejs/node/commit/acf7802fe3)] - **tls**: remove unused ocsp extension parsing (Sam Roberts) [#25153](https://github.com/nodejs/node/pull/25153)
* \[[`f0409be2a7`](https://github.com/nodejs/node/commit/f0409be2a7)] - **tools**: lint for use of internalBinding() (cjihrig) [#25395](https://github.com/nodejs/node/pull/25395)
* \[[`2a85cc7cae`](https://github.com/nodejs/node/commit/2a85cc7cae)] - **tools**: update crypo check rule (cjihrig) [#25399](https://github.com/nodejs/node/pull/25399)
* \[[`dcbf1d9da4`](https://github.com/nodejs/node/commit/dcbf1d9da4)] - **tools**: add openssl-cli to macos-firewall.sh (Daniel Bevenius) [#25385](https://github.com/nodejs/node/pull/25385)
* \[[`ee4c46c72f`](https://github.com/nodejs/node/commit/ee4c46c72f)] - **tools**: update ESLint to 5.12.0 (cjihrig) [#25347](https://github.com/nodejs/node/pull/25347)
* \[[`1be566bd2f`](https://github.com/nodejs/node/commit/1be566bd2f)] - **tools**: replace NULL with nullptr (Juan José Arboleda) [#25179](https://github.com/nodejs/node/pull/25179)
* \[[`fee8a11634`](https://github.com/nodejs/node/commit/fee8a11634)] - **tools**: remove custom buffer-constructor lint rule (cjihrig) [#25261](https://github.com/nodejs/node/pull/25261)
* \[[`ee43540aa7`](https://github.com/nodejs/node/commit/ee43540aa7)] - **tools**: enable no-buffer-constructor lint rule (cjihrig) [#25261](https://github.com/nodejs/node/pull/25261)
* \[[`e6b5232381`](https://github.com/nodejs/node/commit/e6b5232381)] - **tools**: enable no-useless-catch lint rule (cjihrig) [#25236](https://github.com/nodejs/node/pull/25236)
* \[[`f944a75336`](https://github.com/nodejs/node/commit/f944a75336)] - **tools**: update ESLint to 5.11.1 (cjihrig) [#25236](https://github.com/nodejs/node/pull/25236)
* \[[`19f1a506ee`](https://github.com/nodejs/node/commit/19f1a506ee)] - **trace\_events**: move SetupTraceCategoryState into node\_trace\_events.cc (Joyee Cheung) [#25128](https://github.com/nodejs/node/pull/25128)
* \[[`6e716ed1d6`](https://github.com/nodejs/node/commit/6e716ed1d6)] - **url**: return backslashes from fileURLToPath on win (Kevin Smith) [#25349](https://github.com/nodejs/node/pull/25349)
* \[[`71432c3d06`](https://github.com/nodejs/node/commit/71432c3d06)] - **util**: fixes type in argument type validation error (Ankur Oberoi) [#25103](https://github.com/nodejs/node/pull/25103)
* \[[`46ec26f8aa`](https://github.com/nodejs/node/commit/46ec26f8aa)] - **util**: remove eslint comments and rename variables (Ruben Bridgewater) [#25255](https://github.com/nodejs/node/pull/25255)
* \[[`7ff44105be`](https://github.com/nodejs/node/commit/7ff44105be)] - **util**: remove outdated comment (Ruben Bridgewater) [#25255](https://github.com/nodejs/node/pull/25255)
* \[[`45a8eb6ed3`](https://github.com/nodejs/node/commit/45a8eb6ed3)] - **util**: simpler module namespace code (Ruben Bridgewater) [#25255](https://github.com/nodejs/node/pull/25255)
* \[[`a333272fb0`](https://github.com/nodejs/node/commit/a333272fb0)] - **util**: code cleanup (Ruben Bridgewater) [#25255](https://github.com/nodejs/node/pull/25255)
* \[[`7696d1fe84`](https://github.com/nodejs/node/commit/7696d1fe84)] - **util**: switch recurseTimes counter (Ruben Bridgewater) [#25255](https://github.com/nodejs/node/pull/25255)
* \[[`2e6e4cfaf5`](https://github.com/nodejs/node/commit/2e6e4cfaf5)] - **util**: add null prototype support for date (Anto Aravinth) [#25144](https://github.com/nodejs/node/pull/25144)
* \[[`901d3d0959`](https://github.com/nodejs/node/commit/901d3d0959)] - **(SEMVER-MINOR)** **util**: inspect ArrayBuffers contents as well (Ruben Bridgewater) [#25006](https://github.com/nodejs/node/pull/25006)
* \[[`4ca0968918`](https://github.com/nodejs/node/commit/4ca0968918)] - **util**: update comment in util.promisify (Kazushi Kitaya) [#25323](https://github.com/nodejs/node/pull/25323)
* \[[`37976251b5`](https://github.com/nodejs/node/commit/37976251b5)] - **util**: fix util.inspect with proxied function (Weijia Wang) [#25244](https://github.com/nodejs/node/pull/25244)
* \[[`88e73862ca`](https://github.com/nodejs/node/commit/88e73862ca)] - **util**: simplify code (Kazushi Kitaya) [#25162](https://github.com/nodejs/node/pull/25162)
* \[[`73f3a1c4e6`](https://github.com/nodejs/node/commit/73f3a1c4e6)] - **util**: make inspect aware of RegExp subclasses and null prototype (Ruben Bridgewater) [#25192](https://github.com/nodejs/node/pull/25192)
* \[[`7f78137c37`](https://github.com/nodejs/node/commit/7f78137c37)] - **v8**: enable inline WASM in serialization API (Anna Henningsen) [#25313](https://github.com/nodejs/node/pull/25313)
* \[[`2df0d14e18`](https://github.com/nodejs/node/commit/2df0d14e18)] - **win, build**: fix building addons on Windows (Bartosz Sosnowski) [#25108](https://github.com/nodejs/node/pull/25108)
* \[[`243f90283c`](https://github.com/nodejs/node/commit/243f90283c)] - **worker**: remove `--experimental-worker` flag (Anna Henningsen) [#25361](https://github.com/nodejs/node/pull/25361)
* \[[`e8a6cc8802`](https://github.com/nodejs/node/commit/e8a6cc8802)] - **worker**: improve JS-side debugging (Anna Henningsen) [#25312](https://github.com/nodejs/node/pull/25312)
* \[[`65c136f3de`](https://github.com/nodejs/node/commit/65c136f3de)] - **worker**: partially remove `--experimental-worker` flag (Anna Henningsen) [#25404](https://github.com/nodejs/node/pull/25404)
* \[[`7bb7b9a61f`](https://github.com/nodejs/node/commit/7bb7b9a61f)] - **worker**: set `--experimental-worker` always (Anna Henningsen) [#25404](https://github.com/nodejs/node/pull/25404)
* \[[`dd8795f4a0`](https://github.com/nodejs/node/commit/dd8795f4a0)] - **worker**: enable transferring WASM modules (Anna Henningsen) [#25314](https://github.com/nodejs/node/pull/25314)
* \[[`2014eba782`](https://github.com/nodejs/node/commit/2014eba782)] - **worker**: use engine-provided deleter for `SharedArrayBuffer`s (Anna Henningsen) [#25307](https://github.com/nodejs/node/pull/25307)
* \[[`7edf8c7e74`](https://github.com/nodejs/node/commit/7edf8c7e74)] - **(SEMVER-MINOR)** **zlib**: add brotli support (Anna Henningsen) [#24938](https://github.com/nodejs/node/pull/24938)
* \[[`e534dcd75e`](https://github.com/nodejs/node/commit/e534dcd75e)] - **zlib**: split JS code as prep for non-zlib-backed streams (Anna Henningsen) [#24939](https://github.com/nodejs/node/pull/24939)

## 2018-12-26, Version 11.6.0 (Current), @MylesBorins

### Notable Changes

* **cli**:
  * add --max-http-header-size flag (cjihrig) [#24811](https://github.com/nodejs/node/pull/24811)
* **crypto**:
  * always accept certificates as public keys (Tobias Nießen) [#24234](https://github.com/nodejs/node/pull/24234)
  * add key object API (Tobias Nießen) [#24234](https://github.com/nodejs/node/pull/24234)
  * update root certificates (Sam Roberts) [#25113](https://github.com/nodejs/node/pull/25113)
* **deps**:
  * upgrade to libuv 1.24.1 (cjihrig) [#25078](https://github.com/nodejs/node/pull/25078)
  * upgrade npm to 6.5.0 (Audrey Eschright) [#24734](https://github.com/nodejs/node/pull/24734)
* **http**:
  * add maxHeaderSize property (cjihrig) [#24860](https://github.com/nodejs/node/pull/24860)

### Commits

* \[[`a9ab28df2c`](https://github.com/nodejs/node/commit/a9ab28df2c)] - **assert**: inspect getters (Ruben Bridgewater) [#25004](https://github.com/nodejs/node/pull/25004)
* \[[`c6bfa66b2e`](https://github.com/nodejs/node/commit/c6bfa66b2e)] - **buffer**: simplify code (Ruben Bridgewater) [#25151](https://github.com/nodejs/node/pull/25151)
* \[[`9b38bbff7f`](https://github.com/nodejs/node/commit/9b38bbff7f)] - **build**: correct fi indentation in Makefile (Daniel Bevenius) [#25107](https://github.com/nodejs/node/pull/25107)
